(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     67646,       1591]
NotebookOptionsPosition[     66587,       1552]
NotebookOutlinePosition[     67204,       1576]
CellTagsIndexPosition[     67161,       1573]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Directional Derivatives in 3D", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"zmin", ",", "zmax"}], "}"}], "=", 
     RowBox[{"Evaluate", "@", 
      RowBox[{"Switch", "[", 
       RowBox[{"f", ",", "\[IndentingNewLine]", 
        RowBox[{"Function", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"x1", ",", "y1"}], "}"}], ",", 
          RowBox[{
           RowBox[{"Sin", "[", 
            RowBox[{"x1", "-", "y1"}], "]"}], "+", 
           RowBox[{"Cos", "[", "x1", "]"}]}]}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", "\[IndentingNewLine]", 
        RowBox[{"Function", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"x1", ",", "y1"}], "}"}], ",", 
          RowBox[{"x1", "*", 
           RowBox[{"Cos", "[", "y1", "]"}]}]}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", "\[IndentingNewLine]", 
        RowBox[{"Function", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"x1", ",", "y1"}], "}"}], ",", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"x1", "^", "2"}], "-", 
             RowBox[{"y1", "^", "2"}]}], ")"}], "/", "2"}]}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "5"}], ",", "5"}], "}"}], ",", "\[IndentingNewLine]", 
        RowBox[{"Function", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"x1", ",", "y1"}], "}"}], ",", 
          RowBox[{"4", "-", 
           RowBox[{"x1", "^", "2"}], "-", 
           RowBox[{"y1", "^", "2"}]}]}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "14"}], ",", "4"}], "}"}]}], "\[IndentingNewLine]", 
       "]"}]}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"plotrange", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"xmin", ",", "xmax"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"ymin", ",", "ymax"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"zmin", ",", "zmax"}], "}"}]}], "}"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{
      RowBox[{"plotrange", "=", 
       RowBox[{"AbsoluteOptions", "[", 
        RowBox[{
         RowBox[{"Plot3D", "[", 
          RowBox[{
           RowBox[{"f", "[", 
            RowBox[{"x", ",", "y"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"x", ",", "xmin", ",", "xmax"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"y", ",", "ymin", ",", "ymax"}], "}"}]}], "]"}], ",", 
         "PlotRange"}], "]"}]}], ";"}], "*)"}], "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{"Pane", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Grid", "[", 
       RowBox[{
        RowBox[{"{", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"{", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{
             RowBox[{"If", "[", 
              RowBox[{"setxy", ",", 
               RowBox[{"pt", "=", 
                RowBox[{"{", 
                 RowBox[{"x0", ",", "y0"}], "}"}]}], ",", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"x0", ",", "y0"}], "}"}], "=", "pt"}]}], "]"}], ";", 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"a", ",", "b"}], "}"}], "=", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Cos", "[", "theta", "]"}], ",", 
                RowBox[{"Sin", "[", "theta", "]"}]}], "}"}]}], ";", 
             "\[IndentingNewLine]", 
             RowBox[{"slope", "=", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"D", "[", 
                    RowBox[{
                    RowBox[{"f", "[", 
                    RowBox[{"x", ",", "y"}], "]"}], ",", "x"}], "]"}], ",", 
                   RowBox[{"D", "[", 
                    RowBox[{
                    RowBox[{"f", "[", 
                    RowBox[{"x", ",", "y"}], "]"}], ",", "y"}], "]"}]}], 
                  "}"}], ".", 
                 RowBox[{"{", 
                  RowBox[{"a", ",", "b"}], "}"}]}], "/.", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"x", "\[Rule]", 
                   RowBox[{
                    RowBox[{"a", "*", "t0"}], "+", "x0"}]}], ",", 
                  RowBox[{"y", "\[Rule]", 
                   RowBox[{
                    RowBox[{"b", "*", "t0"}], "+", "y0"}]}]}], "}"}]}], 
               ")"}]}], ";", 
             RowBox[{"Grid", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"{", 
                 RowBox[{"Text", "@", 
                  RowBox[{"Style", "[", 
                   RowBox[{
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<f\>\"", ",", "Italic"}], "]"}], ",", 
                    "\"\<(\>\"", ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], ",", 
                    "\"\<, \>\"", ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<y\>\"", ",", "Italic"}], "]"}], ",", 
                    "\"\<) = \>\"", ",", 
                    RowBox[{"TraditionalForm", "[", 
                    RowBox[{"f", "[", 
                    RowBox[{"x", ",", "y"}], "]"}], "]"}]}], "}"}], "]"}], 
                    ",", "14"}], "]"}]}], "}"}], "}"}], ",", 
               RowBox[{"ItemSize", "\[Rule]", 
                RowBox[{"{", 
                 RowBox[{"Automatic", ",", "2.2"}], "}"}]}], ",", 
               RowBox[{"Alignment", "\[Rule]", "Top"}]}], "]"}]}], ",", 
            "SpanFromLeft"}], "}"}], ",", "\[IndentingNewLine]", 
          RowBox[{"{", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"Item", "[", 
             RowBox[{
              RowBox[{"Show", "[", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"If", "[", 
                 RowBox[{"showsurf", ",", 
                  RowBox[{"Plot3D", "[", 
                   RowBox[{
                    RowBox[{"f", "[", 
                    RowBox[{"x", ",", "y"}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"x", ",", "xmin", ",", "xmax"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"y", ",", "ymin", ",", "ymax"}], "}"}], ",", 
                    RowBox[{"Mesh", "\[Rule]", "False"}], ",", 
                    RowBox[{"PlotStyle", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"Gray", ",", 
                    RowBox[{"Opacity", "[", "surfopac", "]"}]}], "}"}]}], ",",
                     
                    RowBox[{"BoundaryStyle", "\[Rule]", "None"}]}], "]"}], 
                  ",", 
                  RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
                "\[IndentingNewLine]", 
                RowBox[{"If", "[", 
                 RowBox[{"showplane", ",", 
                  RowBox[{"ParametricPlot3D", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"a", "*", "t"}], "+", "x0"}], ",", 
                    RowBox[{
                    RowBox[{"b", "*", "t"}], "+", "y0"}], ",", 
                    RowBox[{"f", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"a", "*", "t"}], "+", "x0"}], ",", 
                    RowBox[{
                    RowBox[{"b", "*", "t"}], "+", "y0"}]}], "]"}]}], "}"}], 
                    ",", 
                    RowBox[{"{", 
                    RowBox[{"t", ",", 
                    RowBox[{"-", "10"}], ",", "10"}], "}"}], ",", 
                    RowBox[{"PlotStyle", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"Thick", ",", 
                    RowBox[{"Darker", "[", 
                    RowBox[{"Blue", ",", "0.5"}], "]"}]}], "}"}]}]}], "]"}], 
                  ",", 
                  RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
                "\[IndentingNewLine]", 
                RowBox[{"If", "[", 
                 RowBox[{"showderiv", ",", 
                  RowBox[{"ParametricPlot3D", "[", "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"a", "*", "t"}], ",", 
                    RowBox[{"b", "*", "t"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"slope", "*", "t"}]}], "}"}], "+", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"a", "*", "t0"}], "+", "x0"}], ",", 
                    RowBox[{
                    RowBox[{"b", "*", "t0"}], "+", "y0"}], ",", 
                    RowBox[{"f", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"a", "*", "t0"}], "+", "x0"}], ",", 
                    RowBox[{
                    RowBox[{"b", "*", "t0"}], "+", "y0"}]}], "]"}]}], "}"}]}],
                     ",", "\[IndentingNewLine]", 
                    RowBox[{"{", 
                    RowBox[{"t", ",", 
                    RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
                    RowBox[{"PlotStyle", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"Blue", ",", "Thick"}], "}"}]}]}], "]"}], ",", 
                  RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
                "\[IndentingNewLine]", 
                RowBox[{"Graphics3D", "[", 
                 RowBox[{"{", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"Red", ",", 
                    RowBox[{"PointSize", "[", "0.02", "]"}], ",", 
                    RowBox[{"Point", "[", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0", ",", 
                    RowBox[{"plotrange", "[", 
                    RowBox[{"[", 
                    RowBox[{"3", ",", "1"}], "]"}], "]"}]}], "}"}], "]"}]}], 
                    "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"Red", ",", 
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0", ",", 
                    RowBox[{"plotrange", "[", 
                    RowBox[{"[", 
                    RowBox[{"3", ",", "1"}], "]"}], "]"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"a", ",", "b", ",", 
                    RowBox[{"plotrange", "[", 
                    RowBox[{"[", 
                    RowBox[{"3", ",", "1"}], "]"}], "]"}]}], "}"}]}], "}"}], 
                    "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
                   RowBox[{"{", 
                    RowBox[{"Black", ",", 
                    RowBox[{"PointSize", "[", "0.01", "]"}], ",", 
                    RowBox[{"Point", "[", 
                    RowBox[{"{", 
                    RowBox[{"{", 
                    RowBox[{"x0", ",", "y0", ",", 
                    RowBox[{"f", "[", 
                    RowBox[{"x0", ",", "y0"}], "]"}]}], "}"}], "}"}], "]"}]}],
                     "}"}], ",", "\[IndentingNewLine]", 
                   RowBox[{"If", "[", 
                    RowBox[{"showderiv", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Darker", "[", 
                    RowBox[{"Blue", ",", "0.5"}], "]"}], ",", 
                    RowBox[{"PointSize", "[", "0.03", "]"}], ",", 
                    RowBox[{"Point", "[", 
                    RowBox[{"{", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"a", "*", "t0"}], "+", "x0"}], ",", 
                    RowBox[{
                    RowBox[{"b", "*", "t0"}], "+", "y0"}], ",", 
                    RowBox[{"f", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"a", "*", "t0"}], "+", "x0"}], ",", 
                    RowBox[{
                    RowBox[{"b", "*", "t0"}], "+", "y0"}]}], "]"}]}], "}"}], 
                    "}"}], "]"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"Black", ",", 
                    RowBox[{"PointSize", "[", "0.03", "]"}], ",", 
                    RowBox[{"Point", "[", 
                    RowBox[{"{", 
                    RowBox[{"{", 
                    RowBox[{"x0", ",", "y0", ",", 
                    RowBox[{"f", "[", 
                    RowBox[{"x0", ",", "y0"}], "]"}]}], "}"}], "}"}], "]"}]}],
                     "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
                   RowBox[{"If", "[", 
                    RowBox[{"showplane", ",", 
                    RowBox[{"{", 
                    RowBox[{"Blue", ",", 
                    RowBox[{"Opacity", "[", "0.3", "]"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Polygon", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "100"}], "a"}], "+", "x0"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "100"}], "b"}], "+", "y0"}], ",", 
                    RowBox[{"-", "100"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"100", "a"}], "+", "x0"}], ",", 
                    RowBox[{
                    RowBox[{"100", "b"}], "+", "y0"}], ",", 
                    RowBox[{"-", "100"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"100", "a"}], "+", "x0"}], ",", 
                    RowBox[{
                    RowBox[{"100", "b"}], "+", "y0"}], ",", "100"}], "}"}], 
                    ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "100"}], "a"}], "+", "x0"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "100"}], "b"}], "+", "y0"}], ",", "100"}], 
                    "}"}]}], "}"}], "]"}]}], "}"}], ",", 
                    RowBox[{"{", "}"}]}], "]"}]}], "\[IndentingNewLine]", 
                  "}"}], "]"}], ",", "\[IndentingNewLine]", 
                "\[IndentingNewLine]", 
                RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
                RowBox[{"Axes", "\[Rule]", "True"}], ",", 
                RowBox[{"AxesEdge", "\[Rule]", 
                 RowBox[{"Table", "[", 
                  RowBox[{
                   RowBox[{"-", "1"}], ",", 
                   RowBox[{"{", "3", "}"}], ",", 
                   RowBox[{"{", "2", "}"}]}], "]"}]}], ",", 
                RowBox[{"BoxRatios", "\[Rule]", "Automatic"}], ",", 
                RowBox[{"PlotRange", "\[Rule]", "plotrange"}], ",", 
                RowBox[{"ImageSize", "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{"275", ",", "275"}], "}"}]}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"AxesLabel", "\[Rule]", 
                 RowBox[{"Map", "[", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"#", ",", "14"}], "]"}], "&"}], ",", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<y\>\"", ",", "Italic"}], "]"}], ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<z\>\"", ",", "Italic"}], "]"}]}], "}"}]}], 
                  "]"}]}]}], "\[IndentingNewLine]", "]"}], ",", 
              RowBox[{"Alignment", "\[Rule]", "Top"}]}], "]"}], ",", 
            "\[IndentingNewLine]", "\"\<  \>\"", ",", "\[IndentingNewLine]", 
            "\[IndentingNewLine]", 
            RowBox[{"Text", "@", 
             RowBox[{"Item", "[", 
              RowBox[{
               RowBox[{"Style", "[", 
                RowBox[{
                 RowBox[{"Column", "[", 
                  RowBox[{"{", "\[IndentingNewLine]", 
                   RowBox[{"\"\<\>\"", ",", "\[IndentingNewLine]", 
                    RowBox[{"If", "[", 
                    RowBox[{"showderiv", ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"Column", "[", 
                    RowBox[{"{", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Subscript", "[", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<D\>\"", ",", "Italic"}], "]"}], ",", "u"}], 
                    "]"}], ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<f\>\"", ",", "Italic"}], "]"}], ",", 
                    "\"\<(\>\"", ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], ",", 
                    "\"\<, \>\"", ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<y\>\"", ",", "Italic"}], "]"}], ",", 
                    "\"\<) = \[Del]\>\"", ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<f\>\"", ",", "Italic"}], "]"}], ",", 
                    "\"\<(\>\"", ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], ",", 
                    "\"\<, \>\"", ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<y\>\"", ",", "Italic"}], "]"}], ",", 
                    "\"\<) \>\"", ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<\[CenterDot]\>\"", ",", "Bold", ",", "14"}], 
                    "]"}], ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\< u\>\"", ",", "Italic"}], "]"}]}], "}"}], 
                    "]"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{"\"\<\[Del]\>\"", ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<f\>\"", ",", "Italic"}], "]"}], ",", 
                    "\"\<(\>\"", ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], ",", 
                    "\"\<, \>\"", ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<y\>\"", ",", "Italic"}], "]"}], ",", 
                    "\"\<) = (\>\"", ",", 
                    RowBox[{"Subscript", "[", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<f\>\"", ",", "Italic"}], "]"}], ",", "x"}], 
                    "]"}], ",", "\"\<, \>\"", ",", 
                    RowBox[{"Subscript", "[", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<f\>\"", ",", "Italic"}], "]"}], ",", "y"}], 
                    "]"}], ",", " ", "\"\<)\>\""}], "}"}], "]"}], ",", 
                    "\[IndentingNewLine]", "\"\<\>\"", ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Subscript", "[", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<f\>\"", ",", "Italic"}], "]"}], ",", "x"}], 
                    "]"}], ",", "\"\<(\>\"", ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], ",", 
                    "\"\<, \>\"", ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<y\>\"", ",", "Italic"}], "]"}], ",", 
                    "\"\<) = \>\"", ",", 
                    RowBox[{"TraditionalForm", "@", 
                    RowBox[{"D", "[", 
                    RowBox[{
                    RowBox[{"f", "[", 
                    RowBox[{"x", ",", "y"}], "]"}], ",", "x"}], "]"}]}]}], 
                    "}"}], "]"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Subscript", "[", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<f\>\"", ",", "Italic"}], "]"}], ",", "x"}], 
                    "]"}], ",", "\"\<(\>\"", ",", 
                    RowBox[{"rndif", "[", 
                    RowBox[{
                    RowBox[{"a", "*", "t0"}], "+", "x0"}], "]"}], ",", 
                    "\"\<, \>\"", ",", 
                    RowBox[{"rndif", "[", 
                    RowBox[{
                    RowBox[{"b", "*", "t0"}], "+", "y0"}], "]"}], ",", 
                    "\"\<) = \>\"", ",", 
                    RowBox[{
                    RowBox[{"D", "[", 
                    RowBox[{
                    RowBox[{"f", "[", 
                    RowBox[{"x", ",", "y"}], "]"}], ",", "x"}], "]"}], "/.", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"x", "\[Rule]", "x0"}], ",", 
                    RowBox[{"y", "\[Rule]", "y0"}]}], "}"}]}]}], "}"}], "]"}],
                     ",", "\[IndentingNewLine]", "\"\<\>\"", ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Subscript", "[", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<f\>\"", ",", "Italic"}], "]"}], ",", "y"}], 
                    "]"}], ",", "\"\<(\>\"", ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], ",", 
                    "\"\<, \>\"", ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<y\>\"", ",", "Italic"}], "]"}], ",", 
                    "\"\<) = \>\"", ",", 
                    RowBox[{"TraditionalForm", "@", 
                    RowBox[{"D", "[", 
                    RowBox[{
                    RowBox[{"f", "[", 
                    RowBox[{"x", ",", "y"}], "]"}], ",", "y"}], "]"}]}]}], 
                    "}"}], "]"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Subscript", "[", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<f\>\"", ",", "Italic"}], "]"}], ",", "y"}], 
                    "]"}], ",", "\"\<(\>\"", ",", 
                    RowBox[{"rndif", "[", 
                    RowBox[{
                    RowBox[{"a", "*", "t0"}], "+", "x0"}], "]"}], ",", 
                    "\"\<, \>\"", ",", 
                    RowBox[{"rndif", "[", 
                    RowBox[{
                    RowBox[{"b", "*", "t0"}], "+", "y0"}], "]"}], ",", 
                    "\"\<) = \>\"", ",", 
                    RowBox[{
                    RowBox[{"TraditionalForm", "@", 
                    RowBox[{"D", "[", 
                    RowBox[{
                    RowBox[{"f", "[", 
                    RowBox[{"x", ",", "y"}], "]"}], ",", "y"}], "]"}]}], "/.",
                     
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"x", "\[Rule]", "x0"}], ",", 
                    RowBox[{"y", "\[Rule]", "y0"}]}], "}"}]}]}], "}"}], "]"}],
                     ",", "\[IndentingNewLine]", "\"\<\>\"", ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{"\"\<u = (\>\"", ",", 
                    RowBox[{"rndif", "[", "a", "]"}], ",", "\"\<, \>\"", ",", 
                    
                    RowBox[{"rndif", "[", "b", "]"}], ",", "\"\<)\>\""}], 
                    "}"}], "]"}], ",", "\[IndentingNewLine]", "\"\<\>\"", ",",
                     "\[IndentingNewLine]", 
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Subscript", "[", 
                    RowBox[{"\"\<D\>\"", ",", "u"}], "]"}], ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<f\>\"", ",", "Italic"}], "]"}], ",", 
                    "\"\<(\>\"", ",", 
                    RowBox[{"rndif", "[", 
                    RowBox[{
                    RowBox[{"a", "*", "t0"}], "+", "x0"}], "]"}], ",", 
                    "\"\<, \>\"", ",", 
                    RowBox[{"rndif", "[", 
                    RowBox[{
                    RowBox[{"b", "*", "t0"}], "+", "y0"}], "]"}], ",", 
                    "\"\<) = \>\"", ",", 
                    RowBox[{"TraditionalForm", "[", "slope", "]"}]}], "}"}], 
                    "]"}]}], "\[IndentingNewLine]", "}"}], "]"}], ",", 
                    "Blue"}], "]"}], ",", "\"\<\>\""}], "]"}]}], 
                   "\[IndentingNewLine]", "}"}], "]"}], ",", "12"}], "]"}], 
               ",", 
               RowBox[{"ItemSize", "\[Rule]", "15.8"}], ",", 
               RowBox[{"Alignment", "\[Rule]", "Left"}]}], "]"}]}]}], 
           "\[IndentingNewLine]", "\[IndentingNewLine]", "}"}]}], "}"}], ",", 
        
        RowBox[{"Alignment", "\[Rule]", "Top"}], ",", 
        RowBox[{"ItemSize", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"Automatic", ",", "Automatic"}], "}"}]}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"500", ",", "300"}], "}"}]}], "]"}]}], ",", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"f", ",", 
       RowBox[{"Function", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"x1", ",", "y1"}], "}"}], ",", 
         RowBox[{
          RowBox[{"Sin", "[", 
           RowBox[{"x1", "-", "y1"}], "]"}], "+", 
          RowBox[{"Cos", "[", "x1", "]"}]}]}], "]"}], ",", 
       "\"\<f(x,y) =\>\""}], "}"}], ",", 
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"Function", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"x1", ",", "y1"}], "}"}], ",", 
          RowBox[{
           RowBox[{"Sin", "[", 
            RowBox[{"x1", "-", "y1"}], "]"}], "+", 
           RowBox[{"Cos", "[", "x1", "]"}]}]}], "]"}], "\[Rule]", 
        RowBox[{"Row", "[", 
         RowBox[{"{", 
          RowBox[{"\"\<sin(\>\"", ",", 
           RowBox[{"Style", "[", 
            RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], ",", "\"\< - \>\"", 
           ",", 
           RowBox[{"Style", "[", 
            RowBox[{"\"\<y\>\"", ",", "Italic"}], "]"}], ",", 
           "\"\<) + cos(\>\"", ",", 
           RowBox[{"Style", "[", 
            RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], ",", "\"\<)\>\""}], 
          "}"}], "]"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Function", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"x1", ",", "y1"}], "}"}], ",", 
          RowBox[{"x1", "*", 
           RowBox[{"Cos", "[", "y1", "]"}]}]}], "]"}], "\[Rule]", 
        RowBox[{"Row", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], ",", "\"\< cos(\>\"",
            ",", 
           RowBox[{"Style", "[", 
            RowBox[{"\"\<y\>\"", ",", "Italic"}], "]"}], ",", "\"\<)\>\""}], 
          "}"}], "]"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Function", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"x1", ",", "y1"}], "}"}], ",", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"x1", "^", "2"}], "-", 
             RowBox[{"y1", "^", "2"}]}], ")"}], "/", "2"}]}], "]"}], 
        "\[Rule]", 
        RowBox[{"Row", "[", 
         RowBox[{"{", 
          RowBox[{"\"\<(\>\"", ",", 
           RowBox[{"Superscript", "[", 
            RowBox[{
             RowBox[{"Style", "[", 
              RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], ",", "2"}], "]"}], 
           ",", "\"\< - \>\"", ",", 
           RowBox[{"Superscript", "[", 
            RowBox[{
             RowBox[{"Style", "[", 
              RowBox[{"\"\<y\>\"", ",", "Italic"}], "]"}], ",", "2"}], "]"}], 
           ",", "\"\<)/2\>\""}], "}"}], "]"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Function", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"x1", ",", "y1"}], "}"}], ",", 
          RowBox[{"4", "-", 
           RowBox[{"x1", "^", "2"}], "-", 
           RowBox[{"y1", "^", "2"}]}]}], "]"}], "\[Rule]", 
        RowBox[{"Row", "[", 
         RowBox[{"{", 
          RowBox[{"\"\<4 - \>\"", ",", 
           RowBox[{"Superscript", "[", 
            RowBox[{
             RowBox[{"Style", "[", 
              RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], ",", "2"}], "]"}], 
           ",", "\"\< - \>\"", ",", 
           RowBox[{"Superscript", "[", 
            RowBox[{
             RowBox[{"Style", "[", 
              RowBox[{"\"\<y\>\"", ",", "Italic"}], "]"}], ",", "2"}], 
            "]"}]}], "}"}], "]"}]}]}], "\[IndentingNewLine]", "}"}], ",", 
     "\[IndentingNewLine]", "PopupMenu"}], "}"}], "\[IndentingNewLine]", ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"surfopac", ",", "0.5", ",", "\"\<surface opacity\>\""}], "}"}],
      ",", "0", ",", "1"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"Row", "[", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"PaneSelector", "[", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"True", "\[Rule]", " ", "\[IndentingNewLine]", 
           RowBox[{"Column", "[", 
            RowBox[{"{", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"Row", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Subscript", "[", 
                  RowBox[{"\"\<x\>\"", ",", "0"}], "]"}], ",", "\"\< \>\"", 
                 ",", 
                 RowBox[{"Manipulator", "[", 
                  RowBox[{
                   RowBox[{"Dynamic", "[", "x0", "]"}], ",", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", 
                   RowBox[{"ImageSize", "\[Rule]", "Small"}], ",", 
                   RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], 
                  "]"}]}], "}"}], "]"}], ",", "\"\<\>\"", ",", 
              "\[IndentingNewLine]", 
              RowBox[{"Row", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Subscript", "[", 
                  RowBox[{"\"\<y\>\"", ",", "0"}], "]"}], ",", "\"\< \>\"", 
                 ",", 
                 RowBox[{"Manipulator", "[", 
                  RowBox[{
                   RowBox[{"Dynamic", "[", "y0", "]"}], ",", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", 
                   RowBox[{"ImageSize", "\[Rule]", "Small"}], ",", 
                   RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], 
                  "]"}]}], "}"}], "]"}]}], "\[IndentingNewLine]", "}"}], 
            "]"}]}], ",", "\[IndentingNewLine]", 
          RowBox[{"False", "\[Rule]", 
           RowBox[{"Row", "[", 
            RowBox[{"{", 
             RowBox[{"\"\<(\>\"", ",", 
              RowBox[{"Subscript", "[", 
               RowBox[{"\"\<x\>\"", ",", "0"}], "]"}], ",", "\"\<, \>\"", ",",
               
              RowBox[{"Subscript", "[", 
               RowBox[{"\"\<y\>\"", ",", "0"}], "]"}], ",", "\"\<) = \>\"", 
              ",", 
              RowBox[{"Slider2D", "[", 
               RowBox[{
                RowBox[{"Dynamic", "[", "pt", "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"-", "3"}], ",", 
                    RowBox[{"-", "3"}]}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"3", ",", "3"}], "}"}]}], "}"}]}], "]"}]}], "}"}], 
            "]"}]}]}], "}"}], ",", "\[IndentingNewLine]", 
        RowBox[{"Dynamic", "@", "setxy"}]}], "\[IndentingNewLine]", "]"}], 
      ",", "\[IndentingNewLine]", "\"\<  \>\"", ",", "\[IndentingNewLine]", 
      RowBox[{"Column", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Row", "[", 
           RowBox[{"{", 
            RowBox[{"\"\<\[Theta] \>\"", ",", 
             RowBox[{"Manipulator", "[", 
              RowBox[{
               RowBox[{"Dynamic", "[", "theta", "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"0", ",", 
                 RowBox[{"2", "Pi"}]}], "}"}], ",", 
               RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
               RowBox[{"ImageSize", "\[Rule]", "Small"}]}], "]"}]}], "}"}], 
           "]"}], ",", 
          RowBox[{"PaneSelector", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"True", "\[Rule]", 
               RowBox[{"Row", "[", 
                RowBox[{"{", 
                 RowBox[{"\"\<slide tangent \>\"", ",", 
                  RowBox[{"Manipulator", "[", 
                   RowBox[{
                    RowBox[{"Dynamic", "[", 
                    RowBox[{"t0", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"t0", "=", "#"}], ")"}], "&"}], ",", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"t0", "=", "0"}], ")"}], "&"}]}], "}"}]}], "]"}], 
                    ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", 
                    RowBox[{"ImageSize", "\[Rule]", "Small"}]}], "]"}]}], 
                 "}"}], "]"}]}], ",", 
              RowBox[{"False", "\[Rule]", "\"\<\>\""}]}], "}"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"Dynamic", "@", "showderiv"}]}], "]"}]}], "}"}], ",", 
        RowBox[{"Alignment", "\[Rule]", "Left"}]}], "]"}]}], "}"}], "]"}], 
   ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"pt", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Mean", "[", 
          RowBox[{"{", 
           RowBox[{"xmin", ",", "xmax"}], "}"}], "]"}], ",", 
         RowBox[{"Mean", "[", 
          RowBox[{"{", 
           RowBox[{"ymin", ",", "ymax"}], "}"}], "]"}]}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{"\"\<(\>\"", ",", 
          RowBox[{"Subscript", "[", 
           RowBox[{"\"\<x\>\"", ",", "0"}], "]"}], ",", "\"\<, \>\"", ",", 
          RowBox[{"Subscript", "[", 
           RowBox[{"\"\<y\>\"", ",", "0"}], "]"}], ",", "\"\<) = \>\""}], 
         "}"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"xmin", ",", "ymin"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"xmax", ",", "ymax"}], "}"}], ",", "None"}], "}"}], ",", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"theta", ",", 
       RowBox[{"Pi", "/", "4"}], ",", "\"\<\[Theta]\>\""}], "}"}], ",", "0", 
     ",", 
     RowBox[{"2", "Pi"}], ",", "None"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"t0", ",", "0", ",", 
       RowBox[{"Subscript", "[", 
        RowBox[{"\"\<t\>\"", ",", "0"}], "]"}]}], "}"}], ",", 
     RowBox[{"-", "3"}], ",", "3", ",", "None"}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"showplane", ",", "True", ",", "\"\<show plane\>\""}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Left"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"showderiv", ",", "False", ",", "\"\<show tangent\>\""}], "}"}],
      ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Left"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "Delimiter", ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"setxy", ",", "False", ",", 
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{"\"\<set (\>\"", ",", 
          RowBox[{"Subscript", "[", 
           RowBox[{"\"\<x\>\"", ",", "0"}], "]"}], ",", "\"\<, \>\"", ",", 
          RowBox[{"Subscript", "[", 
           RowBox[{"\"\<y\>\"", ",", "0"}], "]"}], ",", "\"\<)\>\""}], "}"}], 
        "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Left"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "Delimiter", ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"showsurf", ",", "True", ",", "\"\<show surface\>\""}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Left"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"x0", ",", "0"}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"y0", ",", "0"}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"Initialization", "\[RuleDelayed]", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"rndif", "[", "x_", "]"}], ":=", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"Accuracy", "[", "x", "]"}], "\[Equal]", "Infinity"}], ",", 
         "x", ",", 
         RowBox[{"Round", "[", 
          RowBox[{"x", ",", "0.001"}], "]"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"xmin", ",", "xmax"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"ymin", ",", "ymax"}], "}"}]}], "}"}], "=", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "3"}], ",", "3"}], "}"}]}], "}"}]}], ";"}], ")"}]}], 
   ",", "\[IndentingNewLine]", 
   RowBox[{"AutorunSequencing", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"1", ",", "2", ",", "3", ",", "4", ",", "7"}], "}"}]}], ",", 
   RowBox[{"TrackedSymbols", "\[Rule]", "Manipulate"}]}], 
  "\[IndentingNewLine]", "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, 3.4328315849918003`*^9, {3.4328320485624*^9, 
   3.43283205006*^9}, {3.432906654825488*^9, 3.432906901029106*^9}, {
   3.4329070087968817`*^9, 3.4329070400090027`*^9}, {3.4329070846434655`*^9, 
   3.4329072367766776`*^9}, {3.4329072669656963`*^9, 
   3.4329072698589854`*^9}, {3.432907317897789*^9, 3.4329074405160494`*^9}, {
   3.4329075285478516`*^9, 3.43290753683068*^9}, {3.4329075743244286`*^9, 
   3.432907610489045*^9}, {3.4329079023772306`*^9, 3.432907944828476*^9}, {
   3.432908030649057*^9, 3.4329080513051224`*^9}, {3.4329081051405053`*^9, 
   3.432908115142505*^9}, {3.4329081662606163`*^9, 3.4329082290999002`*^9}, {
   3.4329082597699666`*^9, 3.4329082884948387`*^9}, {3.4329083271697063`*^9, 
   3.432908366541643*^9}, {3.4329083993319216`*^9, 3.4329084382478123`*^9}, {
   3.4329084706650543`*^9, 3.4329085215071373`*^9}, {3.432908561114098*^9, 
   3.432908564614448*^9}, {3.4329088321591997`*^9, 3.432908890447028*^9}, {
   3.432908938442827*^9, 3.432909117859767*^9}, {3.432939854696846*^9, 
   3.432939913728096*^9}, 3.432940038087471*^9, {3.432940086009346*^9, 
   3.432940098509346*^9}, {3.432940166478096*^9, 3.432940170571846*^9}, {
   3.432940249243721*^9, 3.432940259556221*^9}, {3.432940312946846*^9, 
   3.432940315353096*^9}, {3.432940385478096*^9, 3.432940402978096*^9}, {
   3.432940442134346*^9, 3.432940443368721*^9}, {3.432977705969989*^9, 
   3.4329777523139887`*^9}, {3.4329841968035197`*^9, 3.4329842441342525`*^9}}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`f$$ = 
    Function[{$CellContext`x1, $CellContext`y1}, 
     Sin[$CellContext`x1 - $CellContext`y1] + 
     Cos[$CellContext`x1]], $CellContext`pt$$ = {0, 0}, $CellContext`setxy$$ =
     False, $CellContext`showderiv$$ = False, $CellContext`showplane$$ = 
    True, $CellContext`showsurf$$ = True, $CellContext`surfopac$$ = 
    0.5, $CellContext`t0$$ = 0, $CellContext`theta$$ = Rational[1, 4] 
    Pi, $CellContext`x0$$ = 0, $CellContext`y0$$ = 0, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`f$$], 
       Function[{$CellContext`x1, $CellContext`y1}, 
        Sin[$CellContext`x1 - $CellContext`y1] + Cos[$CellContext`x1]], 
       "f(x,y) ="}, {
      Function[{$CellContext`x1, $CellContext`y1}, 
         Sin[$CellContext`x1 - $CellContext`y1] + Cos[$CellContext`x1]] -> 
       Row[{"sin(", 
          Style["x", Italic], " - ", 
          Style["y", Italic], ") + cos(", 
          Style["x", Italic], ")"}], 
       Function[{$CellContext`x1, $CellContext`y1}, $CellContext`x1 
         Cos[$CellContext`y1]] -> Row[{
          Style["x", Italic], " cos(", 
          Style["y", Italic], ")"}], 
       Function[{$CellContext`x1, $CellContext`y1}, ($CellContext`x1^2 - \
$CellContext`y1^2)/2] -> Row[{"(", 
          Superscript[
           Style["x", Italic], 2], " - ", 
          Superscript[
           Style["y", Italic], 2], ")/2"}], 
       Function[{$CellContext`x1, $CellContext`y1}, 
         4 - $CellContext`x1^2 - $CellContext`y1^2] -> Row[{"4 - ", 
          Superscript[
           Style["x", Italic], 2], " - ", 
          Superscript[
           Style["y", Italic], 2]}]}}, {{
       Hold[$CellContext`surfopac$$], 0.5, "surface opacity"}, 0, 1}, {
      Hold[
       Row[{
         PaneSelector[{True -> Column[{
              Row[{
                Subscript["x", 0], " ", 
                Manipulator[
                 Dynamic[$CellContext`x0$$], {-3, 3}, ImageSize -> Small, 
                 Appearance -> "Labeled"]}], "", 
              Row[{
                Subscript["y", 0], " ", 
                Manipulator[
                 Dynamic[$CellContext`y0$$], {-3, 3}, ImageSize -> Small, 
                 Appearance -> "Labeled"]}]}], False -> Row[{"(", 
              Subscript["x", 0], ", ", 
              Subscript["y", 0], ") = ", 
              Slider2D[
               Dynamic[$CellContext`pt$$], {{-3, -3}, {3, 3}}]}]}, 
          Dynamic[$CellContext`setxy$$]], "  ", 
         Column[{
           Row[{"\[Theta] ", 
             Manipulator[
              Dynamic[
               BoxForm`RemapVariable[$CellContext`theta$$, {0, 2 Pi}], 
               BoxForm`RemapValue[#, $CellContext`theta$$, {0, 2 Pi}]& ], {0, 
              1}, Appearance -> "Labeled", ImageSize -> Small]}], 
           PaneSelector[{True -> Row[{"slide tangent ", 
                Manipulator[
                 
                 Dynamic[$CellContext`t0$$, {($CellContext`t0$$ = #)& , \
($CellContext`t0$$ = 0)& }], {-3, 3}, ImageSize -> Small]}], False -> ""}, 
            Dynamic[$CellContext`showderiv$$]]}, Alignment -> Left]}]], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`pt$$], {0, 0}, 
       Row[{"(", 
         Subscript["x", 0], ", ", 
         Subscript["y", 0], ") = "}]}, {-3, -3}, {3, 3}}, {{
       Hold[$CellContext`theta$$], Rational[1, 4] Pi, "\[Theta]"}, 0, 2 
      Pi}, {{
       Hold[$CellContext`t0$$], 0, 
       Subscript["t", 0]}, -3, 3}, {{
       Hold[$CellContext`showplane$$], True, "show plane"}, {True, False}}, {{
      
       Hold[$CellContext`showderiv$$], False, "show tangent"}, {
      True, False}}, {{
       Hold[$CellContext`setxy$$], False, 
       Row[{"set (", 
         Subscript["x", 0], ", ", 
         Subscript["y", 0], ")"}]}, {True, False}}, {{
       Hold[$CellContext`showsurf$$], True, "show surface"}, {
      True, False}}, {{
       Hold[$CellContext`x0$$], 0}}, {{
       Hold[$CellContext`y0$$], 0}}}, Typeset`size$$ = {500., {147.5, 152.5}},
     Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`f$13484$$ = False, $CellContext`surfopac$13485$$ = 
    0, $CellContext`pt$13486$$ = {0, 0}, $CellContext`theta$13487$$ = 
    0, $CellContext`t0$13488$$ = 0, $CellContext`showplane$13489$$ = 
    False, $CellContext`showderiv$13490$$ = 
    False, $CellContext`setxy$13491$$ = False, $CellContext`showsurf$13492$$ =
     False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`f$$ = 
        Function[{$CellContext`x1, $CellContext`y1}, 
          Sin[$CellContext`x1 - $CellContext`y1] + 
          Cos[$CellContext`x1]], $CellContext`pt$$ = {0, 
         0}, $CellContext`setxy$$ = False, $CellContext`showderiv$$ = 
        False, $CellContext`showplane$$ = True, $CellContext`showsurf$$ = 
        True, $CellContext`surfopac$$ = 0.5, $CellContext`t0$$ = 
        0, $CellContext`theta$$ = Rational[1, 4] Pi, $CellContext`x0$$ = 
        0, $CellContext`y0$$ = 0}, "ControllerVariables" :> {
        Hold[$CellContext`f$$, $CellContext`f$13484$$, False], 
        Hold[$CellContext`surfopac$$, $CellContext`surfopac$13485$$, 0], 
        Hold[$CellContext`pt$$, $CellContext`pt$13486$$, {0, 0}], 
        Hold[$CellContext`theta$$, $CellContext`theta$13487$$, 0], 
        Hold[$CellContext`t0$$, $CellContext`t0$13488$$, 0], 
        Hold[$CellContext`showplane$$, $CellContext`showplane$13489$$, False],
         
        Hold[$CellContext`showderiv$$, $CellContext`showderiv$13490$$, False],
         
        Hold[$CellContext`setxy$$, $CellContext`setxy$13491$$, False], 
        Hold[$CellContext`showsurf$$, $CellContext`showsurf$13492$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> ({$CellContext`zmin, $CellContext`zmax} = Evaluate[
          Switch[$CellContext`f$$, 
           
           Function[{$CellContext`x1, $CellContext`y1}, 
            Sin[$CellContext`x1 - $CellContext`y1] + 
            Cos[$CellContext`x1]], {-2, 2}, 
           
           Function[{$CellContext`x1, $CellContext`y1}, $CellContext`x1 
            Cos[$CellContext`y1]], {-3, 3}, 
           
           Function[{$CellContext`x1, $CellContext`y1}, ($CellContext`x1^2 - \
$CellContext`y1^2)/2], {-5, 5}, 
           
           Function[{$CellContext`x1, $CellContext`y1}, 
            4 - $CellContext`x1^2 - $CellContext`y1^2], {-14, 
           4}]]; $CellContext`plotrange = {{$CellContext`xmin, \
$CellContext`xmax}, {$CellContext`ymin, $CellContext`ymax}, \
{$CellContext`zmin, $CellContext`zmax}}; Pane[
         Grid[{{
           If[$CellContext`setxy$$, $CellContext`pt$$ = {$CellContext`x0$$, \
$CellContext`y0$$}, {$CellContext`x0$$, $CellContext`y0$$} = \
$CellContext`pt$$]; {$CellContext`a, $CellContext`b} = {
               Cos[$CellContext`theta$$], 
               Sin[$CellContext`theta$$]}; $CellContext`slope = ReplaceAll[
               Dot[{
                 D[
                  $CellContext`f$$[$CellContext`x, $CellContext`y], \
$CellContext`x], 
                 D[
                  $CellContext`f$$[$CellContext`x, $CellContext`y], \
$CellContext`y]}, {$CellContext`a, $CellContext`b}], {$CellContext`x -> \
$CellContext`a $CellContext`t0$$ + $CellContext`x0$$, $CellContext`y -> \
$CellContext`b $CellContext`t0$$ + $CellContext`y0$$}]; Grid[{{
                Text[
                 Style[
                  Row[{
                    Style["f", Italic], "(", 
                    Style["x", Italic], ", ", 
                    Style["y", Italic], ") = ", 
                    TraditionalForm[
                    $CellContext`f$$[$CellContext`x, $CellContext`y]]}], 
                  14]]}}, ItemSize -> {Automatic, 2.2}, Alignment -> Top], 
            SpanFromLeft}, {
            Item[
             Show[
              If[$CellContext`showsurf$$, 
               Plot3D[
                $CellContext`f$$[$CellContext`x, $CellContext`y], \
{$CellContext`x, $CellContext`xmin, $CellContext`xmax}, {$CellContext`y, \
$CellContext`ymin, $CellContext`ymax}, Mesh -> False, PlotStyle -> {Gray, 
                  Opacity[$CellContext`surfopac$$]}, BoundaryStyle -> 
                None], {}], 
              If[$CellContext`showplane$$, 
               
               ParametricPlot3D[{$CellContext`a $CellContext`t + \
$CellContext`x0$$, $CellContext`b $CellContext`t + $CellContext`y0$$, 
                 $CellContext`f$$[$CellContext`a $CellContext`t + \
$CellContext`x0$$, $CellContext`b $CellContext`t + $CellContext`y0$$]}, \
{$CellContext`t, -10, 10}, PlotStyle -> {Thick, 
                  Darker[Blue, 0.5]}], {}], 
              If[$CellContext`showderiv$$, 
               
               ParametricPlot3D[{$CellContext`a $CellContext`t, \
$CellContext`b $CellContext`t, $CellContext`slope $CellContext`t} + \
{$CellContext`a $CellContext`t0$$ + $CellContext`x0$$, $CellContext`b \
$CellContext`t0$$ + $CellContext`y0$$, 
                  $CellContext`f$$[$CellContext`a $CellContext`t0$$ + \
$CellContext`x0$$, $CellContext`b $CellContext`t0$$ + $CellContext`y0$$]}, \
{$CellContext`t, -1, 1}, PlotStyle -> {Blue, Thick}], {}], 
              Graphics3D[{{Red, 
                 PointSize[0.02], 
                 Point[{0, 0, 
                   Part[$CellContext`plotrange, 3, 1]}]}, {Red, 
                 Line[{{0, 0, 
                    
                    Part[$CellContext`plotrange, 3, 
                    1]}, {$CellContext`a, $CellContext`b, 
                    Part[$CellContext`plotrange, 3, 1]}}]}, {Black, 
                 PointSize[0.01], 
                 Point[{{$CellContext`x0$$, $CellContext`y0$$, 
                    $CellContext`f$$[$CellContext`x0$$, \
$CellContext`y0$$]}}]}, 
                If[$CellContext`showderiv$$, {
                  Darker[Blue, 0.5], 
                  PointSize[0.03], 
                  
                  Point[{{$CellContext`a $CellContext`t0$$ + \
$CellContext`x0$$, $CellContext`b $CellContext`t0$$ + $CellContext`y0$$, 
                    $CellContext`f$$[$CellContext`a $CellContext`t0$$ + \
$CellContext`x0$$, $CellContext`b $CellContext`t0$$ + $CellContext`y0$$]}}]}, \
{Black, 
                  PointSize[0.03], 
                  Point[{{$CellContext`x0$$, $CellContext`y0$$, 
                    $CellContext`f$$[$CellContext`x0$$, \
$CellContext`y0$$]}}]}], 
                If[$CellContext`showplane$$, {Blue, 
                  Opacity[0.3], 
                  
                  Polygon[{{(-100) $CellContext`a + $CellContext`x0$$, (-100) \
$CellContext`b + $CellContext`y0$$, -100}, {
                    100 $CellContext`a + $CellContext`x0$$, 
                    100 $CellContext`b + $CellContext`y0$$, -100}, {
                    100 $CellContext`a + $CellContext`x0$$, 
                    100 $CellContext`b + $CellContext`y0$$, 
                    100}, {(-100) $CellContext`a + $CellContext`x0$$, (-100) \
$CellContext`b + $CellContext`y0$$, 100}}]}, {}]}], Boxed -> False, Axes -> 
              True, AxesEdge -> Table[-1, {3}, {2}], BoxRatios -> Automatic, 
              PlotRange -> $CellContext`plotrange, ImageSize -> {275, 275}, 
              AxesLabel -> Map[Style[#, 14]& , {
                 Style["x", Italic], 
                 Style["y", Italic], 
                 Style["z", Italic]}]], Alignment -> Top], "  ", 
            Text[
             Item[
              Style[
               Column[{"", 
                 If[$CellContext`showderiv$$, 
                  Style[
                   Column[{
                    Row[{
                    Subscript[
                    Style["D", Italic], $CellContext`u], 
                    Style["f", Italic], "(", 
                    Style["x", Italic], ", ", 
                    Style["y", Italic], ") = \[Del]", 
                    Style["f", Italic], "(", 
                    Style["x", Italic], ", ", 
                    Style["y", Italic], ") ", 
                    Style["\[CenterDot]", Bold, 14], 
                    Style[" u", Italic]}], 
                    Row[{"\[Del]", 
                    Style["f", Italic], "(", 
                    Style["x", Italic], ", ", 
                    Style["y", Italic], ") = (", 
                    Subscript[
                    Style["f", Italic], $CellContext`x], ", ", 
                    Subscript[
                    Style["f", Italic], $CellContext`y], ")"}], "", 
                    Row[{
                    Subscript[
                    Style["f", Italic], $CellContext`x], "(", 
                    Style["x", Italic], ", ", 
                    Style["y", Italic], ") = ", 
                    TraditionalForm[
                    D[
                    $CellContext`f$$[$CellContext`x, $CellContext`y], \
$CellContext`x]]}], 
                    Row[{
                    Subscript[
                    Style["f", Italic], $CellContext`x], "(", 
                    $CellContext`rndif[$CellContext`a $CellContext`t0$$ + \
$CellContext`x0$$], ", ", 
                    $CellContext`rndif[$CellContext`b $CellContext`t0$$ + \
$CellContext`y0$$], ") = ", 
                    ReplaceAll[
                    D[
                    $CellContext`f$$[$CellContext`x, $CellContext`y], \
$CellContext`x], {$CellContext`x -> $CellContext`x0$$, $CellContext`y -> \
$CellContext`y0$$}]}], "", 
                    Row[{
                    Subscript[
                    Style["f", Italic], $CellContext`y], "(", 
                    Style["x", Italic], ", ", 
                    Style["y", Italic], ") = ", 
                    TraditionalForm[
                    D[
                    $CellContext`f$$[$CellContext`x, $CellContext`y], \
$CellContext`y]]}], 
                    Row[{
                    Subscript[
                    Style["f", Italic], $CellContext`y], "(", 
                    $CellContext`rndif[$CellContext`a $CellContext`t0$$ + \
$CellContext`x0$$], ", ", 
                    $CellContext`rndif[$CellContext`b $CellContext`t0$$ + \
$CellContext`y0$$], ") = ", 
                    ReplaceAll[
                    TraditionalForm[
                    D[
                    $CellContext`f$$[$CellContext`x, $CellContext`y], \
$CellContext`y]], {$CellContext`x -> $CellContext`x0$$, $CellContext`y -> \
$CellContext`y0$$}]}], "", 
                    Row[{"u = (", 
                    $CellContext`rndif[$CellContext`a], ", ", 
                    $CellContext`rndif[$CellContext`b], ")"}], "", 
                    Row[{
                    Subscript["D", $CellContext`u], 
                    Style["f", Italic], "(", 
                    $CellContext`rndif[$CellContext`a $CellContext`t0$$ + \
$CellContext`x0$$], ", ", 
                    $CellContext`rndif[$CellContext`b $CellContext`t0$$ + \
$CellContext`y0$$], ") = ", 
                    TraditionalForm[$CellContext`slope]}]}], Blue], ""]}], 
               12], ItemSize -> 15.8, Alignment -> Left]]}}, Alignment -> Top,
           ItemSize -> {Automatic, Automatic}], {500, 300}]), 
      "Specifications" :> {{{$CellContext`f$$, 
          
          Function[{$CellContext`x1, $CellContext`y1}, 
           Sin[$CellContext`x1 - $CellContext`y1] + Cos[$CellContext`x1]], 
          "f(x,y) ="}, {
         Function[{$CellContext`x1, $CellContext`y1}, 
            Sin[$CellContext`x1 - $CellContext`y1] + Cos[$CellContext`x1]] -> 
          Row[{"sin(", 
             Style["x", Italic], " - ", 
             Style["y", Italic], ") + cos(", 
             Style["x", Italic], ")"}], 
          Function[{$CellContext`x1, $CellContext`y1}, $CellContext`x1 
            Cos[$CellContext`y1]] -> Row[{
             Style["x", Italic], " cos(", 
             Style["y", Italic], ")"}], 
          Function[{$CellContext`x1, $CellContext`y1}, ($CellContext`x1^2 - \
$CellContext`y1^2)/2] -> Row[{"(", 
             Superscript[
              Style["x", Italic], 2], " - ", 
             Superscript[
              Style["y", Italic], 2], ")/2"}], 
          Function[{$CellContext`x1, $CellContext`y1}, 
            4 - $CellContext`x1^2 - $CellContext`y1^2] -> Row[{"4 - ", 
             Superscript[
              Style["x", Italic], 2], " - ", 
             Superscript[
              Style["y", Italic], 2]}]}, ControlType -> 
         PopupMenu}, {{$CellContext`surfopac$$, 0.5, "surface opacity"}, 0, 
         1}, 
        Row[{
          PaneSelector[{True -> Column[{
               Row[{
                 Subscript["x", 0], " ", 
                 Manipulator[
                  Dynamic[$CellContext`x0$$], {-3, 3}, ImageSize -> Small, 
                  Appearance -> "Labeled"]}], "", 
               Row[{
                 Subscript["y", 0], " ", 
                 Manipulator[
                  Dynamic[$CellContext`y0$$], {-3, 3}, ImageSize -> Small, 
                  Appearance -> "Labeled"]}]}], False -> Row[{"(", 
               Subscript["x", 0], ", ", 
               Subscript["y", 0], ") = ", 
               Slider2D[
                Dynamic[$CellContext`pt$$], {{-3, -3}, {3, 3}}]}]}, 
           Dynamic[$CellContext`setxy$$]], "  ", 
          Column[{
            Row[{"\[Theta] ", 
              Manipulator[
               Dynamic[
                BoxForm`RemapVariable[$CellContext`theta$$, {0, 2 Pi}], 
                BoxForm`RemapValue[#, $CellContext`theta$$, {0, 2 Pi}]& ], {0,
                1}, Appearance -> "Labeled", ImageSize -> Small]}], 
            PaneSelector[{True -> Row[{"slide tangent ", 
                 Manipulator[
                  
                  Dynamic[$CellContext`t0$$, {($CellContext`t0$$ = #)& , \
($CellContext`t0$$ = 0)& }], {-3, 3}, ImageSize -> Small]}], False -> ""}, 
             Dynamic[$CellContext`showderiv$$]]}, Alignment -> 
           Left]}], {{$CellContext`pt$$, {0, 0}, 
          Row[{"(", 
            Subscript["x", 0], ", ", 
            Subscript["y", 0], ") = "}]}, {-3, -3}, {3, 3}, ControlType -> 
         None}, {{$CellContext`theta$$, Rational[1, 4] Pi, "\[Theta]"}, 0, 2 
         Pi, ControlType -> None}, {{$CellContext`t0$$, 0, 
          Subscript["t", 0]}, -3, 3, ControlType -> 
         None}, {{$CellContext`showplane$$, True, "show plane"}, {
         True, False}, ControlPlacement -> 
         Left}, {{$CellContext`showderiv$$, False, "show tangent"}, {
         True, False}, ControlPlacement -> Left}, 
        Delimiter, {{$CellContext`setxy$$, False, 
          Row[{"set (", 
            Subscript["x", 0], ", ", 
            Subscript["y", 0], ")"}]}, {True, False}, ControlPlacement -> 
         Left}, Delimiter, {{$CellContext`showsurf$$, True, "show surface"}, {
         True, False}, ControlPlacement -> Left}, {{$CellContext`x0$$, 0}, 
         ControlType -> None}, {{$CellContext`y0$$, 0}, ControlType -> None}},
       "Options" :> {
       AutorunSequencing -> {1, 2, 3, 4, 7}, TrackedSymbols -> Manipulate}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{628., {246., 251.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(($CellContext`rndif[
         Pattern[$CellContext`x, 
          Blank[]]] := 
       If[Accuracy[$CellContext`x] == Infinity, $CellContext`x, 
         Round[$CellContext`x, 
          0.001]]; {{$CellContext`xmin, $CellContext`xmax}, \
{$CellContext`ymin, $CellContext`ymax}} = {{-3, 3}, {-3, 3}}; Null); 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->366835738],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Directional Derivatives in 3D",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/DirectionalDerivativesIn3D/"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/DirectionalDerivativesIn3D/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/DirectionalDerivativesIn3D/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/DirectionalDerivativesIn3D/"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/DirectionalDerivativesIn3D/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Abby Brown",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Abby+Brown"], 
    None}]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
DirectionalDerivativesIn3D"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{780, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Directional Derivatives in 3D - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (May 21, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 221, 4, 70, "Section"],
Cell[814, 29, 41542, 966, 70, "Input"]
}, Open  ]],
Cell[42371, 998, 20089, 419, 70, "Output",
 CellID->366835738],
Cell[CellGroupData[{
Cell[62485, 1421, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[62861, 1432, 954, 28, 70, "Text"],
Cell[63818, 1462, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[64158, 1473, 342, 12, 70, "Text"],
Cell[CellGroupData[{
Cell[64525, 1489, 829, 24, 70, "Text"],
Cell[65357, 1515, 1202, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature sSzr#5z#iDfKLDDj3lPy14gz *)
