(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     29007,        736]
NotebookOptionsPosition[     27931,        696]
NotebookOutlinePosition[     28552,        720]
CellTagsIndexPosition[     28509,        717]
WindowTitle->Flow of a Vector Field in 2D - Source
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Flow of a Vector Field in 2D", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"StreamPlot", "[", 
    RowBox[{
     RowBox[{"field", "@@", 
      RowBox[{"{", 
       RowBox[{"x", ",", "y"}], "}"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", 
       RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", 
     RowBox[{"StreamPoints", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Join", "[", 
         RowBox[{
          RowBox[{"Table", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                RowBox[{"center", "-", 
                 RowBox[{"{", 
                  RowBox[{"0.5", ",", "0.5"}], "}"}]}], ")"}], "+", 
               RowBox[{"points", "[", 
                RowBox[{"[", "k", "]"}], "]"}]}], ",", 
              RowBox[{"colors", "[", 
               RowBox[{"[", "k", "]"}], "]"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"k", ",", "1", ",", "9"}], "}"}]}], "]"}], ",", 
          RowBox[{"{", "Automatic", "}"}]}], "]"}], ",", "Medium", ",", 
        RowBox[{"{", 
         RowBox[{"d", ",", "l"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"Epilog", "\[Rule]", 
      RowBox[{"Point", "[", 
       RowBox[{"Transpose", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"center", "-", 
           RowBox[{"{", 
            RowBox[{"0.5", ",", "0.5"}], "}"}]}], ")"}], "+", 
         RowBox[{"Transpose", "[", "points", "]"}]}], "]"}], "]"}]}], ",", 
     RowBox[{"StreamStyle", "\[Rule]", 
      RowBox[{"GrayLevel", "[", "0.6", "]"}]}], ",", 
     RowBox[{"Axes", "\[Rule]", "True"}], ",", 
     RowBox[{"AxesStyle", "\[Rule]", 
      RowBox[{"Arrowheads", "[", 
       RowBox[{"{", 
        RowBox[{"0.0", ",", "0.05"}], "}"}], "]"}]}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Style", "[", 
         RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], ",", 
        RowBox[{"Style", "[", 
         RowBox[{"\"\<y\>\"", ",", "Italic"}], "]"}]}], "}"}]}], ",", 
     RowBox[{"Frame", "\[Rule]", "False"}], ",", 
     RowBox[{"AxesOrigin", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "3"}], ",", 
        RowBox[{"-", "3"}]}], "}"}]}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "3"}], ",", "3"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"400", ",", "400"}], "}"}]}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"field", ",", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"#1", ",", "#2"}], "}"}], "&"}], ",", 
       RowBox[{"Style", "[", 
        RowBox[{"\"\<field\>\"", ",", "12"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"{", 
          RowBox[{"#1", ",", "#2"}], "}"}], "&"}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"{", 
          RowBox[{"x", ",", "y"}], "}"}], "]"}]}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"#1", "^", "2"}], ",", 
           RowBox[{"#2", "^", "2"}]}], "}"}], "&"}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"x", "^", "2"}], ",", 
           RowBox[{"y", "^", "2"}]}], "}"}], "]"}]}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"#2", "^", "2"}], ",", 
           RowBox[{"#1", "^", "2"}]}], "}"}], "&"}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"y", "^", "2"}], ",", 
           RowBox[{"x", "^", "2"}]}], "}"}], "]"}]}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"{", 
          RowBox[{"1", ",", 
           RowBox[{"#1", "+", "#2"}]}], "}"}], "&"}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"{", 
          RowBox[{"1", ",", 
           RowBox[{"x", "+", "y"}]}], "}"}], "]"}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Cos", "[", 
            RowBox[{
             SuperscriptBox["#1", "2"], "+", "#2"}], "]"}], ",", 
           RowBox[{"1", "+", "#1", "-", 
            SuperscriptBox["#2", "2"]}]}], "}"}], "&"}], "->", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Cos", "[", 
            RowBox[{
             SuperscriptBox["x", "2"], "+", "y"}], "]"}], ",", 
           RowBox[{"1", "+", "x", "-", 
            SuperscriptBox["y", "2"]}]}], "}"}], "]"}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"{", 
          RowBox[{"1", ",", 
           RowBox[{"Sin", "[", 
            RowBox[{
             RowBox[{"#1", "^", "2"}], "+", 
             RowBox[{"#2", "^", "2"}]}], "]"}]}], "}"}], "&"}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"{", 
          RowBox[{"1", ",", 
           RowBox[{"Sin", "[", 
            RowBox[{
             SuperscriptBox["x", "2"], "+", 
             SuperscriptBox["y", "2"]}], "]"}]}], "}"}], "]"}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Cos", "[", 
            RowBox[{"#2", "^", "2"}], "]"}], ",", 
           RowBox[{"Sin", "[", 
            RowBox[{"#1", "^", "3"}], "]"}]}], "}"}], "&"}], "->", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Cos", "[", 
            RowBox[{"y", "^", "2"}], "]"}], ",", 
           RowBox[{"Sin", "[", 
            RowBox[{"x", "^", "3"}], "]"}]}], "}"}], "]"}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"Sin", "[", "#1", "]"}], "^", "2"}], "+", "#2"}], ",", 
           RowBox[{"Cos", "[", 
            RowBox[{
             RowBox[{"#2", "^", "2"}], "+", "#1"}], "]"}]}], "}"}], "&"}], "->", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"Sin", "[", "x", "]"}], "^", "2"}], "+", "y"}], ",", 
           RowBox[{"Cos", "[", 
            RowBox[{
             RowBox[{"y", "^", "2"}], "+", "x"}], "]"}]}], "}"}], "]"}]}], 
       ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Sin", "[", 
            RowBox[{
             RowBox[{"Cos", "[", 
              RowBox[{"3", " ", "#1"}], "]"}], "+", 
             RowBox[{"3", " ", "#2"}]}], "]"}], ",", 
           RowBox[{"Cos", "[", 
            RowBox[{
             RowBox[{"Sin", "[", 
              RowBox[{"3", " ", "#2"}], "]"}], "+", 
             RowBox[{"3", " ", "#1"}]}], "]"}]}], "}"}], "&"}], "->", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Sin", "[", 
            RowBox[{
             RowBox[{"Cos", "[", 
              RowBox[{"3", " ", "x"}], "]"}], "+", 
             RowBox[{"3", " ", "y"}]}], "]"}], ",", 
           RowBox[{"Cos", "[", 
            RowBox[{
             RowBox[{"Sin", "[", 
              RowBox[{"3", " ", "y"}], "]"}], "+", 
             RowBox[{"3", " ", "x"}]}], "]"}]}], "}"}], "]"}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Sin", "[", 
            RowBox[{
             RowBox[{"Cos", "[", 
              RowBox[{"3", " ", "#2"}], "]"}], "+", 
             RowBox[{"3", " ", "#1"}]}], "]"}], ",", 
           RowBox[{"Cos", "[", 
            RowBox[{
             RowBox[{"Sin", "[", 
              RowBox[{"3", " ", "#2"}], "]"}], "+", 
             RowBox[{"3", " ", "#1"}]}], "]"}]}], "}"}], "&"}], "->", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Sin", "[", 
            RowBox[{
             RowBox[{"Cos", "[", 
              RowBox[{"3", " ", "y"}], "]"}], "+", 
             RowBox[{"3", " ", "x"}]}], "]"}], ",", 
           RowBox[{"Cos", "[", 
            RowBox[{
             RowBox[{"Sin", "[", 
              RowBox[{"3", " ", "y"}], "]"}], "+", 
             RowBox[{"3", " ", "x"}]}], "]"}]}], "}"}], "]"}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Sin", "[", 
            RowBox[{
             RowBox[{"Cos", "[", 
              RowBox[{"3", " ", "#2"}], "]"}], "+", 
             RowBox[{"Sin", "[", 
              RowBox[{"3", " ", "#1"}], "]"}]}], "]"}], ",", 
           RowBox[{"3", " ", 
            RowBox[{"Cos", "[", 
             RowBox[{
              RowBox[{"Cos", "[", 
               RowBox[{"3", " ", "#2"}], "]"}], "+", 
              RowBox[{"3", " ", "#1"}]}], "]"}]}]}], "}"}], "&"}], "\[Rule]", 
        
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Sin", "[", 
            RowBox[{
             RowBox[{"Cos", "[", 
              RowBox[{"3", " ", "y"}], "]"}], "+", 
             RowBox[{"Sin", "[", 
              RowBox[{"3", " ", "x"}], "]"}]}], "]"}], ",", 
           RowBox[{"3", " ", 
            RowBox[{"Cos", "[", 
             RowBox[{
              RowBox[{"Cos", "[", 
               RowBox[{"3", " ", "y"}], "]"}], "+", 
              RowBox[{"3", " ", "x"}]}], "]"}]}]}], "}"}], "]"}]}]}], "}"}], 
     ",", "PopupMenu"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"d", ",", "Forward", ",", 
       RowBox[{"Style", "[", 
        RowBox[{"\"\<direction\>\"", ",", "12"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Forward", "\[Rule]", "\"\<forward\>\""}], ",", 
       RowBox[{"Backward", "\[Rule]", "\"\<backward\>\""}], ",", 
       RowBox[{"ForwardBackward", "\[Rule]", "\"\<both\>\""}]}], "}"}]}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"l", ",", "0.7", ",", 
       RowBox[{"Style", "[", 
        RowBox[{"\"\<length\>\"", ",", "12"}], "]"}]}], "}"}], ",", 
     "0.000001", ",", "12", ",", "0.1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"center", ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "2"}], ",", 
       RowBox[{"-", "2"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "2"}], "}"}], ",", "Locator", ",", 
     RowBox[{"Appearance", "\[Rule]", 
      RowBox[{"Graphics", "[", 
       RowBox[{"Locator", "[", 
        RowBox[{"Appearance", "\[Rule]", "Small"}], "]"}], "]"}]}]}], "}"}], 
   ",", 
   RowBox[{"Initialization", "\[RuleDelayed]", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"points", "=", 
       RowBox[{"Flatten", "[", 
        RowBox[{
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"i", ",", "j"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"i", ",", "0", ",", "1", ",", "0.5"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"j", ",", "0", ",", "1", ",", "0.5"}], "}"}]}], "]"}], 
         ",", "1"}], "]"}]}], ";", 
      RowBox[{"colors", "=", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"Thick", ",", 
           RowBox[{"Hue", "[", "i", "]"}], ",", "\"\<Pointer\>\""}], "}"}], 
         ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "0", ",", "0.8", ",", "0.1"}], "}"}]}], "]"}]}]}],
      ")"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.435664844101667*^9, 3.435664847194353*^9}, {
   3.4356648856778584`*^9, 3.435664909987969*^9}, {3.43566496684107*^9, 
   3.435665002557548*^9}, {3.4356653551747932`*^9, 3.4356654747992373`*^9}, {
   3.435665532508811*^9, 3.435665536718943*^9}, {3.4356655740518923`*^9, 
   3.435665600516547*^9}, {3.435665641567524*^9, 3.435666031194742*^9}, {
   3.4356660617342176`*^9, 3.4356660757207336`*^9}, {3.435666196452338*^9, 
   3.4356662474501266`*^9}, {3.4356662830498343`*^9, 3.435666285679163*^9}, {
   3.4356673597587757`*^9, 3.435667433205597*^9}, {3.435668533702948*^9, 
   3.43566853587728*^9}, {3.435668612593748*^9, 3.435668620997943*^9}, {
   3.4356686510090103`*^9, 3.435668667183004*^9}, {3.435668698435782*^9, 
   3.435668720008607*^9}, {3.435668946745325*^9, 3.435669013789659*^9}, {
   3.435669516329113*^9, 3.4356695231515512`*^9}, {3.435669602580765*^9, 
   3.4356696791717043`*^9}, {3.435669808184402*^9, 3.4356698534150257`*^9}, {
   3.435670133201004*^9, 3.435670141224043*^9}, {3.435671120339715*^9, 
   3.435671131184682*^9}, {3.435671164060166*^9, 3.435671173524666*^9}, {
   3.435671207236865*^9, 3.435671237629879*^9}, {3.4356712759355507`*^9, 
   3.435671300500556*^9}, {3.43567138100749*^9, 3.435671381890522*^9}, {
   3.435671421432221*^9, 3.4356714704389*^9}, {3.4356715436354113`*^9, 
   3.435671544728341*^9}, {3.435671859561672*^9, 3.43567187292098*^9}, {
   3.4356719302171993`*^9, 3.4356719410390377`*^9}, {3.435672000251335*^9, 
   3.4356720210699577`*^9}, {3.4356721331977997`*^9, 3.435672152573254*^9}, {
   3.435672504593424*^9, 3.435672536225697*^9}, {3.43567260570043*^9, 
   3.435672626702133*^9}, {3.4356726876298847`*^9, 3.43567277462821*^9}, {
   3.435672943136137*^9, 3.4356729569656353`*^9}, {3.435673002931024*^9, 
   3.435673005879908*^9}, {3.435673037752625*^9, 3.4356730494677258`*^9}, {
   3.435673081899085*^9, 3.4356730872960863`*^9}, {3.435673300901894*^9, 
   3.435673313933241*^9}, {3.4356733643844423`*^9, 3.435673364869986*^9}, {
   3.435674186975857*^9, 3.435674210431275*^9}, {3.435674342748013*^9, 
   3.4356744071125517`*^9}, {3.4356756576063213`*^9, 3.435675727040799*^9}, 
   3.435675946060396*^9, {3.4356759962960157`*^9, 3.4356760504836206`*^9}, {
   3.435678359089345*^9, 3.4356784396996183`*^9}, 3.435679344583311*^9, {
   3.435679475761986*^9, 3.435679500847927*^9}, {3.4356795685170183`*^9, 
   3.435679574098567*^9}, {3.435679643631495*^9, 3.435679648092008*^9}, 
   3.435679678319112*^9, {3.435680099711844*^9, 3.435680100452961*^9}, {
   3.435685271805338*^9, 3.4356852755946503`*^9}, {3.4356855827439947`*^9, 
   3.4356856643137913`*^9}, 3.43568569627579*^9, {3.435685741706403*^9, 
   3.435685786192765*^9}, {3.435685865467676*^9, 3.4356858669366693`*^9}, {
   3.435685955469213*^9, 3.435685977939043*^9}, {3.435686174113659*^9, 
   3.435686178717175*^9}, 3.435686301990088*^9, {3.4356863686217737`*^9, 
   3.435686435713791*^9}, 3.435686642747128*^9, {3.43568668220324*^9, 
   3.435686706778809*^9}, {3.4356867855227957`*^9, 3.435686830281513*^9}, {
   3.43568743890774*^9, 3.435687444519005*^9}, 3.4356895672544117`*^9, {
   3.435689737965982*^9, 3.435689739930471*^9}, {3.435689793542705*^9, 
   3.435689796667664*^9}, {3.435689868536222*^9, 3.435689896598145*^9}, {
   3.4356908041069736`*^9, 3.435690832968981*^9}, {3.435692573305738*^9, 
   3.435692582039872*^9}, {3.4357544118655643`*^9, 3.435754497344339*^9}, {
   3.4357545485673637`*^9, 3.4357547041440763`*^9}, {3.435754771634864*^9, 
   3.435754806600408*^9}, {3.4359336094632177`*^9, 3.4359336625755286`*^9}},
 CellID->128139195]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`center$$ = {0, 0}, $CellContext`d$$ = 
    Forward, $CellContext`field$$ = {#, #2}& , $CellContext`l$$ = 0.7, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`field$$], {#, #2}& , 
       Style["field", 12]}, {({#, #2}& ) -> 
       TraditionalForm[{$CellContext`x, $CellContext`y}], ({#^2, #2^2}& ) -> 
       TraditionalForm[{$CellContext`x^2, $CellContext`y^2}], ({#2^2, #^2}& ) -> 
       TraditionalForm[{$CellContext`y^2, $CellContext`x^2}], ({1, # + #2}& ) -> 
       TraditionalForm[{1, $CellContext`x + $CellContext`y}], ({
         Cos[#^2 + #2], 1 + # - #2^2}& ) -> TraditionalForm[{
          Cos[$CellContext`x^2 + $CellContext`y], 
          1 + $CellContext`x - $CellContext`y^2}], ({1, 
         Sin[#^2 + #2^2]}& ) -> TraditionalForm[{1, 
          Sin[$CellContext`x^2 + $CellContext`y^2]}], ({
         Cos[#2^2], 
         Sin[#^3]}& ) -> TraditionalForm[{
          Cos[$CellContext`y^2], 
          Sin[$CellContext`x^3]}], ({Sin[#]^2 + #2, 
         Cos[#2^2 + #]}& ) -> 
       TraditionalForm[{$CellContext`y + Sin[$CellContext`x]^2, 
          Cos[$CellContext`x + $CellContext`y^2]}], ({
         Sin[Cos[3 #] + 3 #2], 
         Cos[Sin[3 #2] + 3 #]}& ) -> TraditionalForm[{
          Sin[3 $CellContext`y + Cos[3 $CellContext`x]], 
          Cos[3 $CellContext`x + Sin[3 $CellContext`y]]}], ({
         Sin[Cos[3 #2] + 3 #], 
         Cos[Sin[3 #2] + 3 #]}& ) -> TraditionalForm[{
          Sin[3 $CellContext`x + Cos[3 $CellContext`y]], 
          Cos[3 $CellContext`x + Sin[3 $CellContext`y]]}], ({
         Sin[Cos[3 #2] + Sin[3 #]], 3 Cos[Cos[3 #2] + 3 #]}& ) -> 
       TraditionalForm[{
          Sin[Cos[3 $CellContext`y] + Sin[3 $CellContext`x]], 3 
          Cos[3 $CellContext`x + Cos[3 $CellContext`y]]}]}}, {{
       Hold[$CellContext`d$$], Forward, 
       Style["direction", 12]}, {
      Forward -> "forward", Backward -> "backward", ForwardBackward -> 
       "both"}}, {{
       Hold[$CellContext`l$$], 0.7, 
       Style["length", 12]}, 1.*^-6, 12, 0.1}, {{
       Hold[$CellContext`center$$], {0, 0}}, {-2, -2}, {2, 2}}}, 
    Typeset`size$$ = {400., {198., 202.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`field$169159$$ = False, $CellContext`d$169160$$ = 
    False, $CellContext`l$169161$$ = 0, $CellContext`center$169162$$ = {0, 
    0}}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`center$$ = {0, 0}, $CellContext`d$$ = 
        Forward, $CellContext`field$$ = {#, #2}& , $CellContext`l$$ = 0.7}, 
      "ControllerVariables" :> {
        Hold[$CellContext`field$$, $CellContext`field$169159$$, False], 
        Hold[$CellContext`d$$, $CellContext`d$169160$$, False], 
        Hold[$CellContext`l$$, $CellContext`l$169161$$, 0], 
        Hold[$CellContext`center$$, $CellContext`center$169162$$, {0, 0}]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> StreamPlot[
        Apply[$CellContext`field$$, {$CellContext`x, $CellContext`y}], \
{$CellContext`x, -3, 3}, {$CellContext`y, -3, 3}, StreamPoints -> {
          Join[
           
           Table[{($CellContext`center$$ - {0.5, 0.5}) + 
             Part[$CellContext`points, $CellContext`k], 
             Part[$CellContext`colors, $CellContext`k]}, {$CellContext`k, 1, 
             9}], {Automatic}], Medium, {$CellContext`d$$, $CellContext`l$$}},
         Epilog -> Point[
          
          Transpose[($CellContext`center$$ - {0.5, 0.5}) + 
           Transpose[$CellContext`points]]], StreamStyle -> GrayLevel[0.6], 
        Axes -> True, AxesStyle -> Arrowheads[{0., 0.05}], AxesLabel -> {
          Style["x", Italic], 
          Style["y", Italic]}, Frame -> False, AxesOrigin -> {-3, -3}, 
        PlotRange -> {{-3, 3}, {-3, 3}}, ImageSize -> {400, 400}], 
      "Specifications" :> {{{$CellContext`field$$, {#, #2}& , 
          Style["field", 12]}, {({#, #2}& ) -> 
          TraditionalForm[{$CellContext`x, $CellContext`y}], ({#^2, #2^2}& ) -> 
          TraditionalForm[{$CellContext`x^2, $CellContext`y^2}], ({#2^2, #^2}& \
) -> TraditionalForm[{$CellContext`y^2, $CellContext`x^2}], ({1, # + #2}& ) -> 
          TraditionalForm[{1, $CellContext`x + $CellContext`y}], ({
            Cos[#^2 + #2], 1 + # - #2^2}& ) -> TraditionalForm[{
             Cos[$CellContext`x^2 + $CellContext`y], 
             1 + $CellContext`x - $CellContext`y^2}], ({1, 
            Sin[#^2 + #2^2]}& ) -> TraditionalForm[{1, 
             Sin[$CellContext`x^2 + $CellContext`y^2]}], ({
            Cos[#2^2], 
            Sin[#^3]}& ) -> TraditionalForm[{
             Cos[$CellContext`y^2], 
             Sin[$CellContext`x^3]}], ({Sin[#]^2 + #2, 
            Cos[#2^2 + #]}& ) -> 
          TraditionalForm[{$CellContext`y + Sin[$CellContext`x]^2, 
             Cos[$CellContext`x + $CellContext`y^2]}], ({
            Sin[Cos[3 #] + 3 #2], 
            Cos[Sin[3 #2] + 3 #]}& ) -> TraditionalForm[{
             Sin[3 $CellContext`y + Cos[3 $CellContext`x]], 
             Cos[3 $CellContext`x + Sin[3 $CellContext`y]]}], ({
            Sin[Cos[3 #2] + 3 #], 
            Cos[Sin[3 #2] + 3 #]}& ) -> TraditionalForm[{
             Sin[3 $CellContext`x + Cos[3 $CellContext`y]], 
             Cos[3 $CellContext`x + Sin[3 $CellContext`y]]}], ({
            Sin[Cos[3 #2] + Sin[3 #]], 3 Cos[Cos[3 #2] + 3 #]}& ) -> 
          TraditionalForm[{
             Sin[Cos[3 $CellContext`y] + Sin[3 $CellContext`x]], 3 
             Cos[3 $CellContext`x + Cos[3 $CellContext`y]]}]}, ControlType -> 
         PopupMenu}, {{$CellContext`d$$, Forward, 
          Style["direction", 12]}, {
         Forward -> "forward", Backward -> "backward", ForwardBackward -> 
          "both"}}, {{$CellContext`l$$, 0.7, 
          Style["length", 12]}, 1.*^-6, 12, 
         0.1}, {{$CellContext`center$$, {0, 0}}, {-2, -2}, {2, 2}, 
         ControlType -> Locator, Appearance -> Graphics[
           Locator[Appearance -> Small]]}}, "Options" :> {}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{451., {273., 278.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(($CellContext`points = Flatten[
         Table[{$CellContext`i, $CellContext`j}, {$CellContext`i, 0, 1, 
           0.5}, {$CellContext`j, 0, 1, 0.5}], 1]; $CellContext`colors = 
       Table[{Thick, 
          Hue[$CellContext`i], "Pointer"}, {$CellContext`i, 0, 0.8, 0.1}]); 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->376612624],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Flow of a Vector Field in 2D",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/FlowOfAVectorFieldIn2D/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/FlowOfAVectorFieldIn2D/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/FlowOfAVectorFieldIn2D/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/FlowOfAVectorFieldIn2D/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/FlowOfAVectorFieldIn2D/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Gosia Konwerska",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Gosia+\
Konwerska"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Gosia+Konwerska"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " system (Version 6 or higher) is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
FlowOfAVectorFieldIn2D"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Flow of a Vector Field in 2D - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (November 10, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[618, 23, 220, 4, 70, "Section"],
Cell[841, 29, 15670, 396, 70, "Input",
 CellID->128139195]
}, Open  ]],
Cell[16526, 428, 7206, 135, 70, "Output",
 CellID->376612624],
Cell[CellGroupData[{
Cell[23757, 567, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[24133, 578, 915, 24, 70, "Text"],
Cell[25051, 604, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[25391, 615, 439, 14, 70, "Text"],
Cell[CellGroupData[{
Cell[25855, 633, 847, 24, 70, "Text"],
Cell[26705, 659, 1198, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature jS4sPJmbctRWRBDWD3VwY7td *)
