(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     39361,       1014]
NotebookOptionsPosition[     38270,        974]
NotebookOutlinePosition[     38903,        998]
CellTagsIndexPosition[     38860,        995]
WindowTitle->Integrating a Vector Field along a Curve - Source
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Integrating a Vector Field along a Curve", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Norm", "[", 
        RowBox[{"p2", "-", "p1"}], "]"}], "<", ".01"}], ",", 
      RowBox[{"p1", "=", 
       RowBox[{"p1", "+", ".01"}]}]}], "]"}], ";", "\[IndentingNewLine]", 
    RowBox[{"traj", "=", 
     RowBox[{"Switch", "[", 
      RowBox[{"trajectory", ",", "1", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Graphics", "[", 
          RowBox[{"{", 
           RowBox[{"Black", ",", 
            RowBox[{"Thickness", "[", "0.004", "]"}], ",", 
            RowBox[{"Dynamic", "[", 
             RowBox[{"Line", "[", 
              RowBox[{"{", 
               RowBox[{"p1", ",", "p2"}], "}"}], "]"}], "]"}]}], "}"}], "]"}],
          ",", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"1", "-", "#"}], ")"}], " ", "p1"}], "+", 
            RowBox[{"#", " ", "p2"}]}], ")"}], "&"}], ",", "1"}], "}"}], ",", 
       "2", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Graphics", "[", 
          RowBox[{"{", 
           RowBox[{"Black", ",", 
            RowBox[{"Thickness", "[", "0.004", "]"}], ",", 
            RowBox[{"Dynamic", "[", 
             RowBox[{"Circle", "[", 
              RowBox[{
               RowBox[{"0.5", " ", 
                RowBox[{"(", 
                 RowBox[{"p1", "+", "p2"}], ")"}]}], ",", 
               RowBox[{"0.5", " ", 
                RowBox[{"Norm", "[", 
                 RowBox[{"p1", "-", "p2"}], "]"}]}]}], "]"}], "]"}]}], "}"}], 
          "]"}], ",", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"0.5", " ", 
             RowBox[{"(", 
              RowBox[{"p1", "+", "p2"}], ")"}]}], "+", 
            RowBox[{"0.5", " ", 
             RowBox[{"Norm", "[", 
              RowBox[{"p1", "-", "p2"}], "]"}], " ", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Cos", "[", "#", "]"}], ",", 
               RowBox[{"Sin", "[", "#", "]"}]}], "}"}]}]}], ")"}], "&"}], ",", 
         RowBox[{"2", " ", "Pi"}]}], "}"}], ",", "3", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"ParametricPlot", "[", 
          RowBox[{
           RowBox[{"p1", "+", 
            RowBox[{"t", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"p2", "-", "p1"}], ")"}], "/", 
              RowBox[{"Norm", "[", 
               RowBox[{"p2", "-", "p1"}], "]"}]}]}], "+", 
            RowBox[{
             RowBox[{"Sin", "[", 
              RowBox[{"2", " ", "Pi", " ", 
               RowBox[{"t", " ", "/", 
                RowBox[{"Norm", "[", 
                 RowBox[{"p2", "-", "p1"}], "]"}]}]}], "]"}], " ", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"p2", "-", "p1"}], ")"}], ".", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"0", ",", 
                    RowBox[{"-", "1"}]}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"1", ",", "0"}], "}"}]}], "}"}]}], ")"}], "/", 
              RowBox[{"Norm", "[", 
               RowBox[{"p2", "-", "p1"}], "]"}]}]}]}], ",", 
           RowBox[{"{", 
            RowBox[{"t", ",", "0", ",", 
             RowBox[{"Norm", "[", 
              RowBox[{"p2", "-", "p1"}], "]"}]}], "}"}], ",", 
           RowBox[{"PlotStyle", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{"Black", ",", 
              RowBox[{"Thickness", "[", "0.004", "]"}]}], "}"}]}], ",", 
           RowBox[{"PlotRange", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"-", "3.5"}], ",", "3.5"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"-", "3.5"}], ",", "3.5"}], "}"}]}], "}"}]}]}], "]"}],
          ",", 
         RowBox[{
          RowBox[{"p1", "+", 
           RowBox[{"#", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"p2", "-", "p1"}], ")"}], "/", 
             RowBox[{"Norm", "[", 
              RowBox[{"p2", "-", "p1"}], "]"}]}]}], "+", 
           RowBox[{
            RowBox[{"Sin", "[", 
             RowBox[{"2", " ", "Pi", " ", 
              RowBox[{"#", " ", "/", 
               RowBox[{"Norm", "[", 
                RowBox[{"p2", "-", "p1"}], "]"}]}]}], "]"}], " ", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"p2", "-", "p1"}], ")"}], ".", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"0", ",", 
                   RowBox[{"-", "1"}]}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"1", ",", "0"}], "}"}]}], "}"}]}], ")"}], "/", 
             RowBox[{"Norm", "[", 
              RowBox[{"p2", "-", "p1"}], "]"}]}]}]}], "&"}], ",", 
         RowBox[{"Norm", "[", 
          RowBox[{"p2", "-", "p1"}], "]"}]}], "}"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"Show", "[", 
     RowBox[{
      RowBox[{"VectorPlot", "[", 
       RowBox[{
        RowBox[{"field", "@@", 
         RowBox[{"{", 
          RowBox[{"x", ",", "y"}], "}"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", 
          RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"y", ",", 
          RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", 
        RowBox[{"VectorScale", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"Small", ",", "Small", ",", "Automatic"}], "}"}]}], ",", 
        RowBox[{"VectorStyle", "\[Rule]", 
         RowBox[{"GrayLevel", "[", "0.5", "]"}]}], ",", 
        RowBox[{"Axes", "\[Rule]", "True"}], ",", 
        RowBox[{"AxesStyle", "\[Rule]", 
         RowBox[{"Arrowheads", "[", 
          RowBox[{"{", 
           RowBox[{"0.0", ",", "0.05"}], "}"}], "]"}]}], ",", 
        RowBox[{"AxesLabel", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"x", ",", "y"}], "}"}]}], ",", 
        RowBox[{"Frame", "\[Rule]", "False"}], ",", 
        RowBox[{"AxesOrigin", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "3"}], ",", 
           RowBox[{"-", "3"}]}], "}"}]}], ",", 
        RowBox[{"PlotRange", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "3.5"}], ",", "3.5"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "3.5"}], ",", "3.5"}], "}"}]}], "}"}]}], ",", 
        RowBox[{"ImageSize", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"400", ",", "400"}], "}"}]}], ",", 
        RowBox[{"PlotLabel", "\[Rule]", "\[IndentingNewLine]", 
         RowBox[{"Dynamic", "[", 
          RowBox[{"Row", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"\"\<line integral = \>\"", "\[IndentingNewLine]", ",", 
              RowBox[{"Quiet", "[", 
               RowBox[{"NIntegrate", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"field", "@@", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"traj", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "[", "t", "]"}], ")"}]}], 
                    ")"}], ".", 
                   RowBox[{"(", 
                    RowBox[{"D", "[", 
                    RowBox[{
                    RowBox[{"G", "[", "t", "]"}], ",", "t"}], "]"}], ")"}]}], 
                  "/.", 
                  RowBox[{"G", "\[Rule]", 
                   RowBox[{"traj", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}]}], ",", 
                 RowBox[{"{", 
                  RowBox[{"t", ",", "0", ",", 
                   RowBox[{"traj", "[", 
                    RowBox[{"[", "3", "]"}], "]"}]}], "}"}], ",", 
                 RowBox[{"PrecisionGoal", "\[Rule]", "4"}], ",", 
                 RowBox[{"AccuracyGoal", "\[Rule]", "4"}], ",", 
                 RowBox[{"MaxRecursion", "\[Rule]", "3"}]}], "]"}], "]"}]}], 
             "}"}], ",", 
            RowBox[{"Alignment", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{"{", 
               RowBox[{"Left", ",", "Left"}], "}"}], "}"}]}]}], "]"}], 
          "]"}]}], ",", "\[IndentingNewLine]", 
        RowBox[{"LabelStyle", "\[Rule]", 
         RowBox[{"Directive", "[", "Bold", "]"}]}]}], "]"}], ",", 
      RowBox[{"traj", "[", 
       RowBox[{"[", "1", "]"}], "]"}], ",", 
      RowBox[{"Graphics", "[", 
       RowBox[{"Dynamic", "[", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"ColorData", "[", "35", "]"}], "[", 
              RowBox[{"[", "4", "]"}], "]"}], "[", 
             RowBox[{"10", " ", "t"}], "]"}], ",", " ", 
            RowBox[{"Arrow", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{
                RowBox[{"traj", "[", 
                 RowBox[{"[", "2", "]"}], "]"}], "@", "t"}], ",", 
               RowBox[{
                RowBox[{
                 RowBox[{"traj", "[", 
                  RowBox[{"[", "2", "]"}], "]"}], "@", "t"}], "+", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"(", " ", "field", ")"}], "@@", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"traj", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "@", "t"}], ")"}]}], 
                  ")"}], "/", "3"}]}]}], "}"}], "]"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"t", ",", "0", ",", 
            RowBox[{"traj", "[", 
             RowBox[{"[", "3", "]"}], "]"}], ",", 
            RowBox[{
             RowBox[{"(", " ", 
              RowBox[{"traj", "[", 
               RowBox[{"[", "3", "]"}], "]"}], ")"}], "/", 
             RowBox[{"(", 
              RowBox[{"14", " ", 
               RowBox[{"Norm", "[", 
                RowBox[{"p1", "-", "p2"}], "]"}]}], ")"}]}]}], "}"}]}], "]"}],
         "]"}], "\[IndentingNewLine]", "]"}]}], "]"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"field", ",", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"#1", ",", "#2"}], "}"}], "&"}], ",", "\"\<field\>\""}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"{", 
          RowBox[{"#1", ",", "#2"}], "}"}], "&"}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"{", 
          RowBox[{"x", ",", "y"}], "}"}], "]"}]}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"#1", "^", "2"}], ",", 
           RowBox[{"#2", "^", "2"}]}], "}"}], "&"}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"x", "^", "2"}], ",", 
           RowBox[{"y", "^", "2"}]}], "}"}], "]"}]}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"#2", "^", "2"}], ",", 
           RowBox[{"#1", "^", "2"}]}], "}"}], "&"}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"y", "^", "2"}], ",", 
           RowBox[{"x", "^", "2"}]}], "}"}], "]"}]}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"{", 
          RowBox[{"1", ",", 
           RowBox[{"#1", "+", "#2"}]}], "}"}], "&"}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"{", 
          RowBox[{"1", ",", 
           RowBox[{"x", "+", "y"}]}], "}"}], "]"}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Cos", "[", 
            RowBox[{
             SuperscriptBox["#1", "2"], "+", "#2"}], "]"}], ",", 
           RowBox[{"1", "+", "#1", "-", 
            SuperscriptBox["#2", "2"]}]}], "}"}], "&"}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Cos", "[", 
            RowBox[{
             SuperscriptBox["x", "2"], "+", "y"}], "]"}], ",", 
           RowBox[{"1", "+", "x", "-", 
            SuperscriptBox["y", "2"]}]}], "}"}], "]"}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"{", 
          RowBox[{"1", ",", 
           RowBox[{"Sin", "[", 
            RowBox[{
             RowBox[{"#1", "^", "2"}], "+", 
             RowBox[{"#2", "^", "2"}]}], "]"}]}], "}"}], "&"}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"{", 
          RowBox[{"1", ",", 
           RowBox[{"Sin", "[", 
            RowBox[{
             SuperscriptBox["x", "2"], "+", 
             SuperscriptBox["y", "2"]}], "]"}]}], "}"}], "]"}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Cos", "[", 
            RowBox[{"#2", "^", "2"}], "]"}], ",", 
           RowBox[{"Sin", "[", 
            RowBox[{"#1", "^", "3"}], "]"}]}], "}"}], "&"}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Cos", "[", 
            RowBox[{"y", "^", "2"}], "]"}], ",", 
           RowBox[{"Sin", "[", 
            RowBox[{"x", "^", "3"}], "]"}]}], "}"}], "]"}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"Sin", "[", "#1", "]"}], "^", "2"}], "+", "#2"}], ",", 
           RowBox[{"Cos", "[", 
            RowBox[{
             RowBox[{"#2", "^", "2"}], "+", "#1"}], "]"}]}], "}"}], "&"}], 
        "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"Sin", "[", "x", "]"}], "^", "2"}], "+", "y"}], ",", 
           RowBox[{"Cos", "[", 
            RowBox[{
             RowBox[{"y", "^", "2"}], "+", "x"}], "]"}]}], "}"}], "]"}]}], 
       ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Sin", "[", 
            RowBox[{
             RowBox[{"Cos", "[", 
              RowBox[{"3", " ", "#1"}], "]"}], "+", 
             RowBox[{"3", " ", "#2"}]}], "]"}], ",", 
           RowBox[{"Cos", "[", 
            RowBox[{
             RowBox[{"Sin", "[", 
              RowBox[{"3", " ", "#2"}], "]"}], "+", 
             RowBox[{"3", " ", "#1"}]}], "]"}]}], "}"}], "&"}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Sin", "[", 
            RowBox[{
             RowBox[{"Cos", "[", 
              RowBox[{"3", " ", "x"}], "]"}], "+", 
             RowBox[{"3", " ", "y"}]}], "]"}], ",", 
           RowBox[{"Cos", "[", 
            RowBox[{
             RowBox[{"Sin", "[", 
              RowBox[{"3", " ", "y"}], "]"}], "+", 
             RowBox[{"3", " ", "x"}]}], "]"}]}], "}"}], "]"}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Sin", "[", 
            RowBox[{
             RowBox[{"Cos", "[", 
              RowBox[{"3", " ", "#2"}], "]"}], "+", 
             RowBox[{"3", " ", "#1"}]}], "]"}], ",", 
           RowBox[{"Cos", "[", 
            RowBox[{
             RowBox[{"Sin", "[", 
              RowBox[{"3", " ", "#2"}], "]"}], "+", 
             RowBox[{"3", " ", "#1"}]}], "]"}]}], "}"}], "&"}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Sin", "[", 
            RowBox[{
             RowBox[{"Cos", "[", 
              RowBox[{"3", " ", "y"}], "]"}], "+", 
             RowBox[{"3", " ", "x"}]}], "]"}], ",", 
           RowBox[{"Cos", "[", 
            RowBox[{
             RowBox[{"Sin", "[", 
              RowBox[{"3", " ", "y"}], "]"}], "+", 
             RowBox[{"3", " ", "x"}]}], "]"}]}], "}"}], "]"}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Sin", "[", 
            RowBox[{
             RowBox[{"Cos", "[", 
              RowBox[{"3", " ", "#2"}], "]"}], "+", 
             RowBox[{"Sin", "[", 
              RowBox[{"3", " ", "#1"}], "]"}]}], "]"}], ",", 
           RowBox[{"3", " ", 
            RowBox[{"Cos", "[", 
             RowBox[{
              RowBox[{"Cos", "[", 
               RowBox[{"3", " ", "#2"}], "]"}], "+", 
              RowBox[{"3", " ", "#1"}]}], "]"}]}]}], "}"}], "&"}], "\[Rule]", 
        
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Sin", "[", 
            RowBox[{
             RowBox[{"Cos", "[", 
              RowBox[{"3", " ", "y"}], "]"}], "+", 
             RowBox[{"Sin", "[", 
              RowBox[{"3", " ", "x"}], "]"}]}], "]"}], ",", 
           RowBox[{"3", " ", 
            RowBox[{"Cos", "[", 
             RowBox[{
              RowBox[{"Cos", "[", 
               RowBox[{"3", " ", "y"}], "]"}], "+", 
              RowBox[{"3", " ", "x"}]}], "]"}]}]}], "}"}], "]"}]}]}], "}"}], 
     ",", "PopupMenu", ",", 
     RowBox[{"FieldSize", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Automatic", ",", "2.5"}], "}"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"p1", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "2.5"}], ",", 
       RowBox[{"-", "2.5"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2.5", ",", "2.5"}], "}"}], ",", "Locator"}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"p2", ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "1"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "2.5"}], ",", 
       RowBox[{"-", "2.5"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2.5", ",", "2.5"}], "}"}], ",", "Locator"}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"trajectory", ",", "2", ",", "\"\<path\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"1", "\[Rule]", "\"\<line segment\>\""}], ",", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"2", "\[Rule]", "\"\<circle\>\""}], ",", "\[IndentingNewLine]",
        "\[IndentingNewLine]", 
       RowBox[{"3", "\[Rule]", "\"\<sinusoid\>\""}]}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "SetterBar"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"traj", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Graphics", "[", 
          RowBox[{"{", 
           RowBox[{"Black", ",", 
            RowBox[{"Thickness", "[", "0.004", "]"}], ",", 
            RowBox[{"Dynamic", "[", 
             RowBox[{"Line", "[", 
              RowBox[{"{", 
               RowBox[{"p1", ",", "p2"}], "}"}], "]"}], "]"}]}], "}"}], "]"}],
          ",", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"1", "-", "#"}], ")"}], " ", "p1"}], "+", 
            RowBox[{"#", " ", "p2"}]}], ")"}], "&"}], ",", "1"}], "}"}]}], 
      "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   RowBox[{"TrackedSymbols", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.4371575934282093`*^9, 3.437157692074361*^9}, {
   3.437157775426786*^9, 3.437157875502132*^9}, {3.437157908389867*^9, 
   3.437157935356593*^9}, 3.437157977808353*^9, 3.437158031485939*^9, {
   3.437221259137631*^9, 3.437221351005885*^9}, {3.437221388311689*^9, 
   3.437221416432917*^9}, 3.437221456179542*^9, {3.437221488595009*^9, 
   3.4372215186187363`*^9}, 3.43722159759744*^9, {3.437222087567286*^9, 
   3.437222102542309*^9}, 3.437222822074781*^9, {3.437222853631165*^9, 
   3.4372228659103603`*^9}, {3.437228125128209*^9, 3.437228129431527*^9}, {
   3.4372316673658953`*^9, 3.4372317124356613`*^9}, {3.4372318148288307`*^9, 
   3.437231894095437*^9}, {3.437231930050643*^9, 3.437231963021789*^9}, {
   3.4372319971422853`*^9, 3.437232118427527*^9}, {3.43723228959629*^9, 
   3.437232312238531*^9}, {3.437234030129221*^9, 3.4372340728334503`*^9}, {
   3.4372341096895027`*^9, 3.437234141456031*^9}, {3.4372342447564497`*^9, 
   3.437234247234264*^9}, {3.437239664143655*^9, 3.437239667968037*^9}, {
   3.437242365743788*^9, 3.4372423742166348`*^9}, {3.43724242827604*^9, 
   3.437242540709283*^9}, {3.4372426159218035`*^9, 3.4372426169649076`*^9}, {
   3.437242647124923*^9, 3.4372426544586563`*^9}, {3.4372426995231624`*^9, 
   3.4372427498751974`*^9}, 3.437303230280883*^9, {3.437303295241493*^9, 
   3.437303301292839*^9}, {3.4373033551183233`*^9, 3.437303355257908*^9}, {
   3.437325257887505*^9, 3.437325259249209*^9}, {3.437325307290783*^9, 
   3.43732530831101*^9}, {3.437326203259246*^9, 3.4373262987267923`*^9}, {
   3.437326337549674*^9, 3.437326337829702*^9}, {3.4373303050513844`*^9, 
   3.437330308385718*^9}, {3.4373942584911547`*^9, 3.437394331621467*^9}, {
   3.4374112946365995`*^9, 3.4374113116943045`*^9}, {3.437411729874119*^9, 
   3.437411730020133*^9}},
 CellID->1558024116]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`field$$ = {#, #2}& , $CellContext`p1$$ = \
{-1, 1}, $CellContext`p2$$ = {1, 1}, $CellContext`traj$$ = {
     Graphics[{
       GrayLevel[0], 
       Thickness[0.004], 
       Dynamic[
        Circle[
        0.5 ($CellContext`p1$$ + $CellContext`p2$$), 0.5 
         Norm[$CellContext`p1$$ - $CellContext`p2$$]]]}], 
     0.5 ($CellContext`p1$$ + $CellContext`p2$$) + (0.5 
       Norm[$CellContext`p1$$ - $CellContext`p2$$]) {
        Cos[#], 
        Sin[#]}& , 2 Pi}, $CellContext`trajectory$$ = 2, Typeset`show$$ = 
    True, Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`field$$], {#, #2}& , "field"}, {({#, #2}& ) -> 
       TraditionalForm[{$CellContext`x, $CellContext`y}], ({#^2, #2^2}& ) -> 
       TraditionalForm[{$CellContext`x^2, $CellContext`y^2}], ({#2^2, #^2}& ) -> 
       TraditionalForm[{$CellContext`y^2, $CellContext`x^2}], ({1, # + #2}& ) -> 
       TraditionalForm[{1, $CellContext`x + $CellContext`y}], ({
         Cos[#^2 + #2], 1 + # - #2^2}& ) -> TraditionalForm[{
          Cos[$CellContext`x^2 + $CellContext`y], 
          1 + $CellContext`x - $CellContext`y^2}], ({1, 
         Sin[#^2 + #2^2]}& ) -> TraditionalForm[{1, 
          Sin[$CellContext`x^2 + $CellContext`y^2]}], ({
         Cos[#2^2], 
         Sin[#^3]}& ) -> TraditionalForm[{
          Cos[$CellContext`y^2], 
          Sin[$CellContext`x^3]}], ({Sin[#]^2 + #2, 
         Cos[#2^2 + #]}& ) -> 
       TraditionalForm[{$CellContext`y + Sin[$CellContext`x]^2, 
          Cos[$CellContext`x + $CellContext`y^2]}], ({
         Sin[Cos[3 #] + 3 #2], 
         Cos[Sin[3 #2] + 3 #]}& ) -> TraditionalForm[{
          Sin[3 $CellContext`y + Cos[3 $CellContext`x]], 
          Cos[3 $CellContext`x + Sin[3 $CellContext`y]]}], ({
         Sin[Cos[3 #2] + 3 #], 
         Cos[Sin[3 #2] + 3 #]}& ) -> TraditionalForm[{
          Sin[3 $CellContext`x + Cos[3 $CellContext`y]], 
          Cos[3 $CellContext`x + Sin[3 $CellContext`y]]}], ({
         Sin[Cos[3 #2] + Sin[3 #]], 3 Cos[Cos[3 #2] + 3 #]}& ) -> 
       TraditionalForm[{
          Sin[Cos[3 $CellContext`y] + Sin[3 $CellContext`x]], 3 
          Cos[3 $CellContext`x + Cos[3 $CellContext`y]]}]}}, {{
       Hold[$CellContext`p1$$], {-1, 1}}, {-2.5, -2.5}, {2.5, 2.5}}, {{
       Hold[$CellContext`p2$$], {1, 1}}, {-2.5, -2.5}, {2.5, 2.5}}, {{
       Hold[$CellContext`trajectory$$], 2, "path"}, {
      1 -> "line segment", 2 -> "circle", 3 -> "sinusoid"}}, {{
       Hold[$CellContext`traj$$], {
        Graphics[{
          GrayLevel[0], 
          Thickness[0.004], 
          Dynamic[
           Circle[
           0.5 ($CellContext`p1$$ + $CellContext`p2$$), 0.5 
            Norm[$CellContext`p1$$ - $CellContext`p2$$]]]}], 
        0.5 ($CellContext`p1$$ + $CellContext`p2$$) + (0.5 
          Norm[$CellContext`p1$$ - $CellContext`p2$$]) {
           Cos[#], 
           Sin[#]}& , 2 Pi}}}}, Typeset`size$$ = {400., {198., 202.}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`field$27921$$ = False, $CellContext`p1$27922$$ = {0, 
    0}, $CellContext`p2$27923$$ = {0, 0}, $CellContext`trajectory$27924$$ = 
    False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`field$$ = {#, #2}& , $CellContext`p1$$ = \
{-1, 1}, $CellContext`p2$$ = {1, 1}, $CellContext`traj$$ = {
          Graphics[{
            GrayLevel[0], 
            Thickness[0.004], 
            Dynamic[
             Circle[
             0.5 ($CellContext`p1$$ + $CellContext`p2$$), 0.5 
              Norm[$CellContext`p1$$ - $CellContext`p2$$]]]}], 
          0.5 ($CellContext`p1$$ + $CellContext`p2$$) + (0.5 
            Norm[$CellContext`p1$$ - $CellContext`p2$$]) {
             Cos[#], 
             Sin[#]}& , 2 Pi}, $CellContext`trajectory$$ = 2}, 
      "ControllerVariables" :> {
        Hold[$CellContext`field$$, $CellContext`field$27921$$, False], 
        Hold[$CellContext`p1$$, $CellContext`p1$27922$$, {0, 0}], 
        Hold[$CellContext`p2$$, $CellContext`p2$27923$$, {0, 0}], 
        Hold[$CellContext`trajectory$$, $CellContext`trajectory$27924$$, 
         False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> (
       If[Norm[$CellContext`p2$$ - $CellContext`p1$$] < 
         0.01, $CellContext`p1$$ = $CellContext`p1$$ + 
          0.01]; $CellContext`traj$$ = Switch[$CellContext`trajectory$$, 1, {
           Graphics[{Black, 
             Thickness[0.004], 
             Dynamic[
              Line[{$CellContext`p1$$, $CellContext`p2$$}]]}], (
             1 - #) $CellContext`p1$$ + # $CellContext`p2$$& , 1}, 2, {
           Graphics[{Black, 
             Thickness[0.004], 
             Dynamic[
              Circle[
              0.5 ($CellContext`p1$$ + $CellContext`p2$$), 0.5 
               Norm[$CellContext`p1$$ - $CellContext`p2$$]]]}], 
           0.5 ($CellContext`p1$$ + $CellContext`p2$$) + (0.5 
             Norm[$CellContext`p1$$ - $CellContext`p2$$]) {
              Cos[#], 
              Sin[#]}& , 2 Pi}, 3, {
           
           ParametricPlot[$CellContext`p1$$ + $CellContext`t \
(($CellContext`p2$$ - $CellContext`p1$$)/
              Norm[$CellContext`p2$$ - $CellContext`p1$$]) + 
            Sin[(2 Pi) ($CellContext`t/
                Norm[$CellContext`p2$$ - $CellContext`p1$$])] (
              Dot[$CellContext`p2$$ - $CellContext`p1$$, {{0, -1}, {1, 0}}]/
              Norm[$CellContext`p2$$ - $CellContext`p1$$]), {$CellContext`t, 
             0, 
             Norm[$CellContext`p2$$ - $CellContext`p1$$]}, 
            PlotStyle -> {Black, 
              Thickness[0.004]}, 
            PlotRange -> {{-3.5, 3.5}, {-3.5, 
             3.5}}], $CellContext`p1$$ + # (($CellContext`p2$$ - \
$CellContext`p1$$)/Norm[$CellContext`p2$$ - $CellContext`p1$$]) + 
           Sin[(2 Pi) (#/Norm[$CellContext`p2$$ - $CellContext`p1$$])] (
             Dot[$CellContext`p2$$ - $CellContext`p1$$, {{0, -1}, {1, 0}}]/
             Norm[$CellContext`p2$$ - $CellContext`p1$$])& , 
           Norm[$CellContext`p2$$ - $CellContext`p1$$]}]; Show[
         VectorPlot[
          
          Apply[$CellContext`field$$, {$CellContext`x, $CellContext`y}], \
{$CellContext`x, -3, 3}, {$CellContext`y, -3, 3}, 
          VectorScale -> {Small, Small, Automatic}, VectorStyle -> 
          GrayLevel[0.5], Axes -> True, AxesStyle -> Arrowheads[{0., 0.05}], 
          AxesLabel -> {$CellContext`x, $CellContext`y}, Frame -> False, 
          AxesOrigin -> {-3, -3}, PlotRange -> {{-3.5, 3.5}, {-3.5, 3.5}}, 
          ImageSize -> {400, 400}, PlotLabel -> Dynamic[
            Row[{"line integral = ", 
              Quiet[
               NIntegrate[
                ReplaceAll[
                 Dot[
                  Apply[$CellContext`field$$, 
                   Part[$CellContext`traj$$, 2][$CellContext`t]], 
                  D[
                   $CellContext`G[$CellContext`t], $CellContext`t]], \
$CellContext`G -> Part[$CellContext`traj$$, 2]], {$CellContext`t, 0, 
                 Part[$CellContext`traj$$, 3]}, PrecisionGoal -> 4, 
                AccuracyGoal -> 4, MaxRecursion -> 3]]}, 
             Alignment -> {{Left, Left}}]], LabelStyle -> Directive[Bold]], 
         Part[$CellContext`traj$$, 1], 
         Graphics[
          Dynamic[
           Table[{
             Part[
              ColorData[35], 4][10 $CellContext`t], 
             Arrow[{
               Part[$CellContext`traj$$, 2][$CellContext`t], 
               Part[$CellContext`traj$$, 2][$CellContext`t] + 
               Apply[$CellContext`field$$, 
                  Part[$CellContext`traj$$, 2][$CellContext`t]]/
                3}]}, {$CellContext`t, 0, 
             Part[$CellContext`traj$$, 3], Part[$CellContext`traj$$, 3]/(14 
             Norm[$CellContext`p1$$ - $CellContext`p2$$])}]]]]), 
      "Specifications" :> {{{$CellContext`field$$, {#, #2}& , 
          "field"}, {({#, #2}& ) -> 
          TraditionalForm[{$CellContext`x, $CellContext`y}], ({#^2, #2^2}& ) -> 
          TraditionalForm[{$CellContext`x^2, $CellContext`y^2}], ({#2^2, #^2}& \
) -> TraditionalForm[{$CellContext`y^2, $CellContext`x^2}], ({1, # + #2}& ) -> 
          TraditionalForm[{1, $CellContext`x + $CellContext`y}], ({
            Cos[#^2 + #2], 1 + # - #2^2}& ) -> TraditionalForm[{
             Cos[$CellContext`x^2 + $CellContext`y], 
             1 + $CellContext`x - $CellContext`y^2}], ({1, 
            Sin[#^2 + #2^2]}& ) -> TraditionalForm[{1, 
             Sin[$CellContext`x^2 + $CellContext`y^2]}], ({
            Cos[#2^2], 
            Sin[#^3]}& ) -> TraditionalForm[{
             Cos[$CellContext`y^2], 
             Sin[$CellContext`x^3]}], ({Sin[#]^2 + #2, 
            Cos[#2^2 + #]}& ) -> 
          TraditionalForm[{$CellContext`y + Sin[$CellContext`x]^2, 
             Cos[$CellContext`x + $CellContext`y^2]}], ({
            Sin[Cos[3 #] + 3 #2], 
            Cos[Sin[3 #2] + 3 #]}& ) -> TraditionalForm[{
             Sin[3 $CellContext`y + Cos[3 $CellContext`x]], 
             Cos[3 $CellContext`x + Sin[3 $CellContext`y]]}], ({
            Sin[Cos[3 #2] + 3 #], 
            Cos[Sin[3 #2] + 3 #]}& ) -> TraditionalForm[{
             Sin[3 $CellContext`x + Cos[3 $CellContext`y]], 
             Cos[3 $CellContext`x + Sin[3 $CellContext`y]]}], ({
            Sin[Cos[3 #2] + Sin[3 #]], 3 Cos[Cos[3 #2] + 3 #]}& ) -> 
          TraditionalForm[{
             Sin[Cos[3 $CellContext`y] + Sin[3 $CellContext`x]], 3 
             Cos[3 $CellContext`x + Cos[3 $CellContext`y]]}]}, ControlType -> 
         PopupMenu, 
         FieldSize -> {Automatic, 2.5}}, {{$CellContext`p1$$, {-1, 
          1}}, {-2.5, -2.5}, {2.5, 2.5}, ControlType -> 
         Locator}, {{$CellContext`p2$$, {1, 1}}, {-2.5, -2.5}, {2.5, 2.5}, 
         ControlType -> Locator}, {{$CellContext`trajectory$$, 2, "path"}, {
         1 -> "line segment", 2 -> "circle", 3 -> "sinusoid"}, ControlType -> 
         SetterBar}, {{$CellContext`traj$$, {
           Graphics[{
             GrayLevel[0], 
             Thickness[0.004], 
             Dynamic[
              Circle[
              0.5 ($CellContext`p1$$ + $CellContext`p2$$), 0.5 
               Norm[$CellContext`p1$$ - $CellContext`p2$$]]]}], 
           0.5 ($CellContext`p1$$ + $CellContext`p2$$) + (0.5 
             Norm[$CellContext`p1$$ - $CellContext`p2$$]) {
              Cos[#], 
              Sin[#]}& , 2 Pi}}, ControlType -> None}}, 
      "Options" :> {TrackedSymbols -> True}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{451., {269., 274.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->271628681],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Integrating a Vector Field along a Curve",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/IntegratingAVectorFieldAlongACurve/\
"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/IntegratingAVectorFieldAlongACurve/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
IntegratingAVectorFieldAlongACurve/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/IntegratingAVectorFieldAlongACurve/\
"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/IntegratingAVectorFieldAlongACurve/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Gosia Konwerska",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Gosia+\
Konwerska"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Gosia+Konwerska"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " system (Version 6 or higher) is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
IntegratingAVectorFieldAlongACurve"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Integrating a Vector Field along a Curve - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (November 10, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[630, 23, 232, 4, 70, "Section"],
Cell[865, 29, 21781, 576, 70, "Input",
 CellID->1558024116]
}, Open  ]],
Cell[22661, 608, 11312, 228, 70, "Output",
 CellID->271628681],
Cell[CellGroupData[{
Cell[33998, 840, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[34374, 851, 1001, 29, 70, "Text"],
Cell[35378, 882, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[35718, 893, 439, 14, 70, "Text"],
Cell[CellGroupData[{
Cell[36182, 911, 847, 24, 70, "Text"],
Cell[37032, 937, 1210, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature 3RjtmnIKa3TIPBTR4Ow4lZJP *)
