(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     35819,        894]
NotebookOptionsPosition[     34779,        855]
NotebookOutlinePosition[     35383,        879]
CellTagsIndexPosition[     35340,        876]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Slope Fields", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"xincr", "=", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"xmax", "-", "xmin"}], ")"}], "/", 
      RowBox[{"(", 
       RowBox[{"xpart", "-", "1"}], ")"}]}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"yincr", "=", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"ymax", "-", "ymin"}], ")"}], "/", 
      RowBox[{"(", 
       RowBox[{"ypart", "-", "1"}], ")"}]}]}], ";", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"dirvec", " ", "[", "ComplexInfinity", "]"}], ":=", 
     RowBox[{"{", 
      RowBox[{"0", ",", "1"}], "}"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"dirvec", "[", "Indeterminate", "]"}], ":=", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0"}], "}"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"(*", " ", 
     RowBox[{
      RowBox[{
      "The", " ", "next", " ", "line", " ", "is", " ", "based", " ", "on", 
       " ", 
       RowBox[{"Euler", "'"}], "s", " ", "linear", " ", "element", " ", 
       "formula", " ", "h"}], " ", "=", " ", 
      RowBox[{
       RowBox[{
        FractionBox["H", 
         RowBox[{"2", 
          SqrtBox[
           RowBox[{"1", "+", 
            RowBox[{
             SuperscriptBox["f", "2"], 
             RowBox[{"(", 
              RowBox[{
               SubscriptBox["x", "0"], ",", 
               SubscriptBox["y", "0"]}], ")"}]}]}]]}]], " ", "for", " ", "a", 
        " ", "segment", " ", "of", " ", "length", " ", "H", " ", "with", " ", 
        "midpoint", " ", 
        RowBox[{"(", 
         RowBox[{
          SubscriptBox["x", "0"], ",", " ", 
          SubscriptBox["y", "0"]}], ")"}], " ", "and", " ", "endpoints", " ", 
        
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           SubscriptBox["x", "0"], "-", "h"}], ",", " ", 
          RowBox[{
           SubscriptBox["y", "0"], "-", "hM"}]}], ")"}], " ", "and", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           SubscriptBox["x", "0"], "+", "h"}], ",", " ", 
          RowBox[{
           SubscriptBox["y", "0"], "+", "hM"}]}], ")"}], "for", " ", "M"}], 
       " ", "=", " ", 
       RowBox[{"f", 
        RowBox[{"(", 
         RowBox[{
          SubscriptBox["x", "0"], ",", " ", 
          SubscriptBox["y", "0"]}], ")"}], " ", "being", " ", "the", " ", 
        "slope", " ", "of", " ", "the", " ", 
        RowBox[{"segment", "."}]}]}]}], "*)"}], "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"dirvec", "[", "x_", "]"}], ":=", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"1", ",", "x"}], "}"}], "/", 
      RowBox[{"Sqrt", "[", 
       RowBox[{"1", "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"x", "/", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"ymax", "-", "ymin"}], ")"}], "/", 
             RowBox[{"(", 
              RowBox[{"xmax", "-", "xmin"}], ")"}]}], ")"}]}], ")"}], "^", 
         "2"}]}], "]"}]}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"pts", "=", 
     RowBox[{"Flatten", "[", 
      RowBox[{
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"N", "[", 
          RowBox[{"{", 
           RowBox[{"r", ",", "s"}], "}"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"r", ",", "xmin", ",", "xmax", ",", "xincr"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"s", ",", "ymin", ",", "ymax", ",", "yincr"}], "}"}]}], 
        "]"}], ",", "1"}], "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"dir", "=", 
     RowBox[{
      RowBox[{"f", "/.", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"x", "\[Rule]", 
          RowBox[{"pts", "[", 
           RowBox[{"[", 
            RowBox[{"All", ",", "1"}], "]"}], "]"}]}], ",", 
         RowBox[{"y", "\[Rule]", 
          RowBox[{"pts", "[", 
           RowBox[{"[", 
            RowBox[{"All", ",", "2"}], "]"}], "]"}]}]}], "}"}]}], "//", 
      "Quiet"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"newdir", "=", 
     RowBox[{"Map", "[", 
      RowBox[{"dirvec", ",", "dir"}], "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"endpts", "=", 
     RowBox[{"pts", "+", 
      RowBox[{
       RowBox[{"xincr", "/", "4"}], "*", "newdir"}]}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"frontpts", "=", 
     RowBox[{"pts", "-", 
      RowBox[{
       RowBox[{"xincr", "/", "4"}], "*", "newdir"}]}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{"Now", " ", "find", " ", "an", " ", "exact", " ", "solution"}], 
     "*)"}], "\[IndentingNewLine]", 
    RowBox[{"ff", "=", 
     RowBox[{"f", "/.", 
      RowBox[{"y", "\[Rule]", 
       RowBox[{"y", "[", "x", "]"}]}]}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"soln", "=", 
     RowBox[{"Quiet", "@", 
      RowBox[{"DSolve", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"y", "'"}], "[", "x", "]"}], "\[Equal]", "ff"}], ",", 
          RowBox[{
           RowBox[{"y", "[", "xinit", "]"}], "\[Equal]", "yinit"}]}], "}"}], 
        ",", 
        RowBox[{"y", "[", "x", "]"}], ",", "x"}], "]"}]}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"soln", "\[NotEqual]", 
       RowBox[{"{", "}"}]}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"table", "=", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"soln", "[", 
           RowBox[{"[", 
            RowBox[{"1", ",", "1", ",", "2"}], "]"}], "]"}], "/.", 
          RowBox[{
           RowBox[{"C", "[", "1", "]"}], "\[Rule]", "xinit"}]}], "]"}]}], ";",
        "\[IndentingNewLine]", 
       RowBox[{"curve", "=", 
        RowBox[{"Plot", "[", 
         RowBox[{
          RowBox[{"Evaluate", "[", "table", "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", "xmin", ",", "xmax"}], "}"}]}], "]"}]}], ";"}], 
      "\[IndentingNewLine]", ",", 
      RowBox[{"curve", "=", 
       RowBox[{"{", "}"}]}]}], "]"}], ";", "\[IndentingNewLine]", 
    RowBox[{"Show", "[", " ", 
     RowBox[{
      RowBox[{"Graphics", "[", 
       RowBox[{"Map", "[", 
        RowBox[{"Line", ",", 
         RowBox[{"Transpose", "[", 
          RowBox[{"{", 
           RowBox[{"frontpts", ",", "endpts"}], "}"}], "]"}]}], "]"}], "]"}], 
      ",", 
      RowBox[{"If", "[", 
       RowBox[{"ptflg", ",", 
        RowBox[{"Graphics", "[", 
         RowBox[{"Point", "[", "pts", "]"}], "]"}], ",", 
        RowBox[{"{", "}"}]}], "]"}], ",", 
      RowBox[{"If", "[", 
       RowBox[{"solflg", ",", "curve", ",", 
        RowBox[{"{", "}"}]}], "]"}], " ", ",", 
      RowBox[{"If", "[", 
       RowBox[{"solflg", ",", 
        RowBox[{"Graphics", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"PointSize", "[", "Medium", "]"}], ",", 
            RowBox[{"Point", "[", 
             RowBox[{"{", 
              RowBox[{"xinit", ",", "yinit"}], "}"}], "]"}]}], "}"}], ",", 
          RowBox[{"{", "}"}]}], "]"}], ",", 
        RowBox[{"{", "}"}]}], "]"}], ",", 
      RowBox[{"Axes", "\[Rule]", "Automatic"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"xmin", ",", "xmax"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"ymin", ",", "ymax"}], "}"}]}], "}"}]}], ",", 
      RowBox[{"AspectRatio", "\[Rule]", 
       RowBox[{"1.5", "/", "GoldenRatio"}]}], ",", 
      RowBox[{"PlotLabel", "\[Rule]", 
       RowBox[{"Grid", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"Style", "[", 
            RowBox[{"Framed", "[", 
             RowBox[{"Row", "[", 
              RowBox[{"{", 
               RowBox[{"\"\<slope field for \>\"", ",", 
                RowBox[{"y", "'"}], ",", "\"\< = \>\"", ",", 
                RowBox[{"StringForm", "[", 
                 RowBox[{"\"\<``\>\"", ",", "f"}], "]"}]}], "}"}], "]"}], 
             "]"}], "]"}], "}"}], ",", 
          RowBox[{"{", "}"}]}], "}"}], "]"}]}], ",", 
      RowBox[{"ImageSize", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"350", ",", "350"}], "}"}]}], ",", 
      RowBox[{"ImagePadding", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"25", ",", "10"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"25", ",", "55"}], "}"}]}], "}"}]}]}], 
     "\[IndentingNewLine]", "]"}]}], ",", "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"f", ",", 
       RowBox[{"x", "-", "y"}], ",", "\"\<f(x,y) = \>\""}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"x", "-", "y"}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"x", "-", "y"}], "]"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"y", "-", "x"}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"y", "-", "x"}], "]"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"x", "+", "y"}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"x", "+", "y"}], "]"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"1", "/", "y"}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"1", "/", "y"}], "]"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"1", "/", "x"}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"1", "/", "x"}], "]"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"x", "/", "y"}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"x", "/", "y"}], "]"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "x"}], "/", "y"}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{
          RowBox[{"-", "x"}], "/", "y"}], "]"}]}], ",", "\[IndentingNewLine]",
        
       RowBox[{
        RowBox[{
         RowBox[{"-", "y"}], "/", "x"}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{
          RowBox[{"-", "y"}], "/", "x"}], "]"}]}], ",", "\[IndentingNewLine]",
        
       RowBox[{
        RowBox[{
         RowBox[{"x", "^", "2"}], "y"}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{
          RowBox[{"x", "^", "2"}], "y"}], "]"}]}], ",", "\[IndentingNewLine]",
        
       RowBox[{
        RowBox[{"y", "-", "1"}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"y", "-", "1"}], "]"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"y", "^", "2"}], "-", "1"}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{
          RowBox[{"y", "^", "2"}], "-", "1"}], "]"}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"y", "+", "x"}], ")"}], "/", 
         RowBox[{"(", 
          RowBox[{"y", "-", "x"}], ")"}]}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"y", "+", "x"}], ")"}], "/", 
          RowBox[{"(", 
           RowBox[{"y", "-", "x"}], ")"}]}], "]"}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Sin", "[", "y", "]"}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"Sin", "[", "y", "]"}], "]"}]}], ",", "\[IndentingNewLine]", 
       
       RowBox[{
        RowBox[{"Cos", "[", "x", "]"}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"Cos", "[", "x", "]"}], "]"}]}]}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"ControlType", "\[Rule]", "PopupMenu"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", "Delimiter", ",", 
   "\[IndentingNewLine]", "\"\<x axis values:\>\"", ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"xmin", ",", 
       RowBox[{"-", "2"}]}], "}"}], ",", 
     RowBox[{"-", "8"}], ",", 
     RowBox[{"-", "1"}], ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"xmax", ",", "2"}], " ", "}"}], ",", "1", ",", "8", ",", "1", 
     ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "Delimiter", ",", "\[IndentingNewLine]", 
   "\"\<y axis values:\>\"", ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"ymin", ",", 
       RowBox[{"-", "3"}]}], " ", "}"}], ",", 
     RowBox[{"-", "10"}], ",", 
     RowBox[{"-", ".5"}], ",", ".01", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"ymax", ",", "3"}], " ", "}"}], ",", ".5", ",", "10", ",", 
     ".01", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "Delimiter", ",", "\[IndentingNewLine]", 
   "\"\<number of sample points:\>\"", ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"xpart", ",", "15", ",", "\"\<x axis\>\""}], "}"}], ",", "4", 
     ",", "20", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"ypart", ",", "15", ",", "\"\<y axis\>\""}], "}"}], ",", "4", 
     ",", "20", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   "Delimiter", ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"ptflg", ",", "False", ",", 
       RowBox[{"Tooltip", "[", 
        RowBox[{
        "\"\<display points\>\"", ",", 
         "\"\<Show the midpoint of each segment.\>\""}], "]"}]}], "}"}], ",", 
     
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"solflg", ",", "False", ",", 
       RowBox[{"Tooltip", "[", 
        RowBox[{
        "\"\<show exact solution\>\"", ",", 
         "\"\<Graph a function solving the differential equation and the \
initial condiions.\>\""}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", " ", "False"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
      RowBox[{
      "the", " ", "next", " ", "two", " ", "lines", " ", "can", " ", "be", 
       " ", "used", " ", "instead", " ", "of", " ", "the", " ", "popup", " ", 
       "menues", " ", "for", " ", "initial", " ", "values"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
      "input", " ", "will", " ", "be", " ", "limited", " ", "to", " ", 
       "numeric", " ", "values", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"xinit", ",", "1", ",", "\"\<initial x value \>\""}], "}"}],
          ",", " ", 
         RowBox[{
          RowBox[{"InputField", "[", 
           RowBox[{"#1", ",", "Number", ",", 
            RowBox[{"FieldSize", "\[Rule]", "5"}], ",", 
            RowBox[{"Enabled", "\[Rule]", "solflg"}]}], "]"}], "&"}]}], 
        "}"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"yinit", ",", "1", ",", "\"\<initial y value \>\""}], "}"}], 
       ",", " ", 
       RowBox[{
        RowBox[{"InputField", "[", 
         RowBox[{"#1", ",", "Number", ",", 
          RowBox[{"FieldSize", "\[Rule]", "5"}], ",", 
          RowBox[{"Enabled", "\[Rule]", "solflg"}]}], "]"}], "&"}]}], "}"}], 
     ","}], "\[IndentingNewLine]", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"xinit", ",", "1", ",", "\"\<initial x value\>\""}], " ", "}"}],
      ",", " ", "xmin", ",", "xmax", ",", ".1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}], ",", 
     RowBox[{"Enabled", "\[Rule]", "solflg"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"yinit", ",", "1", " ", ",", "\"\<initial y value\>\""}], "}"}],
      ",", "ymin", ",", "ymax", ",", ".1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}], ",", 
     RowBox[{"Enabled", "\[Rule]", "solflg"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"TrackedSymbols", "\[RuleDelayed]", "Manipulate"}], ",", 
   RowBox[{"AutorunSequencing", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"1", ",", "3", ",", "5", ",", "7"}], "}"}]}]}], 
  "\[IndentingNewLine]", "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.400522743876919*^9, 3.400522748133946*^9}, {
   3.400526510685382*^9, 3.400526556607257*^9}, {3.400526625513507*^9, 
   3.400526654404132*^9}, {3.400526925935382*^9, 3.400526932091632*^9}, {
   3.400527024497882*^9, 3.400527111810382*^9}, {3.400527152716632*^9, 
   3.400527191341632*^9}, {3.400527371544757*^9, 3.400527371622882*^9}, {
   3.400601147798172*^9, 3.400601148662591*^9}, {3.4006011789402103`*^9, 
   3.400601277323825*^9}, {3.40079961316253*^9, 3.4007997024163313`*^9}, {
   3.400799862835813*^9, 3.400799883329438*^9}, {3.401037329153488*^9, 
   3.4010373331847124`*^9}, {3.4010423147288313`*^9, 3.401042417292644*^9}, {
   3.401042461824464*^9, 3.401042503621874*^9}, {3.401470318722107*^9, 
   3.401470318815857*^9}, 3.4014704436744328`*^9, {3.4015400637109613`*^9, 
   3.4015400753984613`*^9}, {3.4015401104140863`*^9, 3.4015401242422113`*^9}}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`f$$ = $CellContext`x - $CellContext`y, \
$CellContext`ptflg$$ = False, $CellContext`solflg$$ = 
    False, $CellContext`xinit$$ = 1, $CellContext`xmax$$ = 
    2, $CellContext`xmin$$ = -2, $CellContext`xpart$$ = 
    15, $CellContext`yinit$$ = 1, $CellContext`ymax$$ = 
    3, $CellContext`ymin$$ = -3, $CellContext`ypart$$ = 15, Typeset`show$$ = 
    True, Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`f$$], $CellContext`x - $CellContext`y, 
       "f(x,y) = "}, {$CellContext`x - $CellContext`y -> 
       TraditionalForm[$CellContext`x - $CellContext`y], -$CellContext`x + \
$CellContext`y -> 
       TraditionalForm[-$CellContext`x + $CellContext`y], $CellContext`x + \
$CellContext`y -> 
       TraditionalForm[$CellContext`x + $CellContext`y], $CellContext`y^(-1) -> 
       TraditionalForm[$CellContext`y^(-1)], $CellContext`x^(-1) -> 
       TraditionalForm[$CellContext`x^(-1)], $CellContext`x/$CellContext`y -> 
       TraditionalForm[$CellContext`x/$CellContext`y], \
-$CellContext`x/$CellContext`y -> 
       TraditionalForm[-$CellContext`x/$CellContext`y], -$CellContext`x^(-1) \
$CellContext`y -> 
       TraditionalForm[-$CellContext`x^(-1) $CellContext`y], $CellContext`x^2 \
$CellContext`y -> 
       TraditionalForm[$CellContext`x^2 $CellContext`y], -1 + $CellContext`y -> 
       TraditionalForm[-1 + $CellContext`y], -1 + $CellContext`y^2 -> 
       TraditionalForm[-1 + $CellContext`y^2], (-$CellContext`x + \
$CellContext`y)^(-1) ($CellContext`x + $CellContext`y) -> 
       TraditionalForm[(-$CellContext`x + $CellContext`y)^(-1) \
($CellContext`x + $CellContext`y)], Sin[$CellContext`y] -> TraditionalForm[
         Sin[$CellContext`y]], Cos[$CellContext`x] -> TraditionalForm[
         Cos[$CellContext`x]]}}, {
      Hold["x axis values:"], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`xmin$$], -2}, -8, -1, 1}, {{
       Hold[$CellContext`xmax$$], 2}, 1, 8, 1}, {
      Hold["y axis values:"], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`ymin$$], -3}, -10, -0.5, 0.01}, {{
       Hold[$CellContext`ymax$$], 3}, 0.5, 10, 0.01}, {
      Hold["number of sample points:"], Manipulate`Dump`ThisIsNotAControl}, {{
      
       Hold[$CellContext`xpart$$], 15, "x axis"}, 4, 20, 1}, {{
       Hold[$CellContext`ypart$$], 15, "y axis"}, 4, 20, 1}, {{
       Hold[$CellContext`ptflg$$], False, 
       Tooltip["display points", "Show the midpoint of each segment."]}, {
      True, False}}, {{
       Hold[$CellContext`solflg$$], False, 
       Tooltip[
       "show exact solution", 
        "Graph a function solving the differential equation and the initial \
condiions."]}, {True, False}}, {{
       Hold[$CellContext`xinit$$], 1, "initial x value"}, 
      Dynamic[$CellContext`xmin$$], 
      Dynamic[$CellContext`xmax$$], 0.1}, {{
       Hold[$CellContext`yinit$$], 1, "initial y value"}, 
      Dynamic[$CellContext`ymin$$], 
      Dynamic[$CellContext`ymax$$], 0.1}}, Typeset`size$$ = {
    350., {173., 177.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`f$96832$$ = 
    False, $CellContext`xmin$96833$$ = 0, $CellContext`xmax$96834$$ = 
    0, $CellContext`ymin$96835$$ = 0, $CellContext`ymax$96836$$ = 
    0, $CellContext`xpart$96837$$ = 0, $CellContext`ypart$96838$$ = 
    0, $CellContext`ptflg$96839$$ = False, $CellContext`solflg$96840$$ = 
    False, $CellContext`xinit$96841$$ = 0, $CellContext`yinit$96842$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`f$$ = $CellContext`x - $CellContext`y, \
$CellContext`ptflg$$ = False, $CellContext`solflg$$ = 
        False, $CellContext`xinit$$ = 1, $CellContext`xmax$$ = 
        2, $CellContext`xmin$$ = -2, $CellContext`xpart$$ = 
        15, $CellContext`yinit$$ = 1, $CellContext`ymax$$ = 
        3, $CellContext`ymin$$ = -3, $CellContext`ypart$$ = 15}, 
      "ControllerVariables" :> {
        Hold[$CellContext`f$$, $CellContext`f$96832$$, False], 
        Hold[$CellContext`xmin$$, $CellContext`xmin$96833$$, 0], 
        Hold[$CellContext`xmax$$, $CellContext`xmax$96834$$, 0], 
        Hold[$CellContext`ymin$$, $CellContext`ymin$96835$$, 0], 
        Hold[$CellContext`ymax$$, $CellContext`ymax$96836$$, 0], 
        Hold[$CellContext`xpart$$, $CellContext`xpart$96837$$, 0], 
        Hold[$CellContext`ypart$$, $CellContext`ypart$96838$$, 0], 
        Hold[$CellContext`ptflg$$, $CellContext`ptflg$96839$$, False], 
        Hold[$CellContext`solflg$$, $CellContext`solflg$96840$$, False], 
        Hold[$CellContext`xinit$$, $CellContext`xinit$96841$$, 0], 
        Hold[$CellContext`yinit$$, $CellContext`yinit$96842$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> ($CellContext`xincr = ($CellContext`xmax$$ - \
$CellContext`xmin$$)/($CellContext`xpart$$ - 
         1); $CellContext`yincr = ($CellContext`ymax$$ - \
$CellContext`ymin$$)/($CellContext`ypart$$ - 1); $CellContext`dirvec[
         ComplexInfinity] := {0, 1}; $CellContext`dirvec[Indeterminate] := {0,
          0}; $CellContext`dirvec[
          Pattern[$CellContext`x$, 
           Blank[]]] := {1, $CellContext`x$}/Sqrt[
         1 + ($CellContext`x$/(($CellContext`ymax$$ - \
$CellContext`ymin$$)/($CellContext`xmax$$ - $CellContext`xmin$$)))^2]; \
$CellContext`pts = Flatten[
          Table[
           
           N[{$CellContext`r, $CellContext`s}], {$CellContext`r, \
$CellContext`xmin$$, $CellContext`xmax$$, $CellContext`xincr}, \
{$CellContext`s, $CellContext`ymin$$, $CellContext`ymax$$, \
$CellContext`yincr}], 1]; $CellContext`dir = Quiet[
          ReplaceAll[$CellContext`f$$, {$CellContext`x -> 
            Part[$CellContext`pts, All, 1], $CellContext`y -> 
            Part[$CellContext`pts, All, 2]}]]; $CellContext`newdir = 
        Map[$CellContext`dirvec, $CellContext`dir]; $CellContext`endpts = \
$CellContext`pts + ($CellContext`xincr/
           4) $CellContext`newdir; $CellContext`frontpts = $CellContext`pts - \
($CellContext`xincr/4) $CellContext`newdir; $CellContext`ff = 
        ReplaceAll[$CellContext`f$$, $CellContext`y -> \
$CellContext`y[$CellContext`x]]; $CellContext`soln = Quiet[
          
          DSolve[{Derivative[
             1][$CellContext`y][$CellContext`x] == $CellContext`ff, \
$CellContext`y[$CellContext`xinit$$] == $CellContext`yinit$$}, 
           $CellContext`y[$CellContext`x], $CellContext`x]]; 
       If[$CellContext`soln != {}, $CellContext`table = Table[
            ReplaceAll[
             Part[$CellContext`soln, 1, 1, 2], 
             C[1] -> $CellContext`xinit$$]]; $CellContext`curve = Plot[
            
            Evaluate[$CellContext`table], {$CellContext`x, \
$CellContext`xmin$$, $CellContext`xmax$$}]; Null, $CellContext`curve = {}]; 
       Show[
         Graphics[
          Map[Line, 
           Transpose[{$CellContext`frontpts, $CellContext`endpts}]]], 
         If[$CellContext`ptflg$$, 
          Graphics[
           Point[$CellContext`pts]], {}], 
         If[$CellContext`solflg$$, $CellContext`curve, {}], 
         If[$CellContext`solflg$$, 
          Graphics[{
            PointSize[Medium], 
            Point[{$CellContext`xinit$$, $CellContext`yinit$$}]}, {}], {}], 
         Axes -> Automatic, 
         PlotRange -> {{$CellContext`xmin$$, $CellContext`xmax$$}, \
{$CellContext`ymin$$, $CellContext`ymax$$}}, AspectRatio -> 1.5/GoldenRatio, 
         PlotLabel -> Grid[{{
             Style[
              Framed[
               Row[{"slope field for ", 
                 Derivative[1][$CellContext`y], " = ", 
                 StringForm["``", $CellContext`f$$]}]]]}, {}}], 
         ImageSize -> {350, 350}, ImagePadding -> {{25, 10}, {25, 55}}]), 
      "Specifications" :> {{{$CellContext`f$$, $CellContext`x - \
$CellContext`y, "f(x,y) = "}, {$CellContext`x - $CellContext`y -> 
          TraditionalForm[$CellContext`x - $CellContext`y], -$CellContext`x + \
$CellContext`y -> 
          TraditionalForm[-$CellContext`x + $CellContext`y], $CellContext`x + \
$CellContext`y -> 
          TraditionalForm[$CellContext`x + $CellContext`y], \
$CellContext`y^(-1) -> 
          TraditionalForm[$CellContext`y^(-1)], $CellContext`x^(-1) -> 
          TraditionalForm[$CellContext`x^(-1)], $CellContext`x/$CellContext`y -> 
          TraditionalForm[$CellContext`x/$CellContext`y], \
-$CellContext`x/$CellContext`y -> 
          TraditionalForm[-$CellContext`x/$CellContext`y], \
-$CellContext`x^(-1) $CellContext`y -> 
          TraditionalForm[-$CellContext`x^(-1) $CellContext`y], \
$CellContext`x^2 $CellContext`y -> 
          TraditionalForm[$CellContext`x^2 $CellContext`y], -1 + \
$CellContext`y -> TraditionalForm[-1 + $CellContext`y], -1 + $CellContext`y^2 -> 
          TraditionalForm[-1 + $CellContext`y^2], (-$CellContext`x + \
$CellContext`y)^(-1) ($CellContext`x + $CellContext`y) -> 
          TraditionalForm[(-$CellContext`x + $CellContext`y)^(-1) \
($CellContext`x + $CellContext`y)], Sin[$CellContext`y] -> TraditionalForm[
            Sin[$CellContext`y]], Cos[$CellContext`x] -> TraditionalForm[
            Cos[$CellContext`x]]}, ControlType -> PopupMenu}, Delimiter, 
        "x axis values:", {{$CellContext`xmin$$, -2}, -8, -1, 1, Appearance -> 
         "Labeled", ImageSize -> Tiny}, {{$CellContext`xmax$$, 2}, 1, 8, 1, 
         Appearance -> "Labeled", ImageSize -> Tiny}, Delimiter, 
        "y axis values:", {{$CellContext`ymin$$, -3}, -10, -0.5, 0.01, 
         Appearance -> "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`ymax$$, 3}, 0.5, 10, 0.01, Appearance -> 
         "Labeled", ImageSize -> Tiny}, Delimiter, 
        "number of sample points:", {{$CellContext`xpart$$, 15, "x axis"}, 4, 
         20, 1, Appearance -> "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`ypart$$, 15, "y axis"}, 4, 20, 1, Appearance -> 
         "Labeled", ImageSize -> Tiny}, 
        Delimiter, {{$CellContext`ptflg$$, False, 
          Tooltip["display points", "Show the midpoint of each segment."]}, {
         True, False}}, {{$CellContext`solflg$$, False, 
          Tooltip[
          "show exact solution", 
           "Graph a function solving the differential equation and the \
initial condiions."]}, {
         True, False}}, {{$CellContext`xinit$$, 1, "initial x value"}, 
         Dynamic[$CellContext`xmin$$], 
         Dynamic[$CellContext`xmax$$], 0.1, Appearance -> "Labeled", 
         ImageSize -> Tiny, Enabled -> 
         Dynamic[$CellContext`solflg$$]}, {{$CellContext`yinit$$, 1, 
          "initial y value"}, 
         Dynamic[$CellContext`ymin$$], 
         Dynamic[$CellContext`ymax$$], 0.1, Appearance -> "Labeled", 
         ImageSize -> Tiny, Enabled -> Dynamic[$CellContext`solflg$$]}}, 
      "Options" :> {
       TrackedSymbols :> Manipulate, AutorunSequencing -> {1, 3, 5, 7}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{609., {200., 205.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->222501020],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Slope Fields",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/SlopeFields/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/SlopeFields/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/SlopeFields/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/SlopeFields/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/SlopeFields/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Charles E. Oelsner",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Charles+E.+\
Oelsner"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Charles+E.+Oelsner"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
SlopeFields"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{780, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Slope Fields - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 204, 4, 70, "Section"],
Cell[797, 29, 18188, 475, 70, "Input"]
}, Open  ]],
Cell[19000, 507, 11671, 215, 70, "Output",
 CellID->222501020],
Cell[CellGroupData[{
Cell[30696, 726, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[31072, 737, 844, 24, 70, "Text"],
Cell[31919, 763, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[32259, 774, 448, 14, 70, "Text"],
Cell[CellGroupData[{
Cell[32732, 792, 829, 24, 70, "Text"],
Cell[33564, 818, 1187, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature WS4Ri08l9QWCBCp@TdcsfwXW *)
