(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     18755,        512]
NotebookOptionsPosition[     17504,        465]
NotebookOutlinePosition[     18123,        489]
CellTagsIndexPosition[     18080,        486]
WindowTitle->Wheels on Wheels on Wheels - Source
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Wheels on Wheels on Wheels", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{
  RowBox[{"Z", "[", 
   RowBox[{
   "t_", ",", "a_", ",", "b_", ",", "c_", ",", "ai_", ",", "bi_", ",", 
    "ci_"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"aim", ",", "bim", ",", "cim"}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"If", "[", 
      RowBox[{"ai", ",", 
       RowBox[{"aim", "=", "I"}], ",", 
       RowBox[{"aim", "=", "1"}]}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{"bi", ",", 
       RowBox[{"bim", "=", "I"}], ",", 
       RowBox[{"bim", "=", "1"}]}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{"ci", ",", 
       RowBox[{"cim", "=", "I"}], ",", 
       RowBox[{"cim", "=", "1"}]}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"aim", "*", 
       RowBox[{"Exp", "[", 
        RowBox[{"a", " ", "I", " ", "t"}], "]"}]}], "+", 
      RowBox[{"bim", "*", 
       RowBox[{
        RowBox[{"Exp", "[", 
         RowBox[{"b", " ", "I", " ", "t"}], "]"}], "/", "2"}]}], "+", 
      RowBox[{"cim", "*", " ", 
       RowBox[{
        RowBox[{"Exp", "[", 
         RowBox[{"c", "*", "I", "*", "t"}], "]"}], "/", "3"}]}]}]}]}], 
   "\[IndentingNewLine]", "]"}]}]], "Input",
 InitializationCell->True,
 CellID->1633556884],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"ListLinePlot", "[", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Re", "[", 
          RowBox[{"Z", "[", 
           RowBox[{
           "t", ",", "a", ",", "b", ",", "c", ",", "ai", ",", "bi", ",", 
            "ci"}], "]"}], "]"}], ",", 
         RowBox[{"Im", "[", 
          RowBox[{"Z", "[", 
           RowBox[{
           "t", ",", "a", ",", "b", ",", "c", ",", "ai", ",", "bi", ",", 
            "ci"}], "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"t", ",", "0", ",", 
         RowBox[{"2", " ", "Pi"}], ",", "0.01"}], "}"}]}], "]"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"RGBColor", "[", 
         RowBox[{".6", ",", ".73", ",", ".36"}], "]"}], ",", "Thick"}], 
       "}"}]}], ",", 
     RowBox[{"Axes", "\[Rule]", "False"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"500", ",", "350"}], "}"}]}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<real\>\"", ",", "\"\<complex\>\""}], "}"}]}], ",", 
     RowBox[{"AspectRatio", "\[Rule]", "1"}], ",", 
     RowBox[{"PlotLabel", "\[Rule]", 
      RowBox[{"TraditionalForm", "[", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"z", "[", "t", "]"}], "\[LongEqual]", 
        RowBox[{"Z", "[", 
         RowBox[{
         "t", ",", "a", ",", "b", ",", "c", ",", "ai", ",", "bi", ",", "ci"}],
          "]"}]}], "]"}]}]}], "]"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", "1", ",", "\"\<frequency 1\>\""}], "}"}], ",", 
     RowBox[{"-", "20"}], ",", "20", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"b", ",", "7", ",", "\"\<frequency 2\>\""}], "}"}], ",", 
     RowBox[{"-", "20"}], ",", "20", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"c", ",", 
       RowBox[{"-", "17"}], ",", "\"\<frequency 3\>\""}], "}"}], ",", 
     RowBox[{"-", "20"}], ",", "20", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", "Delimiter", ",", "\[IndentingNewLine]", 
   "\"\<Multiply by \[ImaginaryI]:\>\"", ",", 
   RowBox[{"Row", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Control", "@", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"ai", ",", "False", ",", "\"\<first term\>\""}], "}"}], 
          ",", 
          RowBox[{"{", 
           RowBox[{"True", ",", "False"}], "}"}]}], "}"}]}], ",", 
       RowBox[{"Control", "@", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"bi", ",", "False", ",", "\"\<second term\>\""}], "}"}], 
          ",", 
          RowBox[{"{", 
           RowBox[{"True", ",", "False"}], "}"}]}], "}"}]}], ",", 
       RowBox[{"Control", "@", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"ci", ",", "True", ",", "\"\<third term\>\""}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"True", ",", "False"}], "}"}]}], "}"}]}]}], "}"}], ",", 
     RowBox[{"Spacer", "[", "7", "]"}]}], "]"}], ",", "\[IndentingNewLine]", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}]}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", "]"}]], "Input",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmViYGCQAGIQ7bsgWWj23peO5ZMfCoPoyCXXpED0m+xdMiCaq99F
HUQvfb7BBEQLF9bYgOh1oaudQLTI9yRvEH3L0zsJRNud2VUGop21eOpB9NWN
7T0guv/f+z4QLau3cDaILlx7EkyLRf/aBpaX+LcDRJ+QXHMILL/w/3EQ/bCj
8DqIZjC/cgNE3wkr/gmiJ/Nf/g+iBe6+q9sKpP2vqzSAaH5NrkMgWuT+npMg
+jjL3ycg+n631jsQXcpk8QVE/1/iCaY9tkT8AtGanJ+YtwHp1dmL/UH0ndVn
wXTexhORIFo6fHEiiN74IDgdRAvs3QSml353vnUJSG/YbXgbRCfscn4Ion0k
2B+D6O/82e9A9CPGAjD99euN5B9AOmDZpEYQDQAJouN9
  "],
 CellID->1843384961]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = 1, $CellContext`ai$$ = 
    False, $CellContext`b$$ = 7, $CellContext`bi$$ = 
    False, $CellContext`c$$ = -17, $CellContext`ci$$ = True, Typeset`show$$ = 
    True, Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`a$$], 1, "frequency 1"}, -20, 20, 1}, {{
       Hold[$CellContext`b$$], 7, "frequency 2"}, -20, 20, 1}, {{
       Hold[$CellContext`c$$], -17, "frequency 3"}, -20, 20, 1}, {
      Hold["Multiply by \[ImaginaryI]:"], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`ai$$], False, "first term"}, {True, False}}, {{
       Hold[$CellContext`bi$$], False, "second term"}, {True, False}}, {{
       Hold[$CellContext`ci$$], True, "third term"}, {True, False}}, {
      Hold[
       Row[{
         Manipulate`Place[1], 
         Manipulate`Place[2], 
         Manipulate`Place[3]}, 
        Spacer[7]]], Manipulate`Dump`ThisIsNotAControl}}, Typeset`size$$ = {
    500., {173., 177.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = False, $CellContext`a$111378$$ = 
    0, $CellContext`b$111379$$ = 0, $CellContext`c$111380$$ = 
    0, $CellContext`ai$111381$$ = False, $CellContext`bi$111382$$ = 
    False, $CellContext`ci$111383$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     2, StandardForm, 
      "Variables" :> {$CellContext`a$$ = 1, $CellContext`ai$$ = 
        False, $CellContext`b$$ = 7, $CellContext`bi$$ = 
        False, $CellContext`c$$ = -17, $CellContext`ci$$ = True}, 
      "ControllerVariables" :> {
        Hold[$CellContext`a$$, $CellContext`a$111378$$, 0], 
        Hold[$CellContext`b$$, $CellContext`b$111379$$, 0], 
        Hold[$CellContext`c$$, $CellContext`c$111380$$, 0], 
        Hold[$CellContext`ai$$, $CellContext`ai$111381$$, False], 
        Hold[$CellContext`bi$$, $CellContext`bi$111382$$, False], 
        Hold[$CellContext`ci$$, $CellContext`ci$111383$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> ListLinePlot[
        Table[{
          Re[
           $CellContext`Z[$CellContext`t, $CellContext`a$$, $CellContext`b$$, \
$CellContext`c$$, $CellContext`ai$$, $CellContext`bi$$, $CellContext`ci$$]], 
          Im[
           $CellContext`Z[$CellContext`t, $CellContext`a$$, $CellContext`b$$, \
$CellContext`c$$, $CellContext`ai$$, $CellContext`bi$$, $CellContext`ci$$]]}, \
{$CellContext`t, 0, 2 Pi, 0.01}], PlotStyle -> {
          RGBColor[0.6, 0.73, 0.36], Thick}, Axes -> False, 
        ImageSize -> {500, 350}, AxesLabel -> {"real", "complex"}, 
        AspectRatio -> 1, PlotLabel -> 
        TraditionalForm[$CellContext`z[$CellContext`t] == \
$CellContext`Z[$CellContext`t, $CellContext`a$$, $CellContext`b$$, \
$CellContext`c$$, $CellContext`ai$$, $CellContext`bi$$, $CellContext`ci$$]]], 
      "Specifications" :> {{{$CellContext`a$$, 1, "frequency 1"}, -20, 20, 1, 
         Appearance -> "Labeled"}, {{$CellContext`b$$, 7, "frequency 2"}, -20,
          20, 1, Appearance -> 
         "Labeled"}, {{$CellContext`c$$, -17, "frequency 3"}, -20, 20, 1, 
         Appearance -> "Labeled"}, Delimiter, 
        "Multiply by \[ImaginaryI]:", {{$CellContext`ai$$, False, 
          "first term"}, {True, False}, ControlPlacement -> 
         1}, {{$CellContext`bi$$, False, "second term"}, {True, False}, 
         ControlPlacement -> 2}, {{$CellContext`ci$$, True, "third term"}, {
         True, False}, ControlPlacement -> 3}, 
        Row[{
          Manipulate`Place[1], 
          Manipulate`Place[2], 
          Manipulate`Place[3]}, 
         Spacer[7]]}, "Options" :> {}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{545., {269., 274.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(({$CellContext`Z[
          Pattern[$CellContext`t, 
           Blank[]], 
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]], 
          Pattern[$CellContext`c, 
           Blank[]], 
          Pattern[$CellContext`ai, 
           Blank[]], 
          Pattern[$CellContext`bi, 
           Blank[]], 
          Pattern[$CellContext`ci, 
           Blank[]]] := 
        Module[{$CellContext`aim, $CellContext`bim, $CellContext`cim}, 
          If[$CellContext`ai, $CellContext`aim = I, $CellContext`aim = 1]; 
          If[$CellContext`bi, $CellContext`bim = I, $CellContext`bim = 1]; 
          If[$CellContext`ci, $CellContext`cim = I, $CellContext`cim = 
            1]; $CellContext`aim 
            Exp[($CellContext`a I) $CellContext`t] + $CellContext`bim (
             Exp[($CellContext`b I) $CellContext`t]/2) + $CellContext`cim (
             Exp[($CellContext`c I) $CellContext`t]/3)]}; 
      Typeset`initDone$$ = True); ReleaseHold[
       HoldComplete[{$CellContext`Z[
           Pattern[$CellContext`t, 
            Blank[]], 
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]], 
           Pattern[$CellContext`c, 
            Blank[]], 
           Pattern[$CellContext`ai, 
            Blank[]], 
           Pattern[$CellContext`bi, 
            Blank[]], 
           Pattern[$CellContext`ci, 
            Blank[]]] := 
         Module[{$CellContext`aim, $CellContext`bim, $CellContext`cim}, 
           If[$CellContext`ai, $CellContext`aim = I, $CellContext`aim = 1]; 
           If[$CellContext`bi, $CellContext`bim = I, $CellContext`bim = 1]; 
           If[$CellContext`ci, $CellContext`cim = I, $CellContext`cim = 
             1]; $CellContext`aim 
             Exp[$CellContext`a I $CellContext`t] + $CellContext`bim (
              Exp[$CellContext`b I $CellContext`t]/2) + $CellContext`cim (
              Exp[$CellContext`c I $CellContext`t]/3)]}]]; 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->416813542],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Wheels on Wheels on Wheels",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/WheelsOnWheelsOnWheels/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/WheelsOnWheelsOnWheels/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/WheelsOnWheelsOnWheels/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/WheelsOnWheelsOnWheels/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/WheelsOnWheelsOnWheels/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[CellGroupData[{

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Michael Croucher",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Michael+\
Croucher"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Michael+Croucher"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[TextData[{
 "After work by: ",
 ButtonBox["Daniel de Souza Carvalho",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Daniel+de+Souza+\
Carvalho"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Daniel+de+Souza+\
Carvalho"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->55678663]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " system (Version 6 or higher) is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
WheelsOnWheelsOnWheels"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Wheels on Wheels on Wheels - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[616, 23, 218, 4, 70, "Section"],
Cell[837, 29, 1312, 38, 70, "Input",
 InitializationCell->True,
 CellID->1633556884],
Cell[2152, 69, 4145, 106, 70, "Input",
 CellID->1843384961]
}, Open  ]],
Cell[6312, 178, 6469, 133, 70, "Output",
 CellID->416813542],
Cell[CellGroupData[{
Cell[12806, 315, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[13182, 326, 913, 24, 70, "Text"],
Cell[14098, 352, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[CellGroupData[{
Cell[14460, 365, 442, 14, 70, "Text"],
Cell[14905, 381, 486, 16, 70, "Text",
 CellID->55678663]
}, Open  ]],
Cell[CellGroupData[{
Cell[15428, 402, 847, 24, 70, "Text"],
Cell[16278, 428, 1198, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature 4T454g0ihzuZOB0r0wUlkErx *)
