(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     48170,       1258]
NotebookOptionsPosition[     46978,       1213]
NotebookOutlinePosition[     47596,       1237]
CellTagsIndexPosition[     47553,       1234]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Double Integral for Volume", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"MakePiecewise", "[", 
      RowBox[{"f_", ",", "npoints_", ",", 
       RowBox[{"{", 
        RowBox[{"xa_", ",", "xb_"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"ya_", ",", "yb_"}], "}"}], ",", 
       RowBox[{"funcQ_:", "True"}]}], "]"}], ":=", "\[IndentingNewLine]", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "pnts", ",", "t", ",", "xbounds", ",", "ybounds", ",", "boundaries", 
         ",", "x", ",", "y"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"xbounds", "=", 
         RowBox[{"Rescale", "[", 
          RowBox[{
           RowBox[{"Range", "[", 
            RowBox[{"1", ",", 
             RowBox[{"npoints", "+", "1"}]}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"1", ",", 
             RowBox[{"npoints", "+", "1"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"xa", ",", "xb"}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"ybounds", "=", 
         RowBox[{"Rescale", "[", 
          RowBox[{
           RowBox[{"Range", "[", 
            RowBox[{"1", ",", 
             RowBox[{"npoints", "+", "1"}]}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"1", ",", 
             RowBox[{"npoints", "+", "1"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"ya", ",", "yb"}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"xbounds", "=", 
         RowBox[{"Partition", "[", 
          RowBox[{"xbounds", ",", "2", ",", "1"}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"ybounds", "=", 
         RowBox[{"Partition", "[", 
          RowBox[{"ybounds", ",", "2", ",", "1"}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"boundaries", "=", 
         RowBox[{"Flatten", "[", 
          RowBox[{
           RowBox[{"Outer", "[", 
            RowBox[{"List", ",", "xbounds", ",", "ybounds", ",", "1"}], "]"}],
            ",", "1"}], "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{"funcQ", ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"t", "=", 
            RowBox[{"Map", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"f", "[", 
                  RowBox[{
                   RowBox[{"Mean", "[", 
                    RowBox[{
                    "#", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "]"}], ",", 
                   RowBox[{"Mean", "[", 
                    RowBox[{
                    "#", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}], "]"}]}], "]"}], ",", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"#", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1"}], "\[RightDoubleBracket]"}], "<=", 
                   "x", "\[LessEqual]", 
                   RowBox[{"#", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "2"}], "\[RightDoubleBracket]"}]}], "&&",
                   
                  RowBox[{
                   RowBox[{"#", "\[LeftDoubleBracket]", 
                    RowBox[{"2", ",", "1"}], "\[RightDoubleBracket]"}], 
                   "\[LessEqual]", "y", "\[LessEqual]", 
                   RowBox[{"#", "\[LeftDoubleBracket]", 
                    RowBox[{"2", ",", "2"}], "\[RightDoubleBracket]"}]}]}]}], 
                "}"}], "&"}], ",", "boundaries"}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{
             RowBox[{"Evaluate", "[", 
              RowBox[{"Piecewise", "[", "t", "]"}], "]"}], "&"}], "/.", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"x", "\[Rule]", "#1"}], ",", 
              RowBox[{"y", "\[Rule]", "#2"}]}], "}"}]}]}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"Map", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"f", "[", 
                RowBox[{
                 RowBox[{"Mean", "[", 
                  RowBox[{
                  "#", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}],
                   "]"}], ",", 
                 RowBox[{"Mean", "[", 
                  RowBox[{
                  "#", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}],
                   "]"}]}], "]"}], ",", 
               RowBox[{
               "#", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
               ",", 
               RowBox[{
               "#", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}], 
              "}"}], "&"}], ",", "boundaries"}], "]"}]}], 
         "\[IndentingNewLine]", "]"}]}]}], "\[IndentingNewLine]", "]"}]}], 
    ";", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"IntegrateRawPiecewise", "[", "rp_", "]"}], ":=", 
     RowBox[{"Total", "@", 
      RowBox[{"Map", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"#", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}],
           "*", 
          RowBox[{"Abs", "[", 
           RowBox[{"Subtract", "@@", 
            RowBox[{
            "#", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}], 
           "]"}], 
          RowBox[{"Abs", "[", 
           RowBox[{"Subtract", "@@", 
            RowBox[{
            "#", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}]}], 
           "]"}]}], "&"}], ",", "rp"}], "]"}]}]}], ";", "\[IndentingNewLine]",
     
    RowBox[{
     RowBox[{"PlotRawPiecewise", "[", "rp_", "]"}], ":=", 
     RowBox[{"Graphics3D", "[", 
      RowBox[{
       RowBox[{"Map", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"Cuboid", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Min", "[", 
               RowBox[{
               "#", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
               "]"}], ",", 
              RowBox[{"Min", "[", 
               RowBox[{
               "#", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
               "]"}], ",", "0"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Max", "[", 
               RowBox[{
               "#", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
               "]"}], ",", 
              RowBox[{"Max", "[", 
               RowBox[{
               "#", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
               "]"}], ",", 
              RowBox[{
              "#", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], 
             "}"}]}], "]"}], "&"}], ",", "rp"}], "]"}], ",", 
       RowBox[{"Boxed", "\[Rule]", "False"}]}], "]"}]}], ";", 
    RowBox[{
     RowBox[{"OffsetAxes", "[", 
      RowBox[{"ax_", ",", "ay_", ",", "az_", ",", "faxis_", ",", "frect_"}], 
      "]"}], ":=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Line", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "ax"}], ",", "0", ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"ax", ",", "0", ",", "0"}], "}"}]}], "}"}], "faxis"}], 
        "]"}], ",", 
       RowBox[{"Line", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", 
             RowBox[{"-", "ay"}], ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "ay", ",", "0"}], "}"}]}], "}"}], "faxis"}], 
        "]"}], ",", 
       RowBox[{"Line", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", "az"}], "}"}]}], "}"}], "]"}], ",", 
       RowBox[{"Polygon", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "ax"}], ",", 
             RowBox[{"-", "ay"}], ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "ax"}], ",", "ay", ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"ax", ",", "ay", ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"ax", ",", 
             RowBox[{"-", "ay"}], ",", "0"}], "}"}]}], "}"}], "frect"}], 
        "]"}]}], "}"}]}], ";", 
    RowBox[{
     RowBox[{"ListPlotApproxIntegrals", "[", 
      RowBox[{"f_", ",", "ranges_", ",", "npnts_List"}], "]"}], ":=", 
     "\[IndentingNewLine]", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"t", ",", 
         RowBox[{"exact", "=", 
          RowBox[{"NIntegrate", "[", 
           RowBox[{
            RowBox[{"f", "[", 
             RowBox[{"x", ",", "y"}], "]"}], ",", 
            RowBox[{
             RowBox[{"Prepend", "[", 
              RowBox[{
               RowBox[{"ranges", "[", 
                RowBox[{"[", "1", "]"}], "]"}], ",", "x"}], "]"}], "//", 
             "Evaluate"}], ",", 
            RowBox[{
             RowBox[{"Prepend", "[", 
              RowBox[{
               RowBox[{"ranges", "[", 
                RowBox[{"[", "2", "]"}], "]"}], ",", "y"}], "]"}], "//", 
             "Evaluate"}]}], "]"}]}]}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"t", "=", 
         RowBox[{"npnts", "^", "2"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"t", "=", 
         RowBox[{
          RowBox[{
           RowBox[{"MakePiecewise", "[", 
            RowBox[{"f", ",", "#", ",", 
             RowBox[{"ranges", "[", 
              RowBox[{"[", "1", "]"}], "]"}], ",", 
             RowBox[{"ranges", "[", 
              RowBox[{"[", "2", "]"}], "]"}], ",", "False"}], "]"}], "&"}], "/@",
           "t"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"t", "=", 
         RowBox[{"IntegrateRawPiecewise", "/@", "t"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"ListPlot", "[", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"Tooltip", "[", 
             RowBox[{"#", ",", 
              RowBox[{"#", "[", 
               RowBox[{"[", "1", "]"}], "]"}]}], "]"}], "&"}], "/@", 
           RowBox[{"Transpose", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"npnts", "^", "2"}], ",", "t"}], "}"}], "]"}]}], ",", 
          RowBox[{"Ticks", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"npnts", "^", "2"}], ",", "Automatic"}], "}"}]}], ",", 
          RowBox[{"GridLines", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"None", ",", 
             RowBox[{"{", "exact", "}"}]}], "}"}]}], ",", 
          RowBox[{"PlotRange", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"Automatic", ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"exact", "-", 
                RowBox[{".1", "exact"}]}], ",", "Automatic"}], "}"}]}], 
            "}"}]}]}], "]"}]}]}], "\[IndentingNewLine]", "]"}]}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"fHP", "[", 
      RowBox[{"x_", ",", "y_"}], "]"}], ":=", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"x", "^", "2"}], "-", 
       RowBox[{"2", 
        RowBox[{"y", "^", "2"}]}], "+", "9"}], ")"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{
      RowBox[{
       RowBox[{"fCP", "[", 
        RowBox[{"x_", ",", "y_"}], "]"}], ":=", 
       RowBox[{"Piecewise", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", 
               RowBox[{"x", "^", "2"}]}], "-", 
              RowBox[{"y", "^", "2"}], "+", "9"}], ")"}], ",", 
            RowBox[{
             RowBox[{
              RowBox[{"x", "^", "2"}], "+", 
              RowBox[{"y", "^", "2"}]}], "\[LessEqual]", "9"}]}], "}"}], ",", 
          
          RowBox[{"{", 
           RowBox[{"0", ",", 
            RowBox[{
             RowBox[{
              RowBox[{"x", "^", "2"}], "+", 
              RowBox[{"y", "^", "2"}]}], "\[GreaterEqual]", "9"}]}], "}"}]}], 
         "}"}], "]"}]}], ";"}], "*)"}], "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"fCP", "[", 
      RowBox[{"x_", ",", "y_"}], "]"}], ":=", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", 
         RowBox[{"x", "^", "2"}]}], "-", 
        RowBox[{"y", "^", "2"}], "+", "9"}], ")"}], 
      RowBox[{"Boole", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"x", "^", "2"}], "+", 
         RowBox[{"y", "^", "2"}]}], "<", "9"}], "]"}]}]}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"a", "=", "3"}], ";", "\[IndentingNewLine]", 
    RowBox[{"npnts", "=", 
     RowBox[{"Sqrt", "[", "npntsSq", "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"rp", "=", 
     RowBox[{"MakePiecewise", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"func", "[", 
         RowBox[{"#1", ",", "#2"}], "]"}], "&"}], ",", "npnts", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "a"}], ",", "a"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "a"}], ",", "a"}], "}"}], ",", "False"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"zmax", "=", 
     RowBox[{
      RowBox[{"FindMaximum", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"func", "[", 
           RowBox[{"x", ",", "y"}], "]"}], ",", 
          RowBox[{
           RowBox[{"-", "a"}], "\[LessEqual]", "x", "\[LessEqual]", "a"}], 
          ",", 
          RowBox[{
           RowBox[{"-", "a"}], "\[LessEqual]", "y", "\[LessEqual]", "a"}]}], 
         "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"x", ",", "0.1"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"y", ",", "0.1"}], "}"}]}], "}"}]}], "]"}], "//", 
      "First"}]}], ";", 
    RowBox[{"zmin", "=", 
     RowBox[{
      RowBox[{"FindMinimum", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"func", "[", 
           RowBox[{"x", ",", "y"}], "]"}], ",", 
          RowBox[{
           RowBox[{"-", "a"}], "\[LessEqual]", "x", "\[LessEqual]", "a"}], 
          ",", 
          RowBox[{
           RowBox[{"-", "a"}], "\[LessEqual]", "y", "\[LessEqual]", "a"}]}], 
         "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"x", ",", "0.1"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"y", ",", "0.1"}], "}"}]}], "}"}]}], "]"}], "//", 
      "First"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"gr", "=", 
     RowBox[{"PlotRawPiecewise", "[", "rp", "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"gr", "=", 
     RowBox[{"ReplacePart", "[", 
      RowBox[{"gr", ",", 
       RowBox[{
        RowBox[{"{", "1", "}"}], "\[Rule]", 
        RowBox[{"Append", "[", 
         RowBox[{
          RowBox[{"gr", "[", 
           RowBox[{"[", "1", "]"}], "]"}], ",", 
          RowBox[{"OffsetAxes", "[", 
           RowBox[{"a", ",", "a", ",", 
            RowBox[{"1.2", "*", "zmax"}], ",", "2", ",", "1.5"}], "]"}]}], 
         "]"}]}]}], "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"If", "[", 
     RowBox[{"showsurface", ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"grS", "=", 
        RowBox[{"Plot3D", "[", 
         RowBox[{
          RowBox[{"func", "[", 
           RowBox[{"x", ",", "y"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", 
            RowBox[{"-", "a"}], ",", "a"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"y", ",", 
            RowBox[{"-", "a"}], ",", "a"}], "}"}], ",", 
          RowBox[{"Mesh", "\[Rule]", "False"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{"gr", "=", 
          RowBox[{"Show", "[", 
           RowBox[{
            RowBox[{"ReplacePart", "[", 
             RowBox[{"gr", ",", 
              RowBox[{
               RowBox[{"{", "1", "}"}], "\[Rule]", 
               RowBox[{"Prepend", "[", 
                RowBox[{
                 RowBox[{"gr", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], ",", 
                 RowBox[{"Opacity", "[", "0.5", "]"}]}], "]"}]}]}], "]"}], 
            ",", "grS"}], "]"}]}], ";"}], "*)"}], 
       RowBox[{"gr", "=", 
        RowBox[{"Show", "[", 
         RowBox[{"gr", ",", 
          RowBox[{"ReplacePart", "[", 
           RowBox[{"grS", ",", 
            RowBox[{
             RowBox[{"{", "1", "}"}], "\[Rule]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Opacity", "[", "0.5", "]"}], ",", 
               RowBox[{"grS", "[", 
                RowBox[{"[", "1", "]"}], "]"}]}], "}"}]}]}], "]"}]}], "]"}]}],
        ";"}]}], "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
    RowBox[{"gr", "=", 
     RowBox[{"Fold", "[", 
      RowBox[{"Append", ",", "gr", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"ImageSize", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"250", ",", "250"}], "}"}]}], ",", 
         RowBox[{"ViewPoint", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"1.102", ",", " ", 
            RowBox[{"-", "2.829"}], ",", " ", "1.494"}], "}"}]}], ",", 
         RowBox[{"SphericalRegion", "\[Rule]", "True"}], ",", 
         RowBox[{"PlotRange", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "2"}], "a"}], ",", 
              RowBox[{"2", "a"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "2"}], "a"}], ",", 
              RowBox[{"2", "a"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"zmin", "<", "0"}], ",", 
                RowBox[{"1.2", "zmin"}], ",", "0"}], "]"}], ",", 
              RowBox[{"1.2", "zmax"}]}], "}"}]}], "}"}]}]}], "}"}]}], "]"}]}],
     ";", "\[IndentingNewLine]", 
    RowBox[{"grLPAI", "=", 
     RowBox[{"ListPlotApproxIntegrals", "[", 
      RowBox[{"func", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "a"}], ",", "a"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "a"}], ",", "a"}], "}"}]}], "}"}], ",", 
       RowBox[{"Range", "[", 
        RowBox[{"1", ",", "npnts"}], "]"}]}], "]"}]}], ";", 
    RowBox[{"grLPAI", "=", 
     RowBox[{"Fold", "[", 
      RowBox[{"Append", ",", "grLPAI", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"GridLines", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"None", ",", 
            RowBox[{"{", 
             RowBox[{"NIntegrate", "[", 
              RowBox[{
               RowBox[{"func", "[", 
                RowBox[{"x", ",", "y"}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"x", ",", 
                 RowBox[{"-", "a"}], ",", "a"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"y", ",", 
                 RowBox[{"-", "a"}], ",", "a"}], "}"}]}], "]"}], "}"}]}], 
           "}"}]}], ",", "\[IndentingNewLine]", 
         RowBox[{"AxesLabel", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"\"\<n\>\"", ",", "\"\<approximate volume\>\""}], "}"}]}], 
         ",", 
         RowBox[{"ImageSize", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"250", ",", "250"}], "}"}]}]}], "}"}]}], "]"}]}], ";", 
    RowBox[{"Pane", "[", 
     RowBox[{
      RowBox[{"Grid", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Text", "@", 
             RowBox[{"Column", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Row", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"TraditionalForm", "[", 
                    RowBox[{"HoldForm", "[", 
                    RowBox[{"f", "[", 
                    RowBox[{"x", ",", "y"}], "]"}], "]"}], "]"}], ",", 
                    "\"\<=\>\"", ",", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"func", "===", "fHP"}], ",", 
                    RowBox[{"TraditionalForm", "[", 
                    RowBox[{"func", "[", 
                    RowBox[{"x", ",", "y"}], "]"}], "]"}], ",", 
                    RowBox[{"TraditionalForm", "[", 
                    RowBox[{"Piecewise", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"x", "^", "2"}]}], "-", 
                    RowBox[{"y", "^", "2"}], "+", "9"}], ")"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"x", "^", "2"}], "+", 
                    RowBox[{"y", "^", "2"}]}], "\[LessEqual]", " ", "9"}]}], 
                    "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"\"\<0\>\"", ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"x", "^", "2"}], "+", 
                    RowBox[{"y", "^", "2"}]}], ">", "9"}]}], "}"}]}], "}"}], 
                    "]"}], "]"}]}], "]"}]}], "}"}], "]"}], ",", "\"\<\>\"", 
                 ",", 
                 RowBox[{"Row", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"\"\<n=\>\"", "<>", 
                    RowBox[{"ToString", "[", 
                    RowBox[{"npnts", "^", "2"}], "]"}]}], ",", "\"\< \>\"", 
                    ",", 
                    RowBox[{"\"\<\[CapitalDelta]x=\>\"", "<>", 
                    RowBox[{"ToString", "[", 
                    RowBox[{"N", "@", 
                    RowBox[{"Abs", "[", 
                    RowBox[{"Subtract", "@@", 
                    RowBox[{"rp", "[", 
                    RowBox[{"[", 
                    RowBox[{"1", ",", "2"}], "]"}], "]"}]}], "]"}]}], "]"}]}],
                     ",", "\"\< \>\"", ",", 
                    RowBox[{"\"\<\[CapitalDelta]y=\>\"", "<>", 
                    RowBox[{"ToString", "[", 
                    RowBox[{"N", "@", 
                    RowBox[{"Abs", "[", 
                    RowBox[{"Subtract", "@@", 
                    RowBox[{"rp", "[", 
                    RowBox[{"[", 
                    RowBox[{"1", ",", "3"}], "]"}], "]"}]}], "]"}]}], 
                    "]"}]}]}], "}"}], "]"}], ",", "\"\<\>\"", ",", 
                 RowBox[{"Row", "[", 
                  RowBox[{"{", 
                   RowBox[{"\"\<volume=\>\"", ",", 
                    RowBox[{
                    RowBox[{"IntegrateRawPiecewise", "[", "rp", "]"}], "//", 
                    "N"}]}], "}"}], "]"}]}], "}"}], ",", "Center"}], "]"}]}], 
            ",", 
            RowBox[{"Text", "@", 
             RowBox[{"Row", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"TraditionalForm", "[", 
                 RowBox[{
                  RowBox[{"HoldForm", "[", 
                   RowBox[{"Integrate", "[", 
                    RowBox[{"XXX", ",", 
                    RowBox[{"{", 
                    RowBox[{"x", ",", 
                    RowBox[{"-", "A"}], ",", "A"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"y", ",", 
                    RowBox[{"-", "A"}], ",", "A"}], "}"}]}], "]"}], "]"}], "/.",
                   
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"XXX", "\[Rule]", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"func", "===", "fHP"}], ",", 
                    RowBox[{"func", "[", 
                    RowBox[{"x", ",", "y"}], "]"}], ",", 
                    RowBox[{"Piecewise", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"x", "^", "2"}]}], "-", 
                    RowBox[{"2", 
                    RowBox[{"y", "^", "2"}]}], "+", "9"}], ")"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"x", "^", "2"}], "+", 
                    RowBox[{"y", "^", "2"}]}], "\[LessEqual]", "9"}]}], "}"}],
                     ",", 
                    RowBox[{"{", 
                    RowBox[{"\"\<0\>\"", ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"x", "^", "2"}], "+", 
                    RowBox[{"y", "^", "2"}]}], ">", "9"}]}], "}"}]}], "}"}], 
                    "]"}]}], "]"}]}], ",", 
                    RowBox[{"A", "\[Rule]", "a"}]}], "}"}]}], "]"}], ",", 
                "\"\<=\>\"", ",", 
                RowBox[{"Integrate", "[", 
                 RowBox[{
                  RowBox[{"func", "[", 
                   RowBox[{"x", ",", "y"}], "]"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"x", ",", 
                    RowBox[{"-", "a"}], ",", "a"}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"y", ",", 
                    RowBox[{"-", "a"}], ",", "a"}], "}"}]}], "]"}]}], "}"}], 
              "]"}]}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"gr", ",", "grLPAI"}], "}"}]}], "}"}], ",", 
        RowBox[{"ItemSize", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"20", ",", "25"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"10", ",", "15"}], "}"}]}], "}"}]}]}], "]"}], ",", 
      RowBox[{"ImageSize", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"570", ",", "400"}], "}"}]}]}], "]"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"func", ",", "fCP", ",", "\"\<\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"fCP", "\[Rule]", "\"\<circular paraboloid\>\""}], ",", 
       RowBox[{"fHP", "\[Rule]", "\"\<hyperbolic paraboloid\>\""}]}], "}"}]}],
     "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"npntsSq", ",", "9", ",", "\"\<prisms\>\""}], "}"}], ",", 
     RowBox[{
      RowBox[{"Range", "[", 
       RowBox[{"3", ",", "11"}], "]"}], "^", "2"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"showsurface", ",", "False", ",", "\"\<show surface\>\""}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Bottom"}]}], "}"}], ",", 
   RowBox[{"TrackedSymbols", "\[RuleDelayed]", 
    RowBox[{"{", 
     RowBox[{"npntsSq", ",", "func", ",", "showsurface"}], "}"}]}]}], 
  "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.385325830318203*^9, 3.3853258308990383`*^9}, 
   3.3866786294471245`*^9, {3.3866798784627495`*^9, 3.3866798794783745`*^9}, {
   3.3866799199627495`*^9, 3.3866799279783745`*^9}, 3.386693171916004*^9, 
   3.386693244013729*^9, {3.3866933070867043`*^9, 3.3866934932171593`*^9}, {
   3.386693768111044*^9, 3.3866938148993587`*^9}, {3.386693852703034*^9, 
   3.386693859762394*^9}, {3.3866939766329064`*^9, 3.3866940918288264`*^9}, {
   3.3866941263033714`*^9, 3.386694171848276*^9}, {3.3866942348009214`*^9, 
   3.3866943246272664`*^9}, {3.386694376880569*^9, 3.3866943903976393`*^9}, {
   3.3866944630769587`*^9, 3.386694515901829*^9}, {3.3866980326281185`*^9, 
   3.3866980503644037`*^9}, 3.386797657594872*^9, {3.386797695749736*^9, 
   3.3867977036911554`*^9}, {3.386810192039592*^9, 3.386810215323072*^9}, 
   3.386811038827213*^9, {3.3868111590701137`*^9, 3.3868111597110353`*^9}, {
   3.386811195452429*^9, 3.3868112037143087`*^9}, {3.3868112577820544`*^9, 
   3.3868112587334223`*^9}},
 CellID->115546956]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`func$$ = $CellContext`fCP, \
$CellContext`npntsSq$$ = 9, $CellContext`showsurface$$ = False, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`func$$], $CellContext`fCP, ""}, {$CellContext`fCP -> 
       "circular paraboloid", $CellContext`fHP -> 
       "hyperbolic paraboloid"}}, {{
       Hold[$CellContext`npntsSq$$], 9, "prisms"}, {9, 16, 25, 36, 49, 64, 81,
       100, 121}}, {{
       Hold[$CellContext`showsurface$$], False, "show surface"}, {
      True, False}}}, Typeset`size$$ = {570., {197.5, 202.5}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`func$47953$$ = False, $CellContext`npntsSq$47954$$ = 
    0, $CellContext`showsurface$47955$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`func$$ = $CellContext`fCP, \
$CellContext`npntsSq$$ = 9, $CellContext`showsurface$$ = False}, 
      "ControllerVariables" :> {
        Hold[$CellContext`func$$, $CellContext`func$47953$$, False], 
        Hold[$CellContext`npntsSq$$, $CellContext`npntsSq$47954$$, 0], 
        Hold[$CellContext`showsurface$$, $CellContext`showsurface$47955$$, 
         False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> ($CellContext`MakePiecewise[
          Pattern[$CellContext`f, 
           Blank[]], 
          Pattern[$CellContext`npoints, 
           Blank[]], {
           Pattern[$CellContext`xa, 
            Blank[]], 
           Pattern[$CellContext`xb, 
            Blank[]]}, {
           Pattern[$CellContext`ya, 
            Blank[]], 
           Pattern[$CellContext`yb, 
            Blank[]]}, 
          Optional[
           Pattern[$CellContext`funcQ, 
            Blank[]], True]] := 
        Module[{$CellContext`pnts, $CellContext`t, $CellContext`xbounds, \
$CellContext`ybounds, $CellContext`boundaries, $CellContext`x, \
$CellContext`y}, $CellContext`xbounds = Rescale[
             Range[1, $CellContext`npoints + 1], {
             1, $CellContext`npoints + 
              1}, {$CellContext`xa, $CellContext`xb}]; $CellContext`ybounds = 
           Rescale[
             Range[1, $CellContext`npoints + 1], {
             1, $CellContext`npoints + 
              1}, {$CellContext`ya, $CellContext`yb}]; $CellContext`xbounds = 
           Partition[$CellContext`xbounds, 2, 1]; $CellContext`ybounds = 
           Partition[$CellContext`ybounds, 2, 1]; $CellContext`boundaries = 
           Flatten[
             Outer[List, $CellContext`xbounds, $CellContext`ybounds, 1], 1]; 
          If[$CellContext`funcQ, $CellContext`t = Map[{
                $CellContext`f[
                 Mean[
                  Part[#, 1]], 
                 Mean[
                  Part[#, 2]]], 
                And[
                Part[#, 1, 1] <= $CellContext`x <= Part[#, 1, 2], 
                 Part[#, 2, 1] <= $CellContext`y <= 
                 Part[#, 2, 2]]}& , $CellContext`boundaries]; 
            ReplaceAll[Evaluate[
               
               Piecewise[$CellContext`t]]& , {$CellContext`x -> #, \
$CellContext`y -> #2}], 
            Map[{
              $CellContext`f[
               Mean[
                Part[#, 1]], 
               Mean[
                Part[#, 2]]], 
              Part[#, 1], 
              
              Part[#, 2]}& , $CellContext`boundaries]]]; \
$CellContext`IntegrateRawPiecewise[
          Pattern[$CellContext`rp, 
           Blank[]]] := Total[
          Map[(Part[#, 1] Abs[
              Apply[Subtract, 
               Part[#, 2]]]) Abs[
             Apply[Subtract, 
              
              Part[#, 3]]]& , $CellContext`rp]]; \
$CellContext`PlotRawPiecewise[
          Pattern[$CellContext`rp, 
           Blank[]]] := Graphics3D[
          Map[Cuboid[{
             Min[
              Part[#, 2]], 
             Min[
              Part[#, 3]], 0}, {
             Max[
              Part[#, 2]], 
             Max[
              Part[#, 3]], 
             Part[#, 1]}]& , $CellContext`rp], Boxed -> 
          False]; $CellContext`OffsetAxes[
          Pattern[$CellContext`ax, 
           Blank[]], 
          Pattern[$CellContext`ay, 
           Blank[]], 
          Pattern[$CellContext`az, 
           Blank[]], 
          Pattern[$CellContext`faxis, 
           Blank[]], 
          Pattern[$CellContext`frect, 
           Blank[]]] := {
          
          Line[{{-$CellContext`ax, 0, 0}, {$CellContext`ax, 0, 
              0}} $CellContext`faxis], 
          
          Line[{{0, -$CellContext`ay, 0}, {
             0, $CellContext`ay, 0}} $CellContext`faxis], 
          Line[{{0, 0, 0}, {0, 0, $CellContext`az}}], 
          
          Polygon[{{-$CellContext`ax, -$CellContext`ay, 
              0}, {-$CellContext`ax, $CellContext`ay, 
              0}, {$CellContext`ax, $CellContext`ay, 
              0}, {$CellContext`ax, -$CellContext`ay, 
              0}} $CellContext`frect]}; $CellContext`ListPlotApproxIntegrals[
          Pattern[$CellContext`f, 
           Blank[]], 
          Pattern[$CellContext`ranges, 
           Blank[]], 
          Pattern[$CellContext`npnts, 
           Blank[List]]] := 
        Module[{$CellContext`t, $CellContext`exact = NIntegrate[
             $CellContext`f[$CellContext`x, $CellContext`y], 
             Evaluate[
              Prepend[
               Part[$CellContext`ranges, 1], $CellContext`x]], 
             Evaluate[
              Prepend[
               
               Part[$CellContext`ranges, 
                2], $CellContext`y]]]}, $CellContext`t = $CellContext`npnts^2; \
$CellContext`t = Map[$CellContext`MakePiecewise[$CellContext`f, #, 
              Part[$CellContext`ranges, 1], 
              Part[$CellContext`ranges, 2], 
              False]& , $CellContext`t]; $CellContext`t = 
           Map[$CellContext`IntegrateRawPiecewise, $CellContext`t]; ListPlot[
            Map[Tooltip[#, 
              Part[#, 1]]& , 
             Transpose[{$CellContext`npnts^2, $CellContext`t}]], 
            Ticks -> {$CellContext`npnts^2, Automatic}, 
            GridLines -> {None, {$CellContext`exact}}, 
            PlotRange -> {
             Automatic, {$CellContext`exact - 0.1 $CellContext`exact, 
               Automatic}}]]; $CellContext`fHP[
          Pattern[$CellContext`x, 
           Blank[]], 
          Pattern[$CellContext`y, 
           Blank[]]] := $CellContext`x^2 - 2 $CellContext`y^2 + 
         9; $CellContext`fCP[
          Pattern[$CellContext`x, 
           Blank[]], 
          Pattern[$CellContext`y, 
           Blank[]]] := (-$CellContext`x^2 - $CellContext`y^2 + 9) 
         Boole[$CellContext`x^2 + $CellContext`y^2 < 9]; $CellContext`a = 
        3; $CellContext`npnts = 
        Sqrt[$CellContext`npntsSq$$]; $CellContext`rp = \
$CellContext`MakePiecewise[$CellContext`func$$[#, #2]& , $CellContext`npnts, \
{-$CellContext`a, $CellContext`a}, {-$CellContext`a, $CellContext`a}, 
          False]; $CellContext`zmax = First[
          FindMaximum[{
            $CellContext`func$$[$CellContext`x, $CellContext`y], \
-$CellContext`a <= $CellContext`x <= $CellContext`a, -$CellContext`a <= \
$CellContext`y <= $CellContext`a}, {{$CellContext`x, 0.1}, {$CellContext`y, 
             0.1}}]]; $CellContext`zmin = First[
          FindMinimum[{
            $CellContext`func$$[$CellContext`x, $CellContext`y], \
-$CellContext`a <= $CellContext`x <= $CellContext`a, -$CellContext`a <= \
$CellContext`y <= $CellContext`a}, {{$CellContext`x, 0.1}, {$CellContext`y, 
             0.1}}]]; $CellContext`gr = \
$CellContext`PlotRawPiecewise[$CellContext`rp]; $CellContext`gr = 
        ReplacePart[$CellContext`gr, {1} -> Append[
            Part[$CellContext`gr, 1], 
            $CellContext`OffsetAxes[$CellContext`a, $CellContext`a, 
             1.2 $CellContext`zmax, 2, 1.5]]]; 
       If[$CellContext`showsurface$$, $CellContext`grS = Plot3D[
            $CellContext`func$$[$CellContext`x, $CellContext`y], \
{$CellContext`x, -$CellContext`a, $CellContext`a}, {$CellContext`y, \
-$CellContext`a, $CellContext`a}, Mesh -> False]; $CellContext`gr = 
          Show[$CellContext`gr, 
            ReplacePart[$CellContext`grS, {1} -> {
               Opacity[0.5], 
               Part[$CellContext`grS, 1]}]]; Null]; $CellContext`gr = 
        Fold[Append, $CellContext`gr, {
          ImageSize -> {250, 250}, ViewPoint -> {1.102, -2.829, 1.494}, 
           SphericalRegion -> True, 
           PlotRange -> {{(-2) $CellContext`a, 
              2 $CellContext`a}, {(-2) $CellContext`a, 2 $CellContext`a}, {
              If[$CellContext`zmin < 0, 1.2 $CellContext`zmin, 0], 
              1.2 $CellContext`zmax}}}]; $CellContext`grLPAI = \
$CellContext`ListPlotApproxIntegrals[$CellContext`func$$, {{-$CellContext`a, \
$CellContext`a}, {-$CellContext`a, $CellContext`a}}, 
          Range[1, $CellContext`npnts]]; $CellContext`grLPAI = 
        Fold[Append, $CellContext`grLPAI, {GridLines -> {None, {
              NIntegrate[
               $CellContext`func$$[$CellContext`x, $CellContext`y], \
{$CellContext`x, -$CellContext`a, $CellContext`a}, {$CellContext`y, \
-$CellContext`a, $CellContext`a}]}}, AxesLabel -> {"n", "approximate volume"},
            ImageSize -> {250, 250}}]; Pane[
         Grid[{{
            Text[
             Column[{
               Row[{
                 TraditionalForm[
                  HoldForm[
                   $CellContext`f[$CellContext`x, $CellContext`y]]], "=", 
                 If[$CellContext`func$$ === $CellContext`fHP, 
                  TraditionalForm[
                   $CellContext`func$$[$CellContext`x, $CellContext`y]], 
                  TraditionalForm[
                   
                   Piecewise[{{-$CellContext`x^2 - $CellContext`y^2 + 
                    9, $CellContext`x^2 + $CellContext`y^2 <= 9}, {
                    "0", $CellContext`x^2 + $CellContext`y^2 > 9}}]]]}], "", 
               Row[{
                 StringJoin["n=", 
                  ToString[$CellContext`npnts^2]], " ", 
                 StringJoin["\[CapitalDelta]x=", 
                  ToString[
                   N[
                    Abs[
                    Apply[Subtract, 
                    Part[$CellContext`rp, 1, 2]]]]]], " ", 
                 StringJoin["\[CapitalDelta]y=", 
                  ToString[
                   N[
                    Abs[
                    Apply[Subtract, 
                    Part[$CellContext`rp, 1, 3]]]]]]}], "", 
               Row[{"volume=", 
                 N[
                  $CellContext`IntegrateRawPiecewise[$CellContext`rp]]}]}, 
              Center]], 
            Text[
             Row[{
               TraditionalForm[
                ReplaceAll[
                 HoldForm[
                  
                  Integrate[$CellContext`XXX, {$CellContext`x, \
-$CellContext`A, $CellContext`A}, {$CellContext`y, -$CellContext`A, \
$CellContext`A}]], {$CellContext`XXX -> 
                  If[$CellContext`func$$ === $CellContext`fHP, 
                    $CellContext`func$$[$CellContext`x, $CellContext`y], 
                    
                    Piecewise[{{-$CellContext`x^2 - 2 $CellContext`y^2 + 
                    9, $CellContext`x^2 + $CellContext`y^2 <= 9}, {
                    "0", $CellContext`x^2 + $CellContext`y^2 > 
                    9}}]], $CellContext`A -> $CellContext`a}]], "=", 
               Integrate[
                $CellContext`func$$[$CellContext`x, $CellContext`y], \
{$CellContext`x, -$CellContext`a, $CellContext`a}, {$CellContext`y, \
-$CellContext`a, $CellContext`a}]}]]}, {$CellContext`gr, \
$CellContext`grLPAI}}, ItemSize -> {{20, 25}, {10, 15}}], 
         ImageSize -> {570, 400}]), 
      "Specifications" :> {{{$CellContext`func$$, $CellContext`fCP, 
          ""}, {$CellContext`fCP -> "circular paraboloid", $CellContext`fHP -> 
          "hyperbolic paraboloid"}}, {{$CellContext`npntsSq$$, 9, "prisms"}, {
         9, 16, 25, 36, 49, 64, 81, 100, 
         121}}, {{$CellContext`showsurface$$, False, "show surface"}, {
         True, False}, ControlPlacement -> Bottom}}, 
      "Options" :> {
       TrackedSymbols :> {$CellContext`npntsSq$$, $CellContext`func$$, \
$CellContext`showsurface$$}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{614., {264., 269.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->15514755],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Double Integral for Volume",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/DoubleIntegralForVolume/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/DoubleIntegralForVolume/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/DoubleIntegralForVolume/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/DoubleIntegralForVolume/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/DoubleIntegralForVolume/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[CellGroupData[{

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Anton Antonov",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Anton+Antonov"],
     None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Anton+Antonov"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->328845324],

Cell[TextData[{
 "Based on a program by: ",
 ButtonBox["Abby Brown",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Abby+Brown"], 
    None}],
 " (Torrey Pines High School, San Diego, CA)"
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->286778311]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
DoubleIntegralForVolume"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{780, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Double Integral for Volume - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 218, 4, 70, "Section"],
Cell[811, 29, 28437, 739, 70, "Input",
 CellID->115546956]
}, Open  ]],
Cell[29263, 771, 13060, 289, 70, "Output",
 CellID->15514755],
Cell[CellGroupData[{
Cell[42348, 1064, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[42724, 1075, 918, 24, 70, "Text"],
Cell[43645, 1101, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[CellGroupData[{
Cell[44007, 1114, 456, 15, 70, "Text",
 CellID->328845324],
Cell[44466, 1131, 416, 14, 70, "Text",
 CellID->286778311]
}, Open  ]],
Cell[CellGroupData[{
Cell[44919, 1150, 829, 24, 70, "Text"],
Cell[45751, 1176, 1199, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature ySNqRlc2x8051B0E53#H0hpY *)
