(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     33572,        835]
NotebookOptionsPosition[     32461,        794]
NotebookOutlinePosition[     33115,        819]
CellTagsIndexPosition[     33072,        816]
WindowTitle->Competition for Territory: The Levins Model for Two Species - \
Source
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Competition for Territory: The Levins Model for Two Species", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Abs", "[", 
        RowBox[{"k1", "-", "e1"}], "]"}], "<", "0.0001"}], ",", 
      RowBox[{"k1", "=", ".01"}]}], "]"}], ";", "\[IndentingNewLine]", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Abs", "[", 
        RowBox[{"k2", "-", "e2"}], "]"}], "<", "0.0001"}], ",", 
      RowBox[{"k2", "=", ".01"}]}], "]"}], ";", "\[IndentingNewLine]", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Abs", "[", 
        RowBox[{"e1", "-", "e2"}], "]"}], "<", "0.0001"}], ",", 
      RowBox[{"e1", "=", ".01"}]}], "]"}], ";", "\[IndentingNewLine]", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"eqn", ",", "p1", ",", "p2", ",", "equilib"}], "}"}], ",", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"eqn", ":=", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"p1", "*", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"k1", "*", 
                RowBox[{"(", 
                 RowBox[{"1", " ", "-", " ", "p1", "-", "p2"}], ")"}]}], " ", 
               "-", " ", "e1"}], ")"}]}], ",", 
            RowBox[{"p2", "*", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"k2", "*", 
                RowBox[{"(", 
                 RowBox[{"1", " ", "-", " ", "p1", " ", "-", " ", "p2"}], 
                 ")"}]}], " ", "-", " ", "e2"}], " ", ")"}]}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"p1", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"k1", " ", 
                RowBox[{"(", 
                 RowBox[{"1", "-", "p1"}], ")"}]}], "-", "e1"}], ")"}]}], ",", 
            RowBox[{"p2", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"k2", " ", 
                RowBox[{"(", 
                 RowBox[{"1", "-", "p1", "-", "p2"}], ")"}]}], "-", "e2", "-", 
               RowBox[{"k1", " ", "p1"}]}], ")"}]}]}], "}"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"p1", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"k1", " ", 
                RowBox[{"(", 
                 RowBox[{"1", "-", "p1", "-", "p2"}], ")"}]}], "-", "e1", "+", 
               RowBox[{"c", " ", "p2"}]}], ")"}]}], ",", 
            RowBox[{"p2", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"k2", " ", 
                RowBox[{"(", 
                 RowBox[{"1", "-", "p2", "-", "p1"}], ")"}]}], "-", "e2", "-", 
               RowBox[{"c", " ", "p1"}]}], ")"}]}]}], "}"}]}], "}"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"kk1", ":=", 
        RowBox[{"Which", "[", 
         RowBox[{
          RowBox[{"q", "===", "0"}], ",", "0", ",", 
          RowBox[{"q", "===", "1"}], ",", "k1", ",", " ", "True", ",", "1"}], 
         "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"kk2", ":=", 
        RowBox[{"Which", "[", 
         RowBox[{
          RowBox[{"q", "===", "0"}], ",", "0", ",", 
          RowBox[{"q", "===", "1"}], ",", 
          RowBox[{"-", "k1"}], ",", " ", "True", ",", "1"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"equilib", ":=", 
        RowBox[{"Map", "[", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{
           RowBox[{"Cases", "[", 
            RowBox[{"#", ",", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"u_", ",", "v_"}], "}"}], "/;", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"u", "\[GreaterEqual]", 
                 RowBox[{"-", 
                  RowBox[{"10", "^", 
                   RowBox[{"(", 
                    RowBox[{"-", "10."}], ")"}]}]}]}], ")"}], "&&", " ", 
               RowBox[{"(", 
                RowBox[{"v", "\[GreaterEqual]", 
                 RowBox[{"-", 
                  RowBox[{"10", "^", 
                   RowBox[{"(", 
                    RowBox[{"-", "10."}], ")"}]}]}]}], ")"}], "&&", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"u", "+", "v"}], "\[LessEqual]", "1"}], ")"}]}]}]}], 
            "]"}], "&"}], ",", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"p1", ",", "p2"}], "}"}], "/.", 
           RowBox[{"Map", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"Solve", "[", 
               RowBox[{
                RowBox[{"#", "\[Equal]", 
                 RowBox[{"{", 
                  RowBox[{"0", ",", "0"}], "}"}]}], ",", 
                RowBox[{"{", 
                 RowBox[{"p1", ",", "p2"}], "}"}]}], "]"}], "&"}], ",", 
             "eqn"}], "]"}]}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"Pane", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"Grid", "[", 
          RowBox[{"{", 
           RowBox[{"{", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"LocatorPane", "[", 
              RowBox[{
               RowBox[{"Dynamic", "[", "IC", "]"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{"Dynamic", "[", 
                RowBox[{"Show", "[", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"Graphics", "[", "\[IndentingNewLine]", 
                   RowBox[{"{", 
                    RowBox[{"Black", ",", 
                    RowBox[{"PointSize", "[", "0.02", "]"}], ",", 
                    RowBox[{"Point", "[", 
                    RowBox[{"Map", "[", 
                    RowBox[{"RegionLoc", ",", "IC"}], "]"}], "]"}], ",", 
                    "Blue", ",", 
                    RowBox[{"Point", "[", 
                    RowBox[{"equilib", "[", 
                    RowBox[{"[", 
                    RowBox[{"q", "+", "1"}], "]"}], "]"}], "]"}]}], "}"}], 
                   "]"}], ",", "\[IndentingNewLine]", 
                  RowBox[{"StreamPlot", "[", 
                   RowBox[{
                    RowBox[{"eqn", "[", 
                    RowBox[{"[", 
                    RowBox[{"q", "+", "1"}], "]"}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"p1", ",", "0", ",", "1."}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"p2", ",", "0", ",", "1."}], "}"}], ",", 
                    RowBox[{"StreamPoints", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Map", "[", 
                    RowBox[{"RegionLoc", ",", "IC"}], "]"}], ",", "Automatic",
                     ",", 
                    RowBox[{"{", 
                    RowBox[{"Forward", ",", "T"}], "}"}]}], "}"}]}], ",", 
                    RowBox[{"StreamColorFunction", "\[Rule]", "Hue"}], ",", 
                    RowBox[{"StreamStyle", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Thickness", "[", "0.01", "]"}], ",", 
                    "\"\<Line\>\""}], "}"}]}]}], "]"}], ",", 
                  "\[IndentingNewLine]", 
                  RowBox[{"StreamPlot", "[", 
                   RowBox[{
                    RowBox[{"eqn", "[", 
                    RowBox[{"[", 
                    RowBox[{"q", "+", "1"}], "]"}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"p1", ",", "0", ",", "1."}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"p2", ",", "0", ",", "1."}], "}"}], ",", 
                    RowBox[{"RegionFunction", "->", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"#1", "+", "#2"}], ")"}], "<", "1"}], "&"}], 
                    ")"}]}], ",", 
                    RowBox[{"Axes", "\[Rule]", "True"}], ",", 
                    RowBox[{"AxesLabel", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"\"\<p1\>\"", ",", "\"\<p2\>\""}], "}"}]}], ",", 
                    RowBox[{"StreamScale", "\[Rule]", "Large"}], ",", 
                    RowBox[{"StreamStyle", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"Directive", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Thickness", "[", "0.005", "]"}], ",", 
                    RowBox[{"Hue", "[", 
                    RowBox[{"0.7", ",", "0.2", ",", "0.7", ",", "0.4"}], 
                    "]"}]}], "}"}], "]"}], "}"}]}]}], "]"}], 
                  "\[IndentingNewLine]", ",", 
                  RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
                  RowBox[{"PlotRange", "\[Rule]", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "1"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "1"}], "}"}]}], "}"}]}], ",", 
                  RowBox[{"Axes", "\[Rule]", "True"}], ",", 
                  RowBox[{"AxesLabel", "\[Rule]", 
                   RowBox[{"{", 
                    RowBox[{
                    "\"\<\!\(\*SubscriptBox[\(p\), \(1\)]\)\>\"", ",", 
                    "\"\<\!\(\*SubscriptBox[\(p\), \(2\)]\)\>\""}], "}"}]}], 
                  ",", 
                  RowBox[{"ImageSize", "\[Rule]", 
                   RowBox[{"{", 
                    RowBox[{"275", ",", "275"}], "}"}]}]}], "]"}], "]"}], 
               "\[IndentingNewLine]", ",", 
               RowBox[{"Appearance", "\[Rule]", "None"}], ",", 
               RowBox[{"LocatorAutoCreate", "\[Rule]", "True"}]}], "]"}], ",",
              "\[IndentingNewLine]", 
             RowBox[{"Text", "@", 
              RowBox[{"Column", "[", 
               RowBox[{
                RowBox[{"Prepend", "[", 
                 RowBox[{
                  RowBox[{"equilib", "[", 
                   RowBox[{"[", 
                    RowBox[{"q", "+", "1"}], "]"}], "]"}], ",", 
                  "\"\<equilibria: \\n\>\""}], "]"}], ",", 
                RowBox[{"ItemSize", "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{"6", ",", "Automatic"}], "}"}]}]}], "]"}]}]}], 
            "}"}], "}"}], "]"}], ",", "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{"400", ",", "350"}], "}"}], ",", 
         RowBox[{"Alignment", "\[Rule]", "Center"}]}], "]"}]}]}], 
     "\[IndentingNewLine]", "]"}]}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"kk1", ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"kk2", ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"q", ",", "0", ",", "\"\<colonization strategies\>\""}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
       "0", "\[Rule]", 
        "\"\<\!\(\*SubscriptBox[\(p\), \(\(1\)\(\\\ \)\)]\)\
\[ReverseUpEquilibrium] \!\(\*SubscriptBox[\(p\), \(2\)]\)\>\""}], ",", 
       RowBox[{
       "1", "\[Rule]", 
        "\"\<\!\(\*SubscriptBox[\(p\), \
\(1\)]\)\[LongRightArrow]\!\(\*SubscriptBox[\(p\), \(2\)]\)\>\""}], ",", 
       RowBox[{
       "2", "\[Rule]", 
        "\"\<\!\(\*SubsuperscriptBox[SubscriptBox[\(p\), \(\(1\)\(\\\ \)\)], \
\(\[LongLeftArrow]\), \(\[LongRightArrow]\)]\) \!\(\*SubscriptBox[\(p\), \
\(2\)]\)\>\""}]}], "}"}], ",", "RadioButtonBar", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Top"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"Style", "[", 
    RowBox[{"\"\<species 1 rates\>\"", ",", "Bold"}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"k1", ",", "0.7", ",", "\"\<colonization\>\""}], "}"}], ",", 
     "0", ",", "1", ",", ".01", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], "\[IndentingNewLine]",
    ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"e1", ",", "0.5", ",", "\"\<extinction\>\""}], "}"}], ",", "0", 
     ",", "1", ",", ".01", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", " ", "Delimiter",
    "\[IndentingNewLine]", ",", 
   RowBox[{"Style", "[", 
    RowBox[{"\"\<species 2 rates\>\"", ",", "Bold"}], "]"}], 
   "\[IndentingNewLine]", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"k2", ",", "0.7", ",", "\"\<colonization\>\""}], "}"}], ",", 
     "0", ",", "1", ",", ".01", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], "\[IndentingNewLine]",
    ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"e2", ",", "0.1", ",", "\"\<extinction\>\""}], "}"}], ",", "0", 
     ",", "1", ",", ".01", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], "\[IndentingNewLine]",
    ",", "Delimiter", "\[IndentingNewLine]", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"c", ",", "0", ",", "\"\<relative \\novercolonization\>\""}], 
      "}"}], ",", 
     RowBox[{"-", "kk2"}], ",", "kk1", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", "Delimiter", ",",
    "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"T", ",", "0.6"}], "}"}], ",", "0.01", ",", "1.5", ",", "0.01", 
     ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "Delimiter", ",", "\[IndentingNewLine]", 
   RowBox[{"Style", "[", 
    RowBox[{"\"\<initial conditions\>\"", ",", "Bold"}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"IC", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0.8", ",", "0.1"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0.1", ",", "0.8"}], "}"}]}], "}"}], ",", "\"\<\>\""}], 
      "}"}], ",", 
     RowBox[{
      RowBox[{"Button", "[", 
       RowBox[{"\"\<reset locators\>\"", ",", 
        RowBox[{"IC", "=", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0.8", ",", "0.1"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"0.1", ",", "0.8"}], "}"}]}], "}"}]}]}], "]"}], "&"}]}], 
    "}"}], ",", 
   RowBox[{"ControlPlacement", "\[Rule]", "Left"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"AutorunSequencing", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"3", ",", "4", ",", "5"}], "}"}]}], ",", "\[IndentingNewLine]", 
   RowBox[{"Initialization", "\[RuleDelayed]", "\[IndentingNewLine]", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"RegionLoc", "[", 
        RowBox[{"p_", "?", "VectorQ"}], "]"}], ":=", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Max", "[", 
          RowBox[{
           RowBox[{"p", "[", 
            RowBox[{"[", "1", "]"}], "]"}], ",", "0"}], "]"}], ",", 
         RowBox[{"Min", "[", 
          RowBox[{
           RowBox[{"Max", "[", 
            RowBox[{
             RowBox[{"p", "[", 
              RowBox[{"[", "2", "]"}], "]"}], ",", "0"}], "]"}], ",", 
           RowBox[{"1", "-", 
            RowBox[{"Max", "[", 
             RowBox[{
              RowBox[{"p", "[", 
               RowBox[{"[", "1", "]"}], "]"}], ",", "0"}], "]"}]}]}], "]"}]}],
         "}"}]}], ";"}], "\n", "}"}]}]}], "\[IndentingNewLine]", 
  "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, 3.4365272188398886`*^9, 3.4365284159865913`*^9, {
   3.4366329990613832`*^9, 3.43663310584006*^9}, {3.43663314714419*^9, 
   3.4366331972722025`*^9}, {3.437168666125*^9, 3.4371686713125*^9}, {
   3.437168726484375*^9, 3.4371687298125*^9}, {3.437171804953125*^9, 
   3.437171825921875*^9}}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`c$$ = 0, $CellContext`e1$$ = 
    0.5, $CellContext`e2$$ = 0.1, $CellContext`IC$$ = {{0.8, 0.1}, {0.1, 
    0.8}}, $CellContext`k1$$ = 0.7, $CellContext`k2$$ = 
    0.7, $CellContext`kk1$$ = 0, $CellContext`kk2$$ = 0, $CellContext`q$$ = 
    0, $CellContext`T$$ = 0.6, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`kk1$$], 0}}, {{
       Hold[$CellContext`kk2$$], 0}}, {{
       Hold[$CellContext`q$$], 0, "colonization strategies"}, {
      0 -> "\!\(\*SubscriptBox[\(p\), \(\(1\)\( \
\)\)]\)\[ReverseUpEquilibrium] \!\(\*SubscriptBox[\(p\), \(2\)]\)", 1 -> 
       "\!\(\*SubscriptBox[\(p\), \
\(1\)]\)\[LongRightArrow]\!\(\*SubscriptBox[\(p\), \(2\)]\)", 2 -> 
       "\!\(\*SubsuperscriptBox[SubscriptBox[\(p\), \(\(1\)\( \)\)], \(\
\[LongLeftArrow]\), \(\[LongRightArrow]\)]\) \!\(\*SubscriptBox[\(p\), \(2\)]\
\)"}}, {
      Hold[
       Style["species 1 rates", Bold]], Manipulate`Dump`ThisIsNotAControl}, {{
      
       Hold[$CellContext`k1$$], 0.7, "colonization"}, 0, 1, 0.01}, {{
       Hold[$CellContext`e1$$], 0.5, "extinction"}, 0, 1, 0.01}, {
      Hold[
       Style["species 2 rates", Bold]], Manipulate`Dump`ThisIsNotAControl}, {{
      
       Hold[$CellContext`k2$$], 0.7, "colonization"}, 0, 1, 0.01}, {{
       Hold[$CellContext`e2$$], 0.1, "extinction"}, 0, 1, 0.01}, {{
       Hold[$CellContext`c$$], 0, "relative \novercolonization"}, 
      Dynamic[-$CellContext`kk2$$], 
      Dynamic[$CellContext`kk1$$]}, {{
       Hold[$CellContext`T$$], 0.6}, 0.01, 1.5, 0.01}, {
      Hold[
       Style["initial conditions", Bold]], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`IC$$], {{0.8, 0.1}, {0.1, 0.8}}, ""}, 
      Dynamic[
      Button["reset locators", $CellContext`IC$$ = {{0.8, 0.1}, {0.1, 
         0.8}}]& ]}}, Typeset`size$$ = {400., {172.5, 177.5}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`q$13964$$ = False, $CellContext`k1$13965$$ = 
    0, $CellContext`e1$13966$$ = 0, $CellContext`k2$13967$$ = 
    0, $CellContext`e2$13968$$ = 0, $CellContext`c$13969$$ = 
    0, $CellContext`T$13970$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`c$$ = 0, $CellContext`e1$$ = 
        0.5, $CellContext`e2$$ = 
        0.1, $CellContext`IC$$ = {{0.8, 0.1}, {0.1, 0.8}}, $CellContext`k1$$ = 
        0.7, $CellContext`k2$$ = 0.7, $CellContext`kk1$$ = 
        0, $CellContext`kk2$$ = 0, $CellContext`q$$ = 0, $CellContext`T$$ = 
        0.6}, "ControllerVariables" :> {
        Hold[$CellContext`q$$, $CellContext`q$13964$$, False], 
        Hold[$CellContext`k1$$, $CellContext`k1$13965$$, 0], 
        Hold[$CellContext`e1$$, $CellContext`e1$13966$$, 0], 
        Hold[$CellContext`k2$$, $CellContext`k2$13967$$, 0], 
        Hold[$CellContext`e2$$, $CellContext`e2$13968$$, 0], 
        Hold[$CellContext`c$$, $CellContext`c$13969$$, 0], 
        Hold[$CellContext`T$$, $CellContext`T$13970$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> (
       If[Abs[$CellContext`k1$$ - $CellContext`e1$$] < 
         0.0001, $CellContext`k1$$ = 0.01]; 
       If[Abs[$CellContext`k2$$ - $CellContext`e2$$] < 
         0.0001, $CellContext`k2$$ = 0.01]; 
       If[Abs[$CellContext`e1$$ - $CellContext`e2$$] < 
         0.0001, $CellContext`e1$$ = 0.01]; 
       Module[{$CellContext`eqn$, $CellContext`p1$, $CellContext`p2$, \
$CellContext`equilib$}, $CellContext`eqn$ := {{$CellContext`p1$ \
($CellContext`k1$$ (
                1 - $CellContext`p1$ - $CellContext`p2$) - \
$CellContext`e1$$), $CellContext`p2$ ($CellContext`k2$$ (
                
                1 - $CellContext`p1$ - $CellContext`p2$) - \
$CellContext`e2$$)}, {$CellContext`p1$ ($CellContext`k1$$ (
                1 - $CellContext`p1$) - $CellContext`e1$$), $CellContext`p2$ \
($CellContext`k2$$ (
                1 - $CellContext`p1$ - $CellContext`p2$) - $CellContext`e2$$ - \
$CellContext`k1$$ $CellContext`p1$)}, {$CellContext`p1$ ($CellContext`k1$$ (
                1 - $CellContext`p1$ - $CellContext`p2$) - $CellContext`e1$$ + \
$CellContext`c$$ $CellContext`p2$), $CellContext`p2$ ($CellContext`k2$$ (
                1 - $CellContext`p2$ - $CellContext`p1$) - $CellContext`e2$$ - \
$CellContext`c$$ $CellContext`p1$)}}; $CellContext`kk1$$ := 
          Which[$CellContext`q$$ === 0, 0, $CellContext`q$$ === 
            1, $CellContext`k1$$, True, 1]; $CellContext`kk2$$ := 
          Which[$CellContext`q$$ === 0, 0, $CellContext`q$$ === 
            1, -$CellContext`k1$$, True, 1]; $CellContext`equilib$ := 
          Map[Cases[#, 
             Condition[{
               Pattern[$CellContext`u, 
                Blank[]], 
               Pattern[$CellContext`v, 
                Blank[]]}, 
              
              And[$CellContext`u >= (-1) 10^(-10.), $CellContext`v >= (-1) 
                10^(-10.), $CellContext`u + $CellContext`v <= 1]]]& , 
            ReplaceAll[{$CellContext`p1$, $CellContext`p2$}, 
             Map[
             Solve[# == {0, 
                0}, {$CellContext`p1$, $CellContext`p2$}]& , \
$CellContext`eqn$]]]; Pane[
           Grid[{{
              LocatorPane[
               Dynamic[$CellContext`IC$$], 
               Dynamic[
                Show[
                 Graphics[{Black, 
                   PointSize[0.02], 
                   Point[
                    Map[$CellContext`RegionLoc, $CellContext`IC$$]], Blue, 
                   Point[
                    Part[$CellContext`equilib$, $CellContext`q$$ + 1]]}], 
                 StreamPlot[
                  
                  Part[$CellContext`eqn$, $CellContext`q$$ + 
                   1], {$CellContext`p1$, 0, 1.}, {$CellContext`p2$, 0, 1.}, 
                  StreamPoints -> {
                    Map[$CellContext`RegionLoc, $CellContext`IC$$], 
                    Automatic, {Forward, $CellContext`T$$}}, 
                  StreamColorFunction -> Hue, StreamStyle -> {
                    Thickness[0.01], "Line"}], 
                 StreamPlot[
                  
                  Part[$CellContext`eqn$, $CellContext`q$$ + 
                   1], {$CellContext`p1$, 0, 1.}, {$CellContext`p2$, 0, 1.}, 
                  RegionFunction -> (# + #2 < 1& ), Axes -> True, 
                  AxesLabel -> {"p1", "p2"}, StreamScale -> Large, 
                  StreamStyle -> {
                    Directive[{
                    Thickness[0.005], 
                    Hue[0.7, 0.2, 0.7, 0.4]}]}], AspectRatio -> Automatic, 
                 PlotRange -> {{0, 1}, {0, 1}}, Axes -> True, 
                 AxesLabel -> {
                  "\!\(\*SubscriptBox[\(p\), \(1\)]\)", 
                   "\!\(\*SubscriptBox[\(p\), \(2\)]\)"}, 
                 ImageSize -> {275, 275}]], Appearance -> None, 
               LocatorAutoCreate -> True], 
              Text[
               Column[
                Prepend[
                 Part[$CellContext`equilib$, $CellContext`q$$ + 1], 
                 "equilibria: \n"], ItemSize -> {6, Automatic}]]}}], {400, 
           350}, Alignment -> Center]]), 
      "Specifications" :> {{{$CellContext`kk1$$, 0}, ControlType -> 
         None}, {{$CellContext`kk2$$, 0}, ControlType -> 
         None}, {{$CellContext`q$$, 0, "colonization strategies"}, {
         0 -> "\!\(\*SubscriptBox[\(p\), \(\(1\)\( \)\)]\)\
\[ReverseUpEquilibrium] \!\(\*SubscriptBox[\(p\), \(2\)]\)", 1 -> 
          "\!\(\*SubscriptBox[\(p\), \
\(1\)]\)\[LongRightArrow]\!\(\*SubscriptBox[\(p\), \(2\)]\)", 2 -> 
          "\!\(\*SubsuperscriptBox[SubscriptBox[\(p\), \(\(1\)\( \)\)], \(\
\[LongLeftArrow]\), \(\[LongRightArrow]\)]\) \!\(\*SubscriptBox[\(p\), \(2\)]\
\)"}, ControlType -> RadioButtonBar, ImageSize -> Tiny, ControlPlacement -> 
         Top}, 
        Style[
        "species 1 rates", Bold], {{$CellContext`k1$$, 0.7, "colonization"}, 
         0, 1, 0.01, Appearance -> "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`e1$$, 0.5, "extinction"}, 0, 1, 0.01, 
         Appearance -> "Labeled", ImageSize -> Tiny}, Delimiter, 
        Style[
        "species 2 rates", Bold], {{$CellContext`k2$$, 0.7, "colonization"}, 
         0, 1, 0.01, Appearance -> "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`e2$$, 0.1, "extinction"}, 0, 1, 0.01, 
         Appearance -> "Labeled", ImageSize -> Tiny}, 
        Delimiter, {{$CellContext`c$$, 0, "relative \novercolonization"}, 
         Dynamic[-$CellContext`kk2$$], 
         Dynamic[$CellContext`kk1$$], ImageSize -> Tiny}, 
        Delimiter, {{$CellContext`T$$, 0.6}, 0.01, 1.5, 0.01, Appearance -> 
         "Labeled", ImageSize -> Tiny}, Delimiter, 
        Style[
        "initial conditions", 
         Bold], {{$CellContext`IC$$, {{0.8, 0.1}, {0.1, 0.8}}, ""}, 
         Dynamic[
         Button["reset locators", $CellContext`IC$$ = {{0.8, 0.1}, {0.1, 
            0.8}}]& ]}}, 
      "Options" :> {ControlPlacement -> Left, AutorunSequencing -> {3, 4, 5}},
       "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{648., {213., 218.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>({$CellContext`RegionLoc[
          PatternTest[
           Pattern[$CellContext`p, 
            Blank[]], VectorQ]] := {
          Max[
           Part[$CellContext`p, 1], 0], 
          Min[
           Max[
            Part[$CellContext`p, 2], 0], 1 - Max[
            Part[$CellContext`p, 1], 0]]}; Null}; Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->420085490],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Competition for Territory: The Levins Model for Two Species",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
CompetitionForTerritoryTheLevinsModelForTwoSpecies/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/\
CompetitionForTerritoryTheLevinsModelForTwoSpecies/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
CompetitionForTerritoryTheLevinsModelForTwoSpecies/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
CompetitionForTerritoryTheLevinsModelForTwoSpecies/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/\
CompetitionForTerritoryTheLevinsModelForTwoSpecies/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Irma Szimjanovszki",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Irma+\
Szimjanovszki"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Irma+Szimjanovszki"],\

 ", ",
 ButtonBox["Janos Karsai",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Janos+Karsai"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Janos+Karsai"],
 " (University of Szeged, Hungary), and ",
 ButtonBox["Eva Veronika Racz",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Eva+Veronika+\
Racz"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Eva+Veronika+Racz"],
 " (Szechenyi Istvan University, Gyor, Hungary)"
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->37076321],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " system (Version 6 or higher) is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
CompetitionForTerritoryTheLevinsModelForTwoSpecies"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{780, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Competition for Territory: The Levins Model for Two Species - \
Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (November 10, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[651, 24, 251, 4, 70, "Section"],
Cell[905, 30, 16277, 398, 70, "Input"]
}, Open  ]],
Cell[17197, 431, 10212, 204, 70, "Output",
 CellID->420085490],
Cell[CellGroupData[{
Cell[27434, 639, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[27810, 650, 1104, 31, 70, "Text"],
Cell[28917, 683, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[29257, 694, 1075, 33, 70, "Text",
 CellID->37076321],
Cell[CellGroupData[{
Cell[30357, 731, 847, 24, 70, "Text"],
Cell[31207, 757, 1226, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature SRz7AfRGnnkuQCDj3e#7Y54D *)
